//-----------------------------LICENSE NOTICE------------------------------------
//  ██ ▄█▀ ██▓ ███▄ ▄███▓ ▒█████   ██░ ██  ██▓▓██   ██▓ ▒█████   ██ ▄█▀ ▒█████  
//  ██▄█▒ ▓██▒▓██▒▀█▀ ██▒▒██▒  ██▒▓██░ ██▒▓██▒ ▒██  ██▒▒██▒  ██▒ ██▄█▒ ▒██▒  ██▒
// ▓███▄░ ▒██▒▓██    ▓██░▒██░  ██▒▒██▀▀██░▒██▒  ▒██ ██░▒██░  ██▒▓███▄░ ▒██░  ██▒
// ▓██ █▄ ░██░▒██    ▒██ ▒██   ██░░▓█ ░██ ░██░  ░ ▐██▓░▒██   ██░▓██ █▄ ▒██   ██░
// ▒██▒ █▄░██░▒██▒   ░██▒░ ████▓▒░░▓█▒░██▓░██░  ░ ██▒▓░░ ████▓▒░▒██▒ █▄░ ████▓▒░
// ▒ ▒▒ ▓▒░▓  ░ ▒░   ░  ░░ ▒░▒░▒░  ▒ ░░▒░▒░▓     ██▒▒▒ ░ ▒░▒░▒░ ▒ ▒▒ ▓▒░ ▒░▒░▒░ 
// ░ ░▒ ▒░ ▒ ░░  ░      ░  ░ ▒ ▒░  ▒ ░▒░ ░ ▒ ░ ▓██ ░▒░   ░ ▒ ▒░ ░ ░▒ ▒░  ░ ▒ ▒░ 
// ░ ░░ ░  ▒ ░░      ░   ░ ░ ░ ▒   ░  ░░ ░ ▒ ░ ▒ ▒ ░░  ░ ░ ░ ▒  ░ ░░ ░ ░ ░ ░ ▒  
// ░  ░    ░         ░       ░ ░   ░  ░  ░ ░   ░ ░         ░ ░  ░  ░       ░ ░  
//                                             ░ ░                                            
//
//  Copyright (C) 2018 Alvaro Amador (@sararyCow)
//  This file is part of KimoHiyoko
//
//  This program is free software: you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation, either version 3 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program.  If not, see <http://www.gnu.org/licenses/>.
//------------------------------------------------------------------------------

#ifndef ENT_H
#define ENT_H
#include <types.h>
#define K_UP 0x01
#define K_RIGHT 0x02
#define K_LEFT 0x04
#define K_FIRE 0x08
#define K_DOWN 0x10
#define K_PAUSE 0x20

#define ID_HIYO 0

#define ID_BULLET_STD 0x10
#define ID_BULLET_SIN 0x11
#define ID_BULLET_UD 0x12
#define ID_BULLET_GRAV 0x13

#define ID_BULLET_DOWN 0x14

#define ID_ENEMIES 0x20
#define ID_ENEMY_0 0x20
#define ID_ENEMY_0_1 0x24
#define ID_ENEMY_0_2 0x28
#define ID_ENEMY_1 0x21
#define ID_ENEMY_1_1 0x25
#define ID_ENEMY_1_2 0x29
#define ID_ENEMY_2 0x22
#define ID_ENEMY_2_1 0x26
#define ID_ENEMY_2_2 0x2A
#define ID_ENEMY_2_2b 0x2E
#define ID_ENEMY_3 0x23
#define ID_ENEMY_3_1 0x27
#define ID_ENEMY_3_2 0x2B


#define ID_ITEMS 0x40
#define ITEM_HEART 0x40

#define ID_ENEMY_BULLET_STD 0x30
#define ID_ENEMY_BULLET_SIN 0x31
#define ID_ENEMY_BULLET_UD 0x32
#define ID_ENEMY_BULLET_GRAV 0x33

#define ID_PARTICLES_BLOCK 0x40
#define ID_PARTICLES_ENE 0x41

#define HIT_STATE 0x80
#define HIT_MASK 0x7F

#define FIRE_STATE 0x40

#define UPGRADE_ID_0 0

#define WALLID 4
#define UPGRADEID 36

#define EXPANSION_COUNT 34
#define UPGR_WEAPON 0 //4
#define EXP_HEART 5 //5
#define EXP_W1 10 //8?
#define EXP_W2 18
#define EXP_W3 26

#define TROOMS 84
#define ROOM_MASK 0xC0

#define EN0_EN0_0_W 3
#define EN0_EN0_0_H 13
#define EN0_EN0_1_W 3
#define EN0_EN0_1_H 13
#define EN0_EN0_2_W 3
#define EN0_EN0_2_H 13
#define EN0_EN0_3_W 3
#define EN0_EN0_3_H 13
#define EN0_EN0_4_W 3
#define EN0_EN0_4_H 13
#define EN0_EN0_5_W 3
#define EN0_EN0_5_H 13
#define EN0_EN0_6_W 3
#define EN0_EN0_6_H 13
#define EN0_EN0_7_W 3
#define EN0_EN0_7_H 13
#define EN0_EN0_8_W 3
#define EN0_EN0_8_H 13

#define EN1_EN1_0_W 4
#define EN1_EN1_0_H 8
#define EN1_EN1_1_W 4
#define EN1_EN1_1_H 8
#define EN1_EN1_2_W 4
#define EN1_EN1_2_H 8
#define EN1_EN1_3_W 4
#define EN1_EN1_3_H 8
#define EN1_EN1_4_W 4
#define EN1_EN1_4_H 8
#define EN1_EN1_5_W 4
#define EN1_EN1_5_H 8
#define EN1_EN1_6_W 4
#define EN1_EN1_6_H 8
#define EN1_EN1_7_W 4
#define EN1_EN1_7_H 8
#define EN1_EN1_8_W 4
#define EN1_EN1_8_H 8

#define EN2_EN2_0_W 3
#define EN2_EN2_0_H 8
#define EN2_EN2_1_W 3
#define EN2_EN2_1_H 8
#define EN2_EN2_2_W 3
#define EN2_EN2_2_H 8
#define EN2_EN2_3_W 3
#define EN2_EN2_3_H 8
#define EN2_EN2_4_W 3
#define EN2_EN2_4_H 8
#define EN2_EN2_5_W 3
#define EN2_EN2_5_H 8
#define EN2_EN2_6_W 3
#define EN2_EN2_6_H 8
#define EN2_EN2_7_W 3
#define EN2_EN2_7_H 8
#define EN2_EN2_8_W 3
#define EN2_EN2_8_H 8

#define EN3_EN3_0_W 4
#define EN3_EN3_0_H 8
#define EN3_EN3_1_W 4
#define EN3_EN3_1_H 8
#define EN3_EN3_2_W 4
#define EN3_EN3_2_H 8
#define EN3_EN3_3_W 4
#define EN3_EN3_3_H 8
#define EN3_EN3_4_W 4
#define EN3_EN3_4_H 8
#define EN3_EN3_5_W 4
#define EN3_EN3_5_H 8
#define EN3_EN3_6_W 4
#define EN3_EN3_6_H 8
#define EN3_EN3_7_W 4
#define EN3_EN3_7_H 8
#define EN3_EN3_8_W 4
#define EN3_EN3_8_H 8

#define NUM_NUMS_00_W 2
#define NUM_NUMS_00_H 7
#define NUM_NUMS_01_W 2
#define NUM_NUMS_01_H 7
#define NUM_NUMS_02_W 2
#define NUM_NUMS_02_H 7
#define NUM_NUMS_03_W 2
#define NUM_NUMS_03_H 7
#define NUM_NUMS_04_W 2
#define NUM_NUMS_04_H 7
#define NUM_NUMS_05_W 2
#define NUM_NUMS_05_H 7
#define NUM_NUMS_06_W 2
#define NUM_NUMS_06_H 7
#define NUM_NUMS_07_W 2
#define NUM_NUMS_07_H 7
#define NUM_NUMS_08_W 2
#define NUM_NUMS_08_H 7
#define NUM_NUMS_09_W 2
#define NUM_NUMS_09_H 7
#define NUM_NUMS_10_W 2
#define NUM_NUMS_10_H 7
#define NUM_NUMS_11_W 2
#define NUM_NUMS_11_H 7

#define TTDISCLAIMER_TITLEDISCLAIMER_W 36
#define TTDISCLAIMER_TITLEDISCLAIMER_H 8

#define TTHBAR_TITLEHBAR_W 5
#define TTHBAR_TITLEHBAR_H 3

#define TTKSTUFF_TITLEKSTUFF_W 6
#define TTKSTUFF_TITLEKSTUFF_H 11

#define TTJAP_TITLEJAP_W 22
#define TTJAP_TITLEJAP_H 7

#define TTMSTUFF_TITLEMSTUFF_W 5
#define TTMSTUFF_TITLEMSTUFF_H 11

#define TTOBAR_TITLEOBAR_W 6
#define TTOBAR_TITLEOBAR_H 3

#define TTSTICK_TITLESTICK_W 2
#define TTSTICK_TITLESTICK_H 22

#define TTSTICKTHIN_TITLESTICKTHIN_W 2
#define TTSTICKTHIN_TITLESTICKTHIN_H 22

#define TTYSTUFF_TITLEYSTUFF_W 6
#define TTYSTUFF_TITLEYSTUFF_H 10

#define FLAME_FLAME_0_W 6
#define FLAME_FLAME_0_H 16

#define FLAME_FLAME_1_W 6
#define FLAME_FLAME_1_H 16

#define FLAME_FLAME_2_W 6
#define FLAME_FLAME_2_H 16

typedef struct {
     u8 x[3];
   u8 y[3]; 
   u8 sprite;
   u8 width, height;
   u8 draw;
   i8 yVel;

  u8 id;
   u8 state;
   u8 nframe;
   u8 look;
   u8 life;
   u8 timer;
   u8 animTimer;
} TEntity;

typedef struct
{
  u8 id;
  u8 dir[4]; //u, r, d, l;
  u8 exp;
  u8* map;
} TRoom;

typedef struct
{
  u8 frame;
  u8 time;
}TFrame;

// Estados del personaje
enum {
   HIYO_IDLE=0,
   HIYO_WALK,
   HIYO_PREJUMP,
   HIYO_JUMP,
   HIYO_FALL,
   HIYO_LAND,
   HIYO_FIRE,
   HIYO_STATES
};

enum {
   ENEMY_IDLE=0,
   ENEMY_WALK,
   ENEMY_PREJUMP,
   ENEMY_JUMP,
   ENEMY_FALL,
   ENEMY_LAND,
   ENEMY_FIRE,
   ENEMY_SEEK,
   ENEMY_FIRING,
   ENEMY_DEAD,
   ENEMY_CLIMB_DY,
   ENEMY_CLIMB_LX,
   ENEMY_CLIMB_UY,
   ENEMY_CLIMB_RX,
   ENEMY_3_STATE,
   ENEMY_STATES
};

// Mirando hacia
enum {
      LEFT  = 0
   ,  RIGHT
};

//estados del juego
enum{
  PLAY,
  SCROLL,
  PRESCROLL,
  WARP,
  GAMEOVER,
  TOMENU,
  PAUSE,
  PAUSE2,
  END,
  END2
  //PRESHAKE,
  //SHAKE
};

//direcciones
enum{
  DY, LX, UY, RX
};

extern const TRoom screen[TROOMS];
#endif
