//-----------------------------LICENSE NOTICE------------------------------------
//  ██ ▄█▀ ██▓ ███▄ ▄███▓ ▒█████   ██░ ██  ██▓▓██   ██▓ ▒█████   ██ ▄█▀ ▒█████  
//  ██▄█▒ ▓██▒▓██▒▀█▀ ██▒▒██▒  ██▒▓██░ ██▒▓██▒ ▒██  ██▒▒██▒  ██▒ ██▄█▒ ▒██▒  ██▒
// ▓███▄░ ▒██▒▓██    ▓██░▒██░  ██▒▒██▀▀██░▒██▒  ▒██ ██░▒██░  ██▒▓███▄░ ▒██░  ██▒
// ▓██ █▄ ░██░▒██    ▒██ ▒██   ██░░▓█ ░██ ░██░  ░ ▐██▓░▒██   ██░▓██ █▄ ▒██   ██░
// ▒██▒ █▄░██░▒██▒   ░██▒░ ████▓▒░░▓█▒░██▓░██░  ░ ██▒▓░░ ████▓▒░▒██▒ █▄░ ████▓▒░
// ▒ ▒▒ ▓▒░▓  ░ ▒░   ░  ░░ ▒░▒░▒░  ▒ ░░▒░▒░▓     ██▒▒▒ ░ ▒░▒░▒░ ▒ ▒▒ ▓▒░ ▒░▒░▒░ 
// ░ ░▒ ▒░ ▒ ░░  ░      ░  ░ ▒ ▒░  ▒ ░▒░ ░ ▒ ░ ▓██ ░▒░   ░ ▒ ▒░ ░ ░▒ ▒░  ░ ▒ ▒░ 
// ░ ░░ ░  ▒ ░░      ░   ░ ░ ░ ▒   ░  ░░ ░ ▒ ░ ▒ ▒ ░░  ░ ░ ░ ▒  ░ ░░ ░ ░ ░ ░ ▒  
// ░  ░    ░         ░       ░ ░   ░  ░  ░ ░   ░ ░         ░ ░  ░  ░       ░ ░  
//                                             ░ ░                                            
//
//  Copyright (C) 2018 Alvaro Amador (@sararyCow)
//  This file is part of KimoHiyoko
//
//  This program is free software: you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation, either version 3 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program.  If not, see <http://www.gnu.org/licenses/>.
//------------------------------------------------------------------------------

#include "hiyo.h"
// Data created with Img2CPC - (c) Retroworks - 2007-2015
// Palette uses hardware values.
__at(0x87C9) const u8 hiyo_palette[16] = { 0x44, 0x54, 0x55, 0x5d, 0x4c, 0x45, 0x4d, 0x46, 0x5e, 0x5f, 0x4e, 0x4f, 0x53, 0x59, 0x43, 0x4b };

// Tile hiyo_hiyo_0: 8x16 pixels, 4x16 bytes.
const u8 hiyo_hiyo_0[4 * 16] = {
	0x00, 0x00, 0x00, 0x00,
	0x00, 0x30, 0x82, 0x00,
	0x00, 0x33, 0x82, 0x00,
	0x00, 0x30, 0x82, 0x00,
	0x05, 0x4b, 0x82, 0x00,
	0x10, 0x74, 0xf6, 0x00,
	0x05, 0x5e, 0xf9, 0xa8,
	0x54, 0xfc, 0xf6, 0xf6,
	0x54, 0xfc, 0xf9, 0xf9,
	0x54, 0xfc, 0xfc, 0xf6,
	0x54, 0xfc, 0xfc, 0xf9,
	0x00, 0xfc, 0xfc, 0xa8,
	0x00, 0x05, 0xad, 0x00,
	0x00, 0x05, 0x05, 0x00,
	0x00, 0x05, 0x05, 0x00,
	0x00, 0x0f, 0x0f, 0x00
};

// Tile hiyo_hiyo_1: 8x16 pixels, 4x16 bytes.
const u8 hiyo_hiyo_1[4 * 16] = {
	0x00, 0x30, 0x82, 0x00,
	0x00, 0x33, 0x82, 0x00,
	0x00, 0x30, 0x82, 0x00,
	0x05, 0x4b, 0x82, 0x00,
	0x10, 0x74, 0xf6, 0x00,
	0x05, 0x5e, 0xf9, 0xa8,
	0x54, 0xfc, 0xf6, 0xf6,
	0x54, 0xfc, 0xf9, 0xf9,
	0x54, 0xfc, 0xfc, 0xf6,
	0x54, 0xfc, 0xfc, 0xf9,
	0x54, 0xfc, 0xfc, 0xfc,
	0x00, 0xfc, 0xfc, 0xa8,
	0x00, 0x05, 0xad, 0x00,
	0x00, 0x0f, 0x05, 0x00,
	0x00, 0x00, 0x05, 0x00,
	0x00, 0x00, 0x0f, 0x00
};

// Tile hiyo_hiyo_2: 8x16 pixels, 4x16 bytes.
const u8 hiyo_hiyo_2[4 * 16] = {
	0x00, 0x00, 0x00, 0x00,
	0x10, 0x61, 0x00, 0x00,
	0x11, 0x61, 0x00, 0x00,
	0x10, 0x61, 0x00, 0x00,
	0x4b, 0xc3, 0x00, 0x00,
	0x61, 0xf9, 0xa8, 0x00,
	0x5e, 0xfc, 0xf6, 0x00,
	0x54, 0xf9, 0xf9, 0xa8,
	0x54, 0xfc, 0xf6, 0xf6,
	0x54, 0xfc, 0xf9, 0xf9,
	0x54, 0xfc, 0xfc, 0xf6,
	0x00, 0xfc, 0xfc, 0xa8,
	0x00, 0x0a, 0xad, 0x00,
	0x00, 0x0a, 0x0f, 0x00,
	0x00, 0x0a, 0x00, 0x00,
	0x05, 0x0a, 0x00, 0x00
};

// Tile hiyo_hiyo_3: 8x16 pixels, 4x16 bytes. (no space for you ;()
/*const u8 hiyo_hiyo_3[4 * 16] = {
	0x00, 0x00, 0x00, 0x00,
	0x00, 0x00, 0x00, 0x00,
	0x00, 0x00, 0x00, 0x00,
	0x00, 0x00, 0x00, 0x00,
	0x00, 0x00, 0x00, 0x00,
	0x00, 0x00, 0x00, 0x00,
	0x10, 0x21, 0x02, 0x00,
	0x11, 0x21, 0x02, 0x00,
	0x10, 0x21, 0xf6, 0x00,
	0x4b, 0x03, 0xf9, 0xa8,
	0x74, 0xf9, 0xf6, 0xf6,
	0x5e, 0xfc, 0xf9, 0xf9,
	0xfc, 0xfc, 0xfc, 0xf6,
	0x54, 0xfc, 0xfc, 0xf9,
	0x00, 0xfc, 0xfc, 0xa8,
	0x00, 0x0f, 0x0f, 0x00
};*/

// Tile hiyo_hiyo_4: 8x16 pixels, 4x16 bytes.
const u8 hiyo_hiyo_4[4 * 16] = {
	0x00, 0x30, 0x82, 0x00,
	0x00, 0x33, 0x82, 0xf9,
	0x00, 0x30, 0xd6, 0xf6,
	0x05, 0x4b, 0xd3, 0xf9,
	0x10, 0x74, 0xf6, 0xf6,
	0x05, 0x5e, 0xf9, 0xa8,
	0x00, 0xfc, 0xfc, 0x00,
	0x54, 0xfc, 0x7e, 0xa8,
	0x54, 0xfc, 0xbd, 0xfc,
	0x54, 0xfc, 0xfc, 0x7e,
	0x54, 0xfc, 0xfc, 0xfc,
	0x00, 0xfc, 0xfc, 0xa8,
	0x00, 0x05, 0xad, 0x00,
	0x00, 0x0f, 0x05, 0x00,
	0x00, 0x00, 0x05, 0x00,
	0x00, 0x00, 0x0f, 0x00
};

