//-----------------------------LICENSE NOTICE------------------------------------
//  ██ ▄█▀ ██▓ ███▄ ▄███▓ ▒█████   ██░ ██  ██▓▓██   ██▓ ▒█████   ██ ▄█▀ ▒█████  
//  ██▄█▒ ▓██▒▓██▒▀█▀ ██▒▒██▒  ██▒▓██░ ██▒▓██▒ ▒██  ██▒▒██▒  ██▒ ██▄█▒ ▒██▒  ██▒
// ▓███▄░ ▒██▒▓██    ▓██░▒██░  ██▒▒██▀▀██░▒██▒  ▒██ ██░▒██░  ██▒▓███▄░ ▒██░  ██▒
// ▓██ █▄ ░██░▒██    ▒██ ▒██   ██░░▓█ ░██ ░██░  ░ ▐██▓░▒██   ██░▓██ █▄ ▒██   ██░
// ▒██▒ █▄░██░▒██▒   ░██▒░ ████▓▒░░▓█▒░██▓░██░  ░ ██▒▓░░ ████▓▒░▒██▒ █▄░ ████▓▒░
// ▒ ▒▒ ▓▒░▓  ░ ▒░   ░  ░░ ▒░▒░▒░  ▒ ░░▒░▒░▓     ██▒▒▒ ░ ▒░▒░▒░ ▒ ▒▒ ▓▒░ ▒░▒░▒░ 
// ░ ░▒ ▒░ ▒ ░░  ░      ░  ░ ▒ ▒░  ▒ ░▒░ ░ ▒ ░ ▓██ ░▒░   ░ ▒ ▒░ ░ ░▒ ▒░  ░ ▒ ▒░ 
// ░ ░░ ░  ▒ ░░      ░   ░ ░ ░ ▒   ░  ░░ ░ ▒ ░ ▒ ▒ ░░  ░ ░ ░ ▒  ░ ░░ ░ ░ ░ ░ ▒  
// ░  ░    ░         ░       ░ ░   ░  ░  ░ ░   ░ ░         ░ ░  ░  ░       ░ ░  
//                                             ░ ░                                            
//
//  Copyright (C) 2018 Alvaro Amador (@sararyCow)
//  This file is part of KimoHiyoko
//
//  This program is free software: you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation, either version 3 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program.  If not, see <http://www.gnu.org/licenses/>.
//------------------------------------------------------------------------------
#include "items.h"
// Data created with Img2CPC - (c) Retroworks - 2007-2015
// Tile items_items_0: 8x10 pixels, 4x10 bytes.
const u8 items_items_0[4 * 10] = {
	0x00, 0x05, 0x0a, 0x00,
	0x00, 0x5f, 0xaf, 0x00,
	0x05, 0xff, 0xff, 0x0a,
	0x5f, 0xff, 0x1f, 0x2f,
	0x1f, 0x2f, 0x3f, 0x2f,
	0x0f, 0x1f, 0x1f, 0x2f,
	0x1f, 0x3f, 0x3f, 0x2f,
	0x0f, 0x3f, 0x3f, 0x0a,
	0x05, 0x3f, 0x2f, 0x00,
	0x00, 0x0f, 0x0a, 0x00
};

// Tile items_items_1: 8x10 pixels, 4x10 bytes.
const u8 items_items_1[4 * 10] = {
	0x00, 0x41, 0x00, 0x00,
	0x00, 0x86, 0x82, 0x00,
	0x41, 0x49, 0x49, 0x00,
	0x86, 0x86, 0x0c, 0x82,
	0xc3, 0x48, 0x0c, 0xc2,
	0x86, 0x91, 0x84, 0x91,
	0x62, 0x62, 0x62, 0x62,
	0x62, 0x62, 0x62, 0x62,
	0x91, 0x84, 0x91, 0x80,
	0x40, 0xc3, 0xc2, 0x00
};

// Tile items_items_2: 8x10 pixels, 4x10 bytes.
const u8 items_items_2[4 * 10] = {
	0x00, 0x50, 0x00, 0x00,
	0x00, 0xe5, 0xa0, 0x00,
	0x50, 0x9f, 0xda, 0x00,
	0xe5, 0x6f, 0xda, 0x00,
	0x60, 0xcf, 0xcf, 0xe0,
	0x90, 0xc5, 0xcf, 0x90,
	0xe0, 0x60, 0xca, 0x60,
	0xe5, 0x90, 0x90, 0x80,
	0xf0, 0xca, 0x60, 0xa0,
	0x00, 0xf0, 0xd0, 0x00
};

// Tile items_items_3: 8x10 pixels, 4x10 bytes.
const u8 items_items_3[4 * 10] = {
	0x00, 0x05, 0x00, 0x00,
	0x00, 0x54, 0xa8, 0x00,
	0x00, 0xf9, 0xf6, 0x00,
	0x00, 0xf9, 0xc0, 0xc0,
	0x54, 0xe2, 0x3f, 0x3f,
	0x54, 0x95, 0x33, 0x62,
	0x40, 0x3b, 0xc0, 0x80,
	0x40, 0x3b, 0xd1, 0xa8,
	0x95, 0x62, 0xf3, 0xa8,
	0x95, 0x62, 0xfc, 0x00
};

// Tile items_items_4: 8x10 pixels, 4x10 bytes.
const u8 items_items_4[4 * 10] = {
	0x44, 0x88, 0x44, 0x88,
	0xcd, 0xce, 0x9c, 0x6c,
	0xcd, 0x3c, 0x3c, 0x6c,
	0x9c, 0x3c, 0x3c, 0x6c,
	0x9c, 0x3c, 0x3c, 0x6c,
	0x44, 0x3c, 0x3c, 0x88,
	0x44, 0x3c, 0x3c, 0x88,
	0x00, 0x9c, 0x6c, 0x00,
	0x00, 0x9c, 0x6c, 0x00,
	0x00, 0x44, 0x88, 0x00
};

// Tile items_items_5: 8x10 pixels, 4x10 bytes.
const u8 items_items_5[4 * 10] = {
	0x00, 0x40, 0x80, 0x00,
	0x00, 0xd0, 0x60, 0x00,
	0x40, 0xf0, 0x30, 0x80,
	0x40, 0xf0, 0xb0, 0x80,
	0x40, 0xf0, 0x30, 0x80,
	0x40, 0xfa, 0x75, 0x80,
	0x40, 0xff, 0xff, 0x80,
	0x40, 0xff, 0xff, 0x80,
	0x00, 0xd5, 0xea, 0x00,
	0x00, 0x40, 0x80, 0x00
};

