//-----------------------------LICENSE NOTICE------------------------------------
//  ██ ▄█▀ ██▓ ███▄ ▄███▓ ▒█████   ██░ ██  ██▓▓██   ██▓ ▒█████   ██ ▄█▀ ▒█████  
//  ██▄█▒ ▓██▒▓██▒▀█▀ ██▒▒██▒  ██▒▓██░ ██▒▓██▒ ▒██  ██▒▒██▒  ██▒ ██▄█▒ ▒██▒  ██▒
// ▓███▄░ ▒██▒▓██    ▓██░▒██░  ██▒▒██▀▀██░▒██▒  ▒██ ██░▒██░  ██▒▓███▄░ ▒██░  ██▒
// ▓██ █▄ ░██░▒██    ▒██ ▒██   ██░░▓█ ░██ ░██░  ░ ▐██▓░▒██   ██░▓██ █▄ ▒██   ██░
// ▒██▒ █▄░██░▒██▒   ░██▒░ ████▓▒░░▓█▒░██▓░██░  ░ ██▒▓░░ ████▓▒░▒██▒ █▄░ ████▓▒░
// ▒ ▒▒ ▓▒░▓  ░ ▒░   ░  ░░ ▒░▒░▒░  ▒ ░░▒░▒░▓     ██▒▒▒ ░ ▒░▒░▒░ ▒ ▒▒ ▓▒░ ▒░▒░▒░ 
// ░ ░▒ ▒░ ▒ ░░  ░      ░  ░ ▒ ▒░  ▒ ░▒░ ░ ▒ ░ ▓██ ░▒░   ░ ▒ ▒░ ░ ░▒ ▒░  ░ ▒ ▒░ 
// ░ ░░ ░  ▒ ░░      ░   ░ ░ ░ ▒   ░  ░░ ░ ▒ ░ ▒ ▒ ░░  ░ ░ ░ ▒  ░ ░░ ░ ░ ░ ░ ▒  
// ░  ░    ░         ░       ░ ░   ░  ░  ░ ░   ░ ░         ░ ░  ░  ░       ░ ░  
//                                             ░ ░                                            
//
//  Copyright (C) 2018 Alvaro Amador (@sararyCow)
//  This file is part of KimoHiyoko
//
//  This program is free software: you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation, either version 3 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program.  If not, see <http://www.gnu.org/licenses/>.
//------------------------------------------------------------------------------

#include <cpctelera.h>
#include "entities/entities.h"
//#include "img/nums.h"
#include "img/hiyo.h"
#include "img/bulletStd.h"
//#include "img/flame.h"
#include "img/heartHud.h"
//#include "img/en0.h"
//#include "img/en1.h"
//#include "img/en2.h"
//#include "img/en3.h"
#include "img/items.h"
//#include "img/tSet16v0.h"

//#include "img/titleDisclaimer.h"
//#include "img/titlejap.h"
//#include "img/titleKStuff.h"
//#include "img/titleMStuff.h"
//#include "img/titleOBar.h"
//#include "img/titleHBar.h"
//#include "img/titleStick.h"
//#include "img/titleStickThin.h"
//#include "img/titleYStuff.h"

#include "maps/cMap.h"
#define GRAVITY 1
#define SCREENX 64
#define SCREENY 176

#define SPRITE_COUNT 55
#define SPRITE_EN3 23
#define SPRITE_ITEM 41
#define SPRITE_PART 47
#define SPRITE_BULLET 50

//BE <- 88
__at(0xBE00) const u8 en3_en3_1[4 * 8];
__at(0xBE20) const u8 en3_en3_2[4 * 8];
__at(0xBE40) const u8 en3_en3_3[4 * 8];
__at(0xBE60) const u8 en3_en3_4[4 * 8];
__at(0xBE80) const u8 en3_en3_5[4 * 8];
__at(0xBEA0) const u8 en3_en3_6[4 * 8];
__at(0xBEC0) const u8 en3_en3_7[4 * 8];
__at(0xBEE0) const u8 en3_en3_8[4 * 8];
__at(0xBF00) const u8 en2_en2_0[3 * 8];
__at(0xBF18) const u8 en2_en2_1[3 * 8];
__at(0xBF30) const u8 en2_en2_2[3 * 8];
__at(0xBF48) const u8 en2_en2_3[3 * 8];
__at(0xBF60) const u8 en2_en2_4[3 * 8];
__at(0xBF78) const u8 en2_en2_5[3 * 8];
__at(0xBF90) const u8 en2_en2_6[3 * 8];
__at(0xBFA8) const u8 en2_en2_7[3 * 8];
__at(0xBFC0) const u8 en2_en2_8[3 * 8];
//__at(0xBFD8)

__at(0x8800) const u8 en3_en3_1f[4 * 8] = {
	0x00, 0x00, 0x00, 0x00,
	0x45, 0x6d, 0x6d, 0x28,
	0x9e, 0x94, 0x9e, 0x9e,
	0x68, 0xc0, 0x6d, 0x6d,
	0xca, 0xc0, 0x9e, 0x9e,
	0x6d, 0xc5, 0x6d, 0x6d,
	0x14, 0x9e, 0x9e, 0x9e,
	0x00, 0x00, 0x00, 0x45
};



// Tile en3_en3_2: 8x8 pixels, 4x8 bytes.
__at(0x8820) const u8 en3_en3_2f[4 * 8] = {
	0x00, 0x00, 0x00, 0x00,
	0x00, 0x14, 0x6d, 0x28,
	0x14, 0x9e, 0x9e, 0x9e,
	0x6d, 0xc5, 0x6d, 0x6d,
	0xca, 0xc0, 0x9e, 0x9e,
	0x68, 0xc0, 0x6d, 0x6d,
	0x9e, 0x94, 0x9e, 0x9e,
	0x45, 0x28, 0x00, 0x45
};

// Tile en3_en3_3: 8x8 pixels, 4x8 bytes.
__at(0x8840)const u8 en3_en3_3f[4 * 8] = {
	0x51, 0xf9, 0xa8, 0x00,
	0xf6, 0xc0, 0xf6, 0x00,
	0xe8, 0xc0, 0xd1, 0x00,
	0x54, 0xc0, 0xf6, 0xa8,
	0x51, 0xf9, 0xf9, 0xa8,
	0x54, 0xf6, 0xf6, 0xa2,
	0x51, 0xf9, 0xf9, 0xa8,
	0xf6, 0xf6, 0xf6, 0x00
};

// Tile en3_en3_4: 8x8 pixels, 4x8 bytes.
__at(0x8860) const u8 en3_en3_4f[4 * 8] = {
	0x00, 0xf9, 0xf9, 0x00,
	0x54, 0xe2, 0xd4, 0xa2,
	0x51, 0xc0, 0xc0, 0xa8,
	0x54, 0xe2, 0xd4, 0xa2,
	0x51, 0xf9, 0xf9, 0xa8,
	0x54, 0xf6, 0xf6, 0xa2,
	0x51, 0xf9, 0xf9, 0xa8,
	0xf6, 0xf6, 0xf6, 0x00
};

// Tile en3_en3_5: 8x8 pixels, 4x8 bytes.
__at(0x8880) const u8 en3_en3_5f[4 * 8] = {
	0x00, 0x51, 0xc0, 0xa8,
	0x00, 0xe2, 0xc0, 0xd4,
	0x00, 0xe8, 0xc0, 0xd1,
	0x00, 0xf6, 0xc0, 0xf6,
	0x51, 0xf9, 0xf9, 0xa8,
	0x54, 0xf6, 0xf6, 0xa2,
	0x51, 0xf9, 0xf9, 0xa8,
	0xf6, 0xf6, 0xf6, 0x00
};

// Tile en3_en3_6: 8x8 pixels, 4x8 bytes.
__at(0x88A0) const u8 en3_en3_6f[4 * 8] = {
	0x00, 0x93, 0x93, 0x93,
	0x41, 0x63, 0x63, 0x22,
	0x11, 0x93, 0x93, 0x82,
	0x41, 0x63, 0x63, 0x22,
	0x93, 0xc0, 0x93, 0x00,
	0x62, 0xc0, 0xc1, 0x00,
	0xc2, 0xc0, 0x91, 0x00,
	0x41, 0xc0, 0x22, 0x00
};

// Tile en3_en3_7: 8x8 pixels, 4x8 bytes.
__at(0x88C0) const u8 en3_en3_7f[4 * 8] = {
	0x00, 0x93, 0x93, 0x93,
	0x41, 0x63, 0x63, 0x22,
	0x11, 0x93, 0x93, 0x82,
	0x41, 0x63, 0x63, 0x22,
	0x11, 0xc2, 0x91, 0x82,
	0x41, 0xc0, 0xc0, 0x22,
	0x11, 0xc2, 0x91, 0x82,
	0x00, 0x63, 0x63, 0x00
};

// Tile en3_en3_8: 8x8 pixels, 4x8 bytes.
__at(0x88E0) const u8 en3_en3_8f[4 * 8] = {
	0x00, 0x93, 0x93, 0x93,
	0x41, 0x63, 0x63, 0x22,
	0x11, 0x93, 0x93, 0x82,
	0x41, 0x63, 0x63, 0x22,
	0x41, 0x93, 0xc0, 0x82,
	0x00, 0x62, 0xc0, 0xc1,
	0x00, 0x93, 0xc0, 0x93,
	0x00, 0x41, 0x63, 0x22
};

// Tile en2_en2_0: 6x8 pixels, 3x8 bytes.
__at(0x8900) const u8 en2_en2_0f[3 * 8] = {
	0x45, 0x00, 0x28,
	0x9e, 0x9e, 0xb4,
	0x78, 0x68, 0xc5,
	0x14, 0x95, 0x6a,
	0x45, 0x95, 0x60,
	0xda, 0xca, 0x94,
	0x6d, 0x6d, 0xe5,
	0x50, 0x00, 0x8a
};

// Tile en2_en2_1: 6x8 pixels, 3x8 bytes.
__at(0x8918) const u8 en2_en2_1f[3 * 8] = {
	0x00, 0x9e, 0x00,
	0x45, 0x6d, 0xa0,
	0x78, 0xda, 0x28,
	0xcf, 0x3c, 0xe5,
	0x9e, 0xc0, 0x6d,
	0x40, 0x3f, 0x94,
	0x40, 0x35, 0x80,
	0x45, 0xc0, 0x8a
};

// Tile en2_en2_2: 6x8 pixels, 3x8 bytes.
__at(0x8930) const u8 en2_en2_2f[3 * 8] = {
	0x14, 0x00, 0x8a,
	0x68, 0x94, 0xe5,
	0x90, 0x6a, 0x3c,
	0x95, 0x6a, 0xa0,
	0x40, 0xc5, 0x28,
	0x6d, 0x6d, 0xe5,
	0xda, 0x9e, 0x9e,
	0x14, 0x00, 0x8a
};

// Tile en2_en2_3: 6x8 pixels, 3x8 bytes.
__at(0x8948) const u8 en2_en2_3f[3 * 8] = {
	0x51, 0x00, 0xa8,
	0xf6, 0xf6, 0x56,
	0xa9, 0xe8, 0xd1,
	0x54, 0x95, 0x6a,
	0x51, 0x95, 0x60,
	0xa3, 0xe2, 0xd4,
	0xf9, 0xf9, 0x53,
	0x01, 0x00, 0xa2
};

// Tile en2_en2_4: 6x8 pixels, 3x8 bytes.
__at(0x8960) const u8 en2_en2_4f[3 * 8] = {
	0xa8, 0xc0, 0x51,
	0x40, 0x35, 0x80,
	0x40, 0x3f, 0x80,
	0xf6, 0xc0, 0xf9,
	0xf9, 0xfc, 0x56,
	0x01, 0xa3, 0xa8,
	0x51, 0xf9, 0x02,
	0xa2, 0xf3, 0x54
};

// Tile en2_en2_5: 6x8 pixels, 3x8 bytes.
__at(0x8978) const u8 en2_en2_5f[3 * 8] = {
	0x54, 0x00, 0xa2,
	0xa3, 0xf6, 0xf6,
	0xf9, 0xf9, 0x53,
	0x40, 0xd1, 0xa8,
	0x95, 0x6a, 0x02,
	0x90, 0x6a, 0xfc,
	0xe8, 0xd4, 0x53,
	0x54, 0x00, 0xa2
};

// Tile en2_en2_6: 6x8 pixels, 3x8 bytes.
__at(0x8990) const u8 en2_en2_6f[3 * 8] = {
	0x11, 0x00, 0x82,
	0x63, 0x63, 0xc9,
	0xc6, 0xc2, 0x91,
	0x41, 0x95, 0x60,
	0x11, 0x95, 0x6a,
	0x66, 0x62, 0xc1,
	0x93, 0x93, 0x99,
	0x44, 0x00, 0x22
};

// Tile en2_en2_7: 6x8 pixels, 3x8 bytes.
__at(0x89A8) const u8 en2_en2_7f[3 * 8] = {
	0x82, 0x63, 0x41,
	0x99, 0x93, 0x88,
	0x44, 0x66, 0x82,
	0x11, 0xc3, 0xc9,
	0x63, 0xc0, 0x93,
	0xc2, 0x3f, 0x80,
	0x40, 0x35, 0x80,
	0x63, 0xc0, 0x63
};

// Tile en2_en2_8: 6x8 pixels, 3x8 bytes.
__at(0x89C0) const u8 en2_en2_8f[3 * 8] = {
	0x88, 0x00, 0x22,
	0xc2, 0xc1, 0x88,
	0x90, 0x6a, 0xc3,
	0x95, 0x6a, 0x99,
	0x40, 0x91, 0x82,
	0x93, 0x93, 0x88,
	0x66, 0x63, 0x63,
	0x00, 0x00, 0x11
};

//B6
__at(0xB600) const u8 flame_flame_1[6 * 16];
__at(0xB660) const u8 flame_flame_2[6 * 16];
__at(0xB6C0) const u8 en1_en1_0[4 * 8];
__at(0xB6E0) const u8 en1_en1_1[4 * 8];
__at(0xB700) const u8 en1_en1_2[4 * 8];
__at(0xB720) const u8 en1_en1_3[4 * 8];
__at(0xB740) const u8 en1_en1_4[4 * 8];
__at(0xB760) const u8 en1_en1_5[4 * 8];
__at(0xB780) const u8 en1_en1_6[4 * 8];
__at(0xB7A0) const u8 en1_en1_7[4 * 8];
__at(0xB7C0) const u8 en1_en1_8[4 * 8];
__at(0xB7E0) const u8 en3_en3_0[4 * 8];

// Tile flame_flame_1: 12x16 pixels, 6x16 bytes.
__at(0x8200) const u8 flame_flame_1f[6 * 16] = {
	0x00, 0x02, 0x02, 0x00, 0x00, 0x00,
	0x00, 0x02, 0x0a, 0x00, 0x00, 0x00,
	0x00, 0x02, 0x00, 0x00, 0x02, 0x00,
	0x00, 0x03, 0x00, 0x02, 0x02, 0x00,
	0x01, 0x02, 0x00, 0x20, 0x01, 0x00,
	0x01, 0x21, 0x02, 0x00, 0x00, 0x00,
	0x12, 0x30, 0x02, 0x00, 0x00, 0x00,
	0x12, 0x25, 0x21, 0x00, 0x20, 0x00,
	0x03, 0x30, 0x1a, 0x3a, 0x20, 0x00,
	0x01, 0x12, 0x1a, 0x25, 0x20, 0x00,
	0x01, 0x30, 0x0f, 0x2f, 0x20, 0x00,
	0x01, 0x30, 0x1f, 0x2f, 0x20, 0x00,
	0x01, 0x25, 0x1f, 0x2f, 0x30, 0x00,
	0x02, 0x25, 0x3f, 0xbf, 0x1a, 0x02,
	0x01, 0x07, 0x7f, 0xbf, 0x1a, 0x02,
	0x00, 0x07, 0x3f, 0xaf, 0x21, 0x00
};

// Tile flame_flame_2: 12x16 pixels, 6x16 bytes.
__at(0x8260) const u8 flame_flame_2f[6 * 16] = {
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
	0x00, 0x02, 0x00, 0x01, 0x00, 0x00,
	0x01, 0x21, 0x00, 0x02, 0x00, 0x00,
	0x01, 0x21, 0x01, 0x02, 0x00, 0x00,
	0x12, 0x1a, 0x02, 0x02, 0x02, 0x00,
	0x12, 0x1a, 0x02, 0x02, 0x00, 0x00,
	0x12, 0x0f, 0x21, 0x02, 0x02, 0x00,
	0x03, 0x25, 0x21, 0x10, 0x02, 0x00,
	0x03, 0x25, 0x35, 0x30, 0x20, 0x00,
	0x12, 0x0f, 0x30, 0x1a, 0x00, 0x00,
	0x01, 0x25, 0x1f, 0x1a, 0x00, 0x00,
	0x01, 0x25, 0x3f, 0x3a, 0x00, 0x00,
	0x01, 0x0f, 0x3f, 0x3a, 0x20, 0x00,
	0x01, 0x1f, 0x7f, 0x2f, 0x21, 0x00,
	0x03, 0x1f, 0xff, 0x2f, 0x21, 0x00,
	0x01, 0x1f, 0x7f, 0x1a, 0x02, 0x00
};

// Data created with Img2CPC - (c) Retroworks - 2007-2015
// Tile en1_en1_0: 8x8 pixels, 4x8 bytes.
__at(0x82C0) const u8 en1_en1_0f[4 * 8] = {
	0x45, 0xcf, 0xda, 0x00,
	0xca, 0xd0, 0x9e, 0x28,
	0x95, 0x6a, 0x3c, 0x6d,
	0xd0, 0x6a, 0x3c, 0xcf,
	0x95, 0x6a, 0xda, 0xda,
	0xca, 0x94, 0xe5, 0xcf,
	0x14, 0x78, 0xcf, 0x8a,
	0x00, 0xcf, 0xf0, 0x00
};

// Tile en1_en1_1: 8x8 pixels, 4x8 bytes.
__at(0x82E0) const u8 en1_en1_1f[4 * 8] = {
	0x00, 0x00, 0x00, 0x00,
	0x45, 0xe5, 0xda, 0x00,
	0xcf, 0xcf, 0x6d, 0x8a,
	0x68, 0xc0, 0xc5, 0xe5,
	0xca, 0xb5, 0xc5, 0xcf,
	0xca, 0x3f, 0x94, 0xda,
	0x6d, 0xc0, 0xb4, 0x3c,
	0x45, 0xcf, 0xda, 0x28
};

// Tile en1_en1_2: 8x8 pixels, 4x8 bytes.
__at(0x8300) const u8 en1_en1_2f[4 * 8] = {
	0x00, 0xda, 0xcf, 0x00,
	0x45, 0xcf, 0xda, 0x28,
	0xca, 0xc0, 0x94, 0x78,
	0xca, 0xb5, 0x94, 0xcf,
	0xe0, 0x3f, 0xc5, 0xda,
	0x3c, 0xc0, 0x6d, 0xe5,
	0x14, 0x6d, 0xb4, 0x28,
	0x00, 0xcf, 0xda, 0x00
};

// Tile en1_en1_3: 8x8 pixels, 4x8 bytes.
__at(0x8320) const u8 en1_en1_3f[4 * 8] = {
	0x51, 0xf3, 0xa3, 0x00,
	0xe2, 0x81, 0xf6, 0xa8,
	0xc0, 0x6a, 0xfc, 0xf9,
	0xd0, 0x6a, 0xfc, 0xf3,
	0x95, 0x6a, 0xa3, 0xa3,
	0xe2, 0xd4, 0x53, 0xf3,
	0x54, 0xa9, 0xf3, 0xa2,
	0x00, 0xf3, 0x03, 0x00
};

// Tile en1_en1_4: 8x8 pixels, 4x8 bytes.
__at(0x8340) const u8 en1_en1_4f[4 * 8] = {
	0x00, 0x00, 0x00, 0x00,
	0x51, 0x53, 0xa3, 0x00,
	0xf3, 0xc0, 0xf9, 0xa2,
	0xe8, 0x95, 0xd1, 0x53,
	0xe2, 0xb5, 0xd1, 0xf3,
	0xe2, 0x3f, 0xd4, 0xa3,
	0xf9, 0xc0, 0x56, 0xfc,
	0x51, 0xf3, 0xa3, 0xa8
};

// Tile en1_en1_5: 8x8 pixels, 4x8 bytes.
__at(0x8360) const u8 en1_en1_5f[4 * 8] = {
	0x00, 0xa3, 0xf3, 0x00,
	0x51, 0xc0, 0xa3, 0xa8,
	0xe2, 0x95, 0xd4, 0xa9,
	0xe2, 0xb5, 0xd4, 0xf3,
	0x42, 0x3f, 0xd1, 0xa3,
	0xfc, 0xc0, 0xf9, 0x53,
	0x54, 0xf9, 0x56, 0xa8,
	0x00, 0xf3, 0xa3, 0x00
};

// Tile en1_en1_6: 8x8 pixels, 4x8 bytes.
__at(0x8380) const u8 en1_en1_6f[4 * 8] = {
	0x11, 0x33, 0x66, 0x00,
	0x62, 0xc4, 0x63, 0x82,
	0x95, 0xc0, 0xc3, 0x93,
	0xd0, 0x6a, 0xc3, 0x33,
	0x95, 0x6a, 0x66, 0x66,
	0x62, 0xc1, 0x99, 0x33,
	0x41, 0xc6, 0x33, 0x22,
	0x00, 0x33, 0xcc, 0x00
};

// Tile en1_en1_7: 8x8 pixels, 4x8 bytes.
__at(0x83A0) const u8 en1_en1_7f[4 * 8] = {
	0x00, 0x00, 0x00, 0x00,
	0x11, 0x99, 0x66, 0x00,
	0x33, 0xc0, 0x93, 0x22,
	0xc2, 0x6a, 0x91, 0x99,
	0x62, 0xb5, 0x91, 0x33,
	0x62, 0x3f, 0xc1, 0x66,
	0x93, 0xc0, 0xc9, 0xc3,
	0x11, 0x33, 0x66, 0x82
};

// Tile en1_en1_8: 8x8 pixels, 4x8 bytes.
__at(0x83C0) const u8 en1_en1_8f[4 * 8] = {
	0x00, 0x66, 0x33, 0x00,
	0x11, 0xc0, 0x66, 0x82,
	0x62, 0x6a, 0xc1, 0xc6,
	0x62, 0xb5, 0xc1, 0x33,
	0xc8, 0x3f, 0x91, 0x66,
	0xc3, 0xc0, 0x93, 0x99,
	0x41, 0x93, 0xc9, 0x82,
	0x00, 0x33, 0x66, 0x00
};

// Tile en3_en3_0: 8x8 pixels, 4x8 bytes.
__at(0x83E0) const u8 en3_en3_0f[4 * 8] = {
	0x14, 0x9e, 0x00, 0x00,
	0x68, 0xc5, 0x6d, 0x28,
	0xc0, 0xc0, 0x9e, 0x9e,
	0xc0, 0xc0, 0x6d, 0x6d,
	0xca, 0x94, 0x9e, 0x9e,
	0x45, 0x6d, 0x6d, 0x6d,
	0x00, 0x00, 0x9e, 0x9e,
	0x00, 0x00, 0x00, 0x45
};


//A6E4 <- 9AE4
__at(0xA6E4) const unsigned char lv2[136];
__at(0xA76C) const unsigned char lv1[117];
__at(0xA7E1) char* currentMusic;


__at(0x9AE4) const unsigned char lv2f[136] = {
 0x41, 0x54, 0x31, 0x30, 0x01, 0x40, 0x42, 0x0f, 0x02, 0x06, 0x44, 0x00, 0xf8, 0xa6, 0x01, 0xa7,
 0x13, 0xa7, 0x24, 0xa7, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0d, 0xfa, 0xa6, 0x02, 0x00, 0x1a,
 0x1f, 0x12, 0x1f, 0x12, 0x1f, 0x0a, 0x1f, 0x0a, 0x1e, 0x06, 0x1e, 0x00, 0x0d, 0xfa, 0xa6, 0x02,
 0x00, 0x2a, 0x01, 0x1e, 0x01, 0x12, 0x01, 0x0e, 0x01, 0x0a, 0x01, 0x06, 0x01, 0x0d, 0xfa, 0xa6,
 0x01, 0x00, 0x18, 0x58, 0xff, 0x54, 0xfe, 0x50, 0xfc, 0x4c, 0xfb, 0x48, 0xf8, 0x0d, 0xfa, 0xa6,
 0x08, 0x00, 0x00, 0x00, 0x44, 0xa7, 0x00, 0x45, 0xa7, 0x4f, 0xa7, 0x5e, 0xa7, 0x01, 0x3a, 0xa7,
 0x00, 0x88, 0xe0, 0x00, 0x00, 0x01, 0x06, 0x49, 0x42, 0x00, 0x00, 0x42, 0x80, 0x00, 0x00, 0x42,
 0x00, 0x96, 0x60, 0x02, 0x42, 0x00, 0x04, 0x57, 0x42, 0x00, 0x42, 0x80, 0x00, 0x00, 0x04, 0x8e,
 0x60, 0x03, 0x42, 0x00, 0x02, 0x4f, 0x42, 0x00
};

__at(0x9B6C) const unsigned char lv1f[117] = {
 0x41, 0x54, 0x31, 0x30, 0x01, 0x40, 0x42, 0x0f, 0x02, 0x06, 0x31, 0x00, 0x7e, 0xa7, 0x87, 0xa7,
 0x99, 0xa7, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0d, 0x80, 0xa7, 0x01, 0x00, 0x1a, 0x1f, 0x12,
 0x1f, 0x12, 0x1f, 0x0a, 0x1f, 0x0a, 0x1e, 0x06, 0x1e, 0x00, 0x0d, 0x80, 0xa7, 0x01, 0x00, 0x18,
 0x58, 0xff, 0x54, 0xfe, 0x50, 0xfc, 0x4c, 0xfb, 0x48, 0xf8, 0x0d, 0x80, 0xa7, 0x08, 0x00, 0x00,
 0x00, 0xb9, 0xa7, 0x00, 0xba, 0xa7, 0xc4, 0xa7, 0xd3, 0xa7, 0x01, 0xaf, 0xa7, 0x00, 0x88, 0xe0,
 0x00, 0x00, 0x01, 0x06, 0x49, 0x42, 0x00, 0x00, 0x42, 0x80, 0x00, 0x00, 0x42, 0x00, 0x42, 0x00,
 0x42, 0x00, 0x04, 0x42, 0x00, 0x42, 0x00, 0x42, 0x80, 0x00, 0x00, 0x04, 0x8e, 0x60, 0x02, 0x42,
 0x00, 0x02, 0x4f, 0x42, 0x00
};


//96
__at(0x9600) const unsigned char lv3[152] = {
  0x41, 0x54, 0x31, 0x30, 0x01, 0x40, 0x42, 0x0f, 0x02, 0x06, 0x52, 0x00, 0x16, 0x96, 0x1f, 0x96,
 0x32, 0x96, 0x41, 0x96, 0x52, 0x96, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0d, 0x18, 0x96, 0x02,
 0x00, 0x26, 0x1f, 0x22, 0x1f, 0x1e, 0x1f, 0x1a, 0x1f, 0x16, 0x1e, 0x12, 0x1e, 0x0e, 0x1e, 0x0d,
 0x18, 0x96, 0x02, 0x00, 0x26, 0x1f, 0x22, 0x1f, 0x1e, 0x1f, 0x1a, 0x1f, 0x16, 0x1e, 0x0d, 0x18,
 0x96, 0x02, 0x00, 0x2a, 0x01, 0x22, 0x01, 0x16, 0x01, 0x12, 0x01, 0x0a, 0x01, 0x06, 0x01, 0x0d,
 0x18, 0x96, 0x01, 0x00, 0x3c, 0x7c, 0xff, 0x78, 0xfe, 0x74, 0xfc, 0x0d, 0x18, 0x96, 0x08, 0x00,
 0x00, 0x00, 0x6e, 0x96, 0x00, 0x6f, 0x96, 0x7b, 0x96, 0x8a, 0x96, 0x01, 0x64, 0x96, 0x00, 0x88,
 0xe0, 0x00, 0x00, 0x01, 0x06, 0x88, 0x60, 0x02, 0x42, 0x00, 0x00, 0x42, 0x80, 0x00, 0x00, 0x42,
 0x00, 0x96, 0x60, 0x03, 0x42, 0x00, 0x04, 0x57, 0x42, 0x00, 0x42, 0x80, 0x00, 0x00, 0x04, 0x8e,
 0x60, 0x04, 0x42, 0x00, 0x02, 0x4f, 0x42, 0x00
};

__at(0x9698) const unsigned char G_SFX[348] = {
 0x41, 0x54, 0x31, 0x30, 0x01, 0x40, 0x42, 0x0f, 0x02, 0xff, 0x3a, 0x01, 0xbc, 0x96, 0xc5, 0x96,
 0xd0, 0x96, 0xd9, 0x96, 0xe2, 0x96, 0xf4, 0x96, 0x12, 0x97, 0x22, 0x97, 0x30, 0x97, 0x7d, 0x97,
 0x84, 0x97, 0xad, 0x97, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0d, 0xbe, 0x96, 0x01, 0x00, 0xa9,
 0x03, 0x2e, 0x3c, 0x18, 0x34, 0x0d, 0xbe, 0x96, 0x21, 0x00, 0xc9, 0x67, 0xff, 0x0a, 0x0d, 0xbe,
 0x96, 0x67, 0xfe, 0x89, 0x19, 0x00, 0x08, 0x0d, 0xbe, 0x96, 0x02, 0x00, 0x3c, 0x78, 0x03, 0x74,
 0x07, 0x30, 0x6c, 0x03, 0x68, 0x07, 0x24, 0x60, 0x03, 0x0d, 0xbe, 0x96, 0x01, 0x00, 0x7e, 0x3b,
 0xf4, 0x3e, 0x39, 0x7a, 0x37, 0x0c, 0x3a, 0x34, 0x36, 0x32, 0x32, 0x30, 0x2e, 0x2c, 0x26, 0x2a,
 0x1e, 0x24, 0x16, 0x24, 0x0e, 0x21, 0x04, 0x0d, 0xf6, 0x96, 0x05, 0x00, 0x5e, 0x2b, 0x21, 0x2a,
 0x2b, 0x2a, 0x30, 0x2e, 0x34, 0x36, 0x36, 0x0d, 0xbe, 0x96, 0x01, 0x00, 0x26, 0x1c, 0x26, 0x1b,
 0x78, 0x0c, 0x38, 0x74, 0x0c, 0x0d, 0xbe, 0x96, 0x01, 0x00, 0xf0, 0xff, 0xff, 0x18, 0xf8, 0xff,
 0xff, 0x0c, 0x38, 0x78, 0x0c, 0x74, 0x18, 0x74, 0x0c, 0x34, 0x74, 0x0c, 0xf4, 0xff, 0xff, 0x18,
 0xf0, 0xff, 0xff, 0x0c, 0x30, 0x70, 0x0c, 0x70, 0x18, 0x70, 0x0c, 0x30, 0x70, 0x0c, 0xf8, 0xff,
 0xff, 0x18, 0xf4, 0xff, 0xff, 0x0c, 0x30, 0x6c, 0x0c, 0x68, 0x18, 0x68, 0x0c, 0x28, 0x68, 0x0c,
 0xf4, 0xff, 0xff, 0x18, 0xf0, 0xff, 0xff, 0x0c, 0x2c, 0x68, 0x0c, 0x64, 0x18, 0x64, 0x0c, 0x24,
 0x60, 0x0c, 0x0d, 0xbe, 0x96, 0x01, 0x00, 0x22, 0x09, 0x0d, 0xbe, 0x96, 0x02, 0x00, 0x2a, 0x07,
 0x2e, 0x07, 0x32, 0x0e, 0x36, 0x14, 0x3a, 0x17, 0x36, 0x15, 0x32, 0x12, 0x2e, 0x0f, 0x2a, 0x0c,
 0x26, 0x09, 0x22, 0x07, 0x1e, 0x07, 0x1a, 0x07, 0x16, 0x07, 0x12, 0x07, 0x0e, 0x07, 0x0a, 0x07,
 0x06, 0x07, 0x0d, 0xbe, 0x96, 0x07, 0x00, 0x09, 0x1a, 0x01, 0x00, 0x09, 0x1a, 0x02, 0x00, 0x09,
 0x1a, 0x03, 0x00, 0x09, 0x1a, 0x04, 0x00, 0x09, 0x1a, 0x05, 0x00, 0x09, 0x1a, 0x06, 0x00, 0x09,
 0x1a, 0x07, 0x00, 0x09, 0x1a, 0x08, 0x00, 0x09, 0x1a, 0x09, 0x00, 0x09, 0x1a, 0x0a, 0x00, 0x09,
 0x1a, 0x09, 0x00, 0x0d, 0xaf, 0x97, 0x40, 0x00, 0x00, 0x00, 0xee, 0x97, 0x00, 0xef, 0x97, 0xef,
 0x97, 0xef, 0x97, 0x01, 0xe4, 0x97, 0x00, 0x42, 0x80, 0x00, 0x00, 0x00
};

/*
__at(0x97C7) const unsigned char empty[52] = {
 0x41, 0x54, 0x31, 0x30, 0x01, 0x40, 0x42, 0x0f, 0x02, 0x06, 0x0b, 0x00, 0xd5, 0x97, 0x00, 0x00,
 0x00, 0x00, 0x00, 0x00, 0x0d, 0xd7, 0x97, 0x01, 0x00, 0x00, 0x00, 0xee, 0x97, 0x00, 0xef, 0x97,
 0xf3, 0x97, 0xf7, 0x97, 0x01, 0xe4, 0x97, 0x00, 0x42, 0x80, 0x00, 0x00, 0x42, 0x80, 0x00, 0x00,
 0x42, 0x80, 0x00, 0x00
};
*/


//__at(0x969c) char const intro[6]="BBBBB";
//AE <- 80
__at(0xAE00) const u8 en0_en0_0[3 * 13];
__at(0xAE27) const u8 en0_en0_1[3 * 13];
__at(0xAE4E) const u8 en0_en0_2[3 * 13];
__at(0xAE75) const u8 en0_en0_3[3 * 13];
__at(0xAE9C) const u8 en0_en0_4[3 * 13];
__at(0xAEC3) const u8 en0_en0_5[3 * 13];
__at(0xAEEA) const u8 en0_en0_6[3 * 13];
__at(0xAF11) const u8 en0_en0_7[3 * 13];
__at(0xAF38) const u8 en0_en0_8[3 * 13];
__at(0xAF5F) const u8 flame_flame_0[6 * 16];
__at(0xAFBF) const u8 abc_abc_18[2 * 7];

__at(0xAFCD) char const jump[5];
__at(0xAFD1) char const left[5];
__at(0xAFD5) char const right[6];
__at(0xAFDA) char const fire[5];
__at(0xAFDE) char const switchWeapon[7];
__at(0xAFE4) char* const keyLabels[6];
__at(0xAFF0) u8 const keyLabsLength[5];


__at(0x8000) const u8 en0_en0_0f[3 * 13] = {
	0x00, 0x00, 0x00,
	0x00, 0xe5, 0x8a,
	0x50, 0xcf, 0x9e,
	0xcf, 0xcf, 0x3c,
	0x9e, 0xcf, 0xcf,
	0xe0, 0xc0, 0xc5,
	0xe0, 0xb5, 0xc5,
	0xca, 0x3f, 0xc5,
	0x45, 0xc0, 0xcf,
	0x50, 0xe5, 0x9e,
	0x00, 0xb4, 0x8a,
	0x00, 0x45, 0x28,
	0x00, 0x00, 0x00
};

// Tile en0_en0_1: 6x13 pixels, 3x13 bytes.
__at(0x8027) const u8 en0_en0_1f[3 * 13] = {
	0x45, 0xf0, 0x00,
	0x45, 0xda, 0x00,
	0x6d, 0xcf, 0xa0,
	0x68, 0xc5, 0xa0,
	0x95, 0x6a, 0xa0,
	0xd0, 0x6a, 0xda,
	0x95, 0x6a, 0x8a,
	0x95, 0x6a, 0x8a,
	0xca, 0xc5, 0x8a,
	0x45, 0xda, 0x00,
	0x45, 0x78, 0x00,
	0x14, 0x8a, 0x00,
	0x00, 0x8a, 0x00
};

// Tile en0_en0_2: 6x13 pixels, 3x13 bytes.
__at(0x804E) const u8 en0_en0_2f[3 * 13] = {
	0x00, 0x00, 0x00,
	0x00, 0xe5, 0x8a,
	0x50, 0xcf, 0x9e,
	0xcf, 0xc0, 0x3c,
	0xca, 0x3f, 0xc5,
	0xe0, 0x3f, 0xc5,
	0xe0, 0xb5, 0xc5,
	0xca, 0x3f, 0xc5,
	0x45, 0xc0, 0xcf,
	0x50, 0xe5, 0x9e,
	0x00, 0xb4, 0x8a,
	0x00, 0x45, 0x28,
	0x00, 0x00, 0x00
};

// Tile en0_en0_3: 6x13 pixels, 3x13 bytes.
__at(0x8075) const u8 en0_en0_3f[3 * 13] = {
	0x00, 0x00, 0x00,
	0x00, 0xf9, 0xa2,
	0x54, 0xf3, 0xa3,
	0xf3, 0xf3, 0x03,
	0xa3, 0xc0, 0xf3,
	0xe8, 0x95, 0xd1,
	0xe8, 0xb5, 0xd1,
	0xe2, 0x3f, 0xd1,
	0x51, 0xc0, 0xf3,
	0x54, 0xf9, 0xa3,
	0x00, 0xa9, 0xa2,
	0x00, 0x51, 0x02,
	0x00, 0x00, 0x00
};

// Tile en0_en0_4: 6x13 pixels, 3x13 bytes.
__at(0x809C) const u8 en0_en0_4f[3 * 13] = {
	0x51, 0xfc, 0x00,
	0x51, 0xf6, 0x00,
	0x53, 0xf3, 0xa8,
	0x42, 0xd1, 0xa8,
	0xc0, 0x6a, 0xa8,
	0xd0, 0x6a, 0xf6,
	0x95, 0x6a, 0xa2,
	0x95, 0x6a, 0xa2,
	0xe2, 0xd1, 0xa2,
	0x51, 0xf6, 0x00,
	0x51, 0x56, 0x00,
	0x01, 0xa2, 0x00,
	0x00, 0xa2, 0x00
};

// Tile en0_en0_5: 6x13 pixels, 3x13 bytes.
__at(0x80C3) const u8 en0_en0_5f[3 * 13] = {
	0x00, 0x00, 0x00,
	0x00, 0xf9, 0xa2,
	0x54, 0xf3, 0xa3,
	0xf3, 0xc0, 0x03,
	0xe2, 0x95, 0xd1,
	0xe8, 0x3f, 0xd1,
	0xe8, 0xb5, 0xd1,
	0xe2, 0x3f, 0xd1,
	0x51, 0xc0, 0xf3,
	0x54, 0xf9, 0xa3,
	0x00, 0xa9, 0xa2,
	0x00, 0x51, 0x02,
	0x00, 0x00, 0x00
};

// Tile en0_en0_6: 6x13 pixels, 3x13 bytes.
__at(0x80EA) const u8 en0_en0_6f[3 * 13] = {
	0x00, 0x00, 0x00,
	0x00, 0x93, 0x22,
	0x41, 0x33, 0x66,
	0x33, 0x33, 0xcc,
	0x33, 0xc0, 0x33,
	0xc2, 0x6a, 0x91,
	0xc2, 0xb5, 0x91,
	0x62, 0x3f, 0x91,
	0x11, 0xc0, 0x33,
	0x41, 0x93, 0x66,
	0x00, 0xc6, 0x22,
	0x00, 0x11, 0x88,
	0x00, 0x00, 0x00
};

// Tile en0_en0_7: 6x13 pixels, 3x13 bytes.
__at(0x8111) const u8 en0_en0_7f[3 * 13] = {
	0x11, 0xc3, 0x00,
	0x11, 0x63, 0x00,
	0x99, 0x33, 0x82,
	0xc8, 0x91, 0x82,
	0x95, 0xc0, 0x82,
	0xd0, 0x6a, 0x63,
	0x95, 0x6a, 0x22,
	0x95, 0x6a, 0x22,
	0x62, 0x91, 0x22,
	0x11, 0x63, 0x00,
	0x11, 0xc9, 0x00,
	0x44, 0x22, 0x00,
	0x00, 0x22, 0x00
};

// Tile en0_en0_8: 6x13 pixels, 3x13 bytes.
__at(0x8138) const u8 en0_en0_8f[3 * 13] = {
	0x00, 0x00, 0x00,
	0x00, 0x93, 0x22,
	0x41, 0x33, 0x66,
	0x33, 0xc0, 0xcc,
	0x62, 0x6a, 0x91,
	0xc2, 0x3f, 0x91,
	0xc2, 0xb5, 0x91,
	0x62, 0x3f, 0x91,
	0x11, 0xc0, 0x33,
	0x41, 0x93, 0x66,
	0x00, 0xc6, 0x22,
	0x00, 0x11, 0x88,
	0x00, 0x00, 0x00
};


__at(0x815F) const u8 flame_flame_0f[6 * 16] = {
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
	0x00, 0x00, 0x20, 0x00, 0x00, 0x00,
	0x00, 0x02, 0x2a, 0x00, 0x00, 0x00,
	0x00, 0x03, 0x00, 0x00, 0x02, 0x00,
	0x00, 0x02, 0x00, 0x02, 0x20, 0x00,
	0x01, 0x21, 0x02, 0x20, 0x01, 0x00,
	0x03, 0x30, 0x02, 0x00, 0x00, 0x00,
	0x12, 0x25, 0x21, 0x02, 0x20, 0x00,
	0x03, 0x30, 0x1a, 0x12, 0x1a, 0x0a,
	0x00, 0x12, 0x1a, 0x25, 0x30, 0x00,
	0x01, 0x30, 0x0f, 0x0f, 0x20, 0x00,
	0x01, 0x30, 0x0f, 0x2f, 0x30, 0x00,
	0x01, 0x25, 0x1f, 0x2f, 0x30, 0x02,
	0x02, 0x25, 0x3f, 0x2f, 0x1a, 0x02,
	0x01, 0x07, 0x7f, 0xbf, 0x1a, 0x02,
	0x00, 0x07, 0x1f, 0xaf, 0x21, 0x00
};

// Tile abc_abc_18: 4x7 pixels, 2x7 bytes.
__at(0x81BF) const u8 abc_abc_18f[2 * 7] = {
	0x50, 0x80,
	0x60, 0x60,
	0xe0, 0x00,
	0x10, 0x80,
	0x00, 0xe0,
	0x60, 0x60,
	0x50, 0x80
};

//__at(0x81CC)
__at(0x81CD) char const jumpf[5]="JUMP";
__at(0x81D1) char const leftf[5]="LEFT";
__at(0x81D5) char const rightf[6]="RIGHT";
__at(0x81DA) char const firef[5]="FIRE";
__at(0x81DE) char const switchWeaponf[7]="SWITCH";
__at(0x81E4) char* const keyLabelsf[6]={jump, right, left, fire, switchWeapon};
__at(0x81F0) u8 const keyLabsLengthf[5]={4,5,4,4,6};
const u8 const lookSprite[SPRITE_COUNT/8+1];
//__at(0x81FC)

//C6 <- 84
__at(0xC600) const u8 ttDisclaimer_titleDisclaimer[36 * 8];
__at(0xC720) const u8 ttJap_titlejap[22 * 7];
__at(0xC7BA) const u8 ttKStuff_titleKStuff[6 * 11];

__at(0x8400) const u8 ttDisclaimer_titleDisclaimerf[36 * 8] = {
	0x00, 0xff, 0xff, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x55, 0xff, 0xaa, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
	0x55, 0xaa, 0x55, 0xaa, 0x00, 0xaa, 0x00, 0xff, 0x00, 0x55, 0x00, 0x55, 0xaa, 0x00, 0xff, 0x00, 0xff, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x55, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
	0xff, 0x00, 0x00, 0xff, 0x55, 0x55, 0x55, 0x00, 0xaa, 0xff, 0x00, 0xaa, 0x55, 0x55, 0xaa, 0x00, 0x55, 0xaa, 0xff, 0x00, 0xff, 0x55, 0xff, 0x55, 0xaa, 0xff, 0x55, 0x55, 0x00, 0xaa, 0xaa, 0x55, 0xaa, 0x55, 0x55, 0x55,
	0xaa, 0x55, 0xaa, 0x55, 0x00, 0x55, 0x55, 0x00, 0xaa, 0x55, 0x00, 0x55, 0xaa, 0x55, 0x00, 0xff, 0xaa, 0xff, 0x00, 0x00, 0x55, 0x55, 0x00, 0x00, 0xaa, 0xaa, 0x55, 0xff, 0x55, 0x00, 0x00, 0xaa, 0x55, 0x55, 0x55, 0x55,
	0xaa, 0x00, 0xaa, 0x55, 0x00, 0xaa, 0x55, 0x00, 0xaa, 0x55, 0x00, 0xaa, 0x55, 0x55, 0x00, 0xaa, 0xaa, 0xaa, 0xff, 0x55, 0xff, 0x55, 0x00, 0xff, 0xaa, 0xaa, 0x00, 0xaa, 0x55, 0x00, 0x00, 0xaa, 0x55, 0x00, 0xaa, 0xaa,
	0xff, 0x55, 0xaa, 0xff, 0x55, 0xff, 0x00, 0xff, 0x00, 0xff, 0xaa, 0x55, 0xaa, 0x55, 0xaa, 0xff, 0xff, 0xff, 0xff, 0x55, 0xff, 0x55, 0x00, 0xff, 0xaa, 0xaa, 0x00, 0xaa, 0x00, 0xff, 0xaa, 0x55, 0xaa, 0x00, 0xaa, 0xaa,
	0x55, 0xaa, 0x55, 0xaa, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xff, 0x00, 0xff, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
	0x00, 0xff, 0xff, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x55, 0xff, 0xaa, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
};

__at(0x8520) const u8 ttJap_titlejapf[22 * 7] = {
	0x00, 0x82, 0x00, 0xc3, 0xc3, 0xc3, 0x82, 0x00, 0x00, 0x00, 0x41, 0xc3, 0x00, 0x00, 0x00, 0x41, 0x00, 0x00, 0xc3, 0xc3, 0xc3, 0x82,
	0x04, 0x0c, 0x08, 0x00, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x08, 0x00, 0x08, 0x00, 0x04, 0x0c, 0x00, 0x00, 0x00, 0x04, 0x00,
	0x00, 0x04, 0x00, 0x0c, 0x0c, 0x0c, 0x08, 0x00, 0x00, 0x00, 0x04, 0x00, 0x00, 0x0c, 0x00, 0x04, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
	0x00, 0x04, 0x00, 0x00, 0x08, 0x00, 0x00, 0x0c, 0x0c, 0x0c, 0x04, 0x00, 0x00, 0x08, 0x00, 0x04, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
	0xcc, 0xcc, 0xcc, 0x00, 0x88, 0x00, 0x00, 0x00, 0x00, 0x00, 0x44, 0x00, 0x00, 0x88, 0x44, 0xcc, 0x00, 0x00, 0x44, 0x00, 0x00, 0x00,
	0x00, 0x00, 0x88, 0x00, 0x88, 0x00, 0x00, 0x00, 0x00, 0x00, 0x44, 0x00, 0x44, 0x00, 0x88, 0x44, 0x88, 0x00, 0x88, 0x00, 0x00, 0x00,
	0x00, 0x00, 0x88, 0x00, 0x44, 0xcc, 0x88, 0x00, 0x00, 0x00, 0x00, 0xcc, 0x88, 0x00, 0x44, 0xcc, 0x44, 0x88, 0x44, 0xcc, 0xcc, 0x88
};

__at(0x85BA) const u8 ttKStuff_titleKStufff[6 * 11] = {
	0xc3, 0xc3, 0xc3, 0xc3, 0x82, 0x00,
	0xc3, 0xc3, 0xc3, 0xc3, 0xc3, 0x82,
	0x0c, 0x0c, 0x0c, 0x0c, 0x0c, 0x0c,
	0x00, 0x00, 0x00, 0x00, 0x04, 0x0c,
	0x00, 0x00, 0x00, 0x00, 0x04, 0x0c,
	0x00, 0x00, 0x00, 0x00, 0x44, 0xcc,
	0x00, 0x00, 0x00, 0x00, 0x44, 0xcc,
	0x00, 0x00, 0x00, 0x00, 0x44, 0xcc,
	0x00, 0x00, 0x00, 0x00, 0x40, 0xc0,
	0x00, 0x00, 0x00, 0x00, 0x40, 0xc0,
	0x00, 0x00, 0x00, 0x00, 0x00, 0x80
};

//__at(0x85FC)

//0x8C, 0x90, 0x92, 0x94 -> 0xD6, 0xDE, 0xE6, 0xEE
/*placing tiles.
Extra ball: javascript snippet to calculate addresses:

var address = 0xCE00;
var base = address;
for (var i = 0; i < 448; i++)
{
    if (address >= base + 0x200)
    {
        base = address = base + 0x800;
    }
    document.write("__at(0x" + address.toString(16).toUpperCase() + ") const u8 tSet_tSet16v0_" + pad(i) + "[2 * 4];");
    document.writeln("<br>");
    address += 8;
}

function pad(num)
{
    var s = num + "";
    while (s.length < 3)
        s = "0" + s;
    return s;
}
*/

__at(0xCE00) const u8 tSet_tSet16v0_000[2 * 4];
__at(0xCE08) const u8 tSet_tSet16v0_001[2 * 4];
__at(0xCE10) const u8 tSet_tSet16v0_002[2 * 4];
__at(0xCE18) const u8 tSet_tSet16v0_003[2 * 4];
__at(0xCE20) const u8 tSet_tSet16v0_004[2 * 4];
__at(0xCE28) const u8 tSet_tSet16v0_005[2 * 4];
__at(0xCE30) const u8 tSet_tSet16v0_006[2 * 4];
__at(0xCE38) const u8 tSet_tSet16v0_007[2 * 4];
__at(0xCE40) const u8 tSet_tSet16v0_008[2 * 4];
__at(0xCE48) const u8 tSet_tSet16v0_009[2 * 4];
__at(0xCE50) const u8 tSet_tSet16v0_010[2 * 4];
__at(0xCE58) const u8 tSet_tSet16v0_011[2 * 4];
__at(0xCE60) const u8 tSet_tSet16v0_012[2 * 4];
__at(0xCE68) const u8 tSet_tSet16v0_013[2 * 4];
__at(0xCE70) const u8 tSet_tSet16v0_014[2 * 4];
__at(0xCE78) const u8 tSet_tSet16v0_015[2 * 4];
__at(0xCE80) const u8 tSet_tSet16v0_016[2 * 4];
__at(0xCE88) const u8 tSet_tSet16v0_017[2 * 4];
__at(0xCE90) const u8 tSet_tSet16v0_018[2 * 4];
__at(0xCE98) const u8 tSet_tSet16v0_019[2 * 4];
__at(0xCEA0) const u8 tSet_tSet16v0_020[2 * 4];
__at(0xCEA8) const u8 tSet_tSet16v0_021[2 * 4];
__at(0xCEB0) const u8 tSet_tSet16v0_022[2 * 4];
__at(0xCEB8) const u8 tSet_tSet16v0_023[2 * 4];
__at(0xCEC0) const u8 tSet_tSet16v0_024[2 * 4];
__at(0xCEC8) const u8 tSet_tSet16v0_025[2 * 4];
__at(0xCED0) const u8 tSet_tSet16v0_026[2 * 4];
__at(0xCED8) const u8 tSet_tSet16v0_027[2 * 4];
__at(0xCEE0) const u8 tSet_tSet16v0_028[2 * 4];
__at(0xCEE8) const u8 tSet_tSet16v0_029[2 * 4];
__at(0xCEF0) const u8 tSet_tSet16v0_030[2 * 4];
__at(0xCEF8) const u8 tSet_tSet16v0_031[2 * 4];
__at(0xCF00) const u8 tSet_tSet16v0_032[2 * 4];
__at(0xCF08) const u8 tSet_tSet16v0_033[2 * 4];
__at(0xCF10) const u8 tSet_tSet16v0_034[2 * 4];
__at(0xCF18) const u8 tSet_tSet16v0_035[2 * 4];
__at(0xCF20) const u8 tSet_tSet16v0_036[2 * 4];
__at(0xCF28) const u8 tSet_tSet16v0_037[2 * 4];
__at(0xCF30) const u8 tSet_tSet16v0_038[2 * 4];
__at(0xCF38) const u8 tSet_tSet16v0_039[2 * 4];
__at(0xCF40) const u8 tSet_tSet16v0_040[2 * 4];
__at(0xCF48) const u8 tSet_tSet16v0_041[2 * 4];
__at(0xCF50) const u8 tSet_tSet16v0_042[2 * 4];
__at(0xCF58) const u8 tSet_tSet16v0_043[2 * 4];
__at(0xCF60) const u8 tSet_tSet16v0_044[2 * 4];
__at(0xCF68) const u8 tSet_tSet16v0_045[2 * 4];
__at(0xCF70) const u8 tSet_tSet16v0_046[2 * 4];
__at(0xCF78) const u8 tSet_tSet16v0_047[2 * 4];
__at(0xCF80) const u8 tSet_tSet16v0_048[2 * 4];
__at(0xCF88) const u8 tSet_tSet16v0_049[2 * 4];
__at(0xCF90) const u8 tSet_tSet16v0_050[2 * 4];
__at(0xCF98) const u8 tSet_tSet16v0_051[2 * 4];
__at(0xCFA0) const u8 tSet_tSet16v0_052[2 * 4];
__at(0xCFA8) const u8 tSet_tSet16v0_053[2 * 4];
__at(0xCFB0) const u8 tSet_tSet16v0_054[2 * 4];
__at(0xCFB8) const u8 tSet_tSet16v0_055[2 * 4];
__at(0xCFC0) const u8 tSet_tSet16v0_056[2 * 4];
__at(0xCFC8) const u8 tSet_tSet16v0_057[2 * 4];
__at(0xCFD0) const u8 tSet_tSet16v0_058[2 * 4];
__at(0xCFD8) const u8 tSet_tSet16v0_059[2 * 4];
__at(0xCFE0) const u8 tSet_tSet16v0_060[2 * 4];
__at(0xCFE8) const u8 tSet_tSet16v0_061[2 * 4];
__at(0xCFF0) const u8 tSet_tSet16v0_062[2 * 4];
__at(0xCFF8) const u8 tSet_tSet16v0_063[2 * 4];

__at(0xD600) const u8 tSet_tSet16v0_064[2 * 4];
__at(0xD608) const u8 tSet_tSet16v0_065[2 * 4];
__at(0xD610) const u8 tSet_tSet16v0_066[2 * 4];
__at(0xD618) const u8 tSet_tSet16v0_067[2 * 4];
__at(0xD620) const u8 tSet_tSet16v0_068[2 * 4];
__at(0xD628) const u8 tSet_tSet16v0_069[2 * 4];
__at(0xD630) const u8 tSet_tSet16v0_070[2 * 4];
__at(0xD638) const u8 tSet_tSet16v0_071[2 * 4];
__at(0xD640) const u8 tSet_tSet16v0_072[2 * 4];
__at(0xD648) const u8 tSet_tSet16v0_073[2 * 4];
__at(0xD650) const u8 tSet_tSet16v0_074[2 * 4];
__at(0xD658) const u8 tSet_tSet16v0_075[2 * 4];
__at(0xD660) const u8 tSet_tSet16v0_076[2 * 4];
__at(0xD668) const u8 tSet_tSet16v0_077[2 * 4];
__at(0xD670) const u8 tSet_tSet16v0_078[2 * 4];
__at(0xD678) const u8 tSet_tSet16v0_079[2 * 4];
__at(0xD680) const u8 tSet_tSet16v0_080[2 * 4];
__at(0xD688) const u8 tSet_tSet16v0_081[2 * 4];
__at(0xD690) const u8 tSet_tSet16v0_082[2 * 4];
__at(0xD698) const u8 tSet_tSet16v0_083[2 * 4];
__at(0xD6A0) const u8 tSet_tSet16v0_084[2 * 4];
__at(0xD6A8) const u8 tSet_tSet16v0_085[2 * 4];
__at(0xD6B0) const u8 tSet_tSet16v0_086[2 * 4];
__at(0xD6B8) const u8 tSet_tSet16v0_087[2 * 4];
__at(0xD6C0) const u8 tSet_tSet16v0_088[2 * 4];
__at(0xD6C8) const u8 tSet_tSet16v0_089[2 * 4];
__at(0xD6D0) const u8 tSet_tSet16v0_090[2 * 4];
__at(0xD6D8) const u8 tSet_tSet16v0_091[2 * 4];
__at(0xD6E0) const u8 tSet_tSet16v0_092[2 * 4];
__at(0xD6E8) const u8 tSet_tSet16v0_093[2 * 4];
__at(0xD6F0) const u8 tSet_tSet16v0_094[2 * 4];
__at(0xD6F8) const u8 tSet_tSet16v0_095[2 * 4];
__at(0xD700) const u8 tSet_tSet16v0_096[2 * 4];
__at(0xD708) const u8 tSet_tSet16v0_097[2 * 4];
__at(0xD710) const u8 tSet_tSet16v0_098[2 * 4];
__at(0xD718) const u8 tSet_tSet16v0_099[2 * 4];
__at(0xD720) const u8 tSet_tSet16v0_100[2 * 4];
__at(0xD728) const u8 tSet_tSet16v0_101[2 * 4];
__at(0xD730) const u8 tSet_tSet16v0_102[2 * 4];
__at(0xD738) const u8 tSet_tSet16v0_103[2 * 4];
__at(0xD740) const u8 tSet_tSet16v0_104[2 * 4];
__at(0xD748) const u8 tSet_tSet16v0_105[2 * 4];
__at(0xD750) const u8 tSet_tSet16v0_106[2 * 4];
__at(0xD758) const u8 tSet_tSet16v0_107[2 * 4];
__at(0xD760) const u8 tSet_tSet16v0_108[2 * 4];
__at(0xD768) const u8 tSet_tSet16v0_109[2 * 4];
__at(0xD770) const u8 tSet_tSet16v0_110[2 * 4];
__at(0xD778) const u8 tSet_tSet16v0_111[2 * 4];
__at(0xD780) const u8 tSet_tSet16v0_112[2 * 4];
__at(0xD788) const u8 tSet_tSet16v0_113[2 * 4];
__at(0xD790) const u8 tSet_tSet16v0_114[2 * 4];
__at(0xD798) const u8 tSet_tSet16v0_115[2 * 4];
__at(0xD7A0) const u8 tSet_tSet16v0_116[2 * 4];
__at(0xD7A8) const u8 tSet_tSet16v0_117[2 * 4];
__at(0xD7B0) const u8 tSet_tSet16v0_118[2 * 4];
__at(0xD7B8) const u8 tSet_tSet16v0_119[2 * 4];
__at(0xD7C0) const u8 tSet_tSet16v0_120[2 * 4];
__at(0xD7C8) const u8 tSet_tSet16v0_121[2 * 4];
__at(0xD7D0) const u8 tSet_tSet16v0_122[2 * 4];
__at(0xD7D8) const u8 tSet_tSet16v0_123[2 * 4];
__at(0xD7E0) const u8 tSet_tSet16v0_124[2 * 4];
__at(0xD7E8) const u8 tSet_tSet16v0_125[2 * 4];
__at(0xD7F0) const u8 tSet_tSet16v0_126[2 * 4];
__at(0xD7F8) const u8 tSet_tSet16v0_127[2 * 4];

__at(0xDE00) const u8 tSet_tSet16v0_128[2 * 4];
__at(0xDE08) const u8 tSet_tSet16v0_129[2 * 4];
__at(0xDE10) const u8 tSet_tSet16v0_130[2 * 4];
__at(0xDE18) const u8 tSet_tSet16v0_131[2 * 4];
__at(0xDE20) const u8 tSet_tSet16v0_132[2 * 4];
__at(0xDE28) const u8 tSet_tSet16v0_133[2 * 4];
__at(0xDE30) const u8 tSet_tSet16v0_134[2 * 4];
__at(0xDE38) const u8 tSet_tSet16v0_135[2 * 4];
__at(0xDE40) const u8 tSet_tSet16v0_136[2 * 4];
__at(0xDE48) const u8 tSet_tSet16v0_137[2 * 4];
__at(0xDE50) const u8 tSet_tSet16v0_138[2 * 4];
__at(0xDE58) const u8 tSet_tSet16v0_139[2 * 4];
__at(0xDE60) const u8 tSet_tSet16v0_140[2 * 4];
__at(0xDE68) const u8 tSet_tSet16v0_141[2 * 4];
__at(0xDE70) const u8 tSet_tSet16v0_142[2 * 4];
__at(0xDE78) const u8 tSet_tSet16v0_143[2 * 4];
__at(0xDE80) const u8 tSet_tSet16v0_144[2 * 4];
__at(0xDE88) const u8 tSet_tSet16v0_145[2 * 4];
__at(0xDE90) const u8 tSet_tSet16v0_146[2 * 4];
__at(0xDE98) const u8 tSet_tSet16v0_147[2 * 4];
__at(0xDEA0) const u8 tSet_tSet16v0_148[2 * 4];
__at(0xDEA8) const u8 tSet_tSet16v0_149[2 * 4];
__at(0xDEB0) const u8 tSet_tSet16v0_150[2 * 4];
__at(0xDEB8) const u8 tSet_tSet16v0_151[2 * 4];
__at(0xDEC0) const u8 tSet_tSet16v0_152[2 * 4];
__at(0xDEC8) const u8 tSet_tSet16v0_153[2 * 4];
__at(0xDED0) const u8 tSet_tSet16v0_154[2 * 4];
__at(0xDED8) const u8 tSet_tSet16v0_155[2 * 4];
__at(0xDEE0) const u8 tSet_tSet16v0_156[2 * 4];
__at(0xDEE8) const u8 tSet_tSet16v0_157[2 * 4];
__at(0xDEF0) const u8 tSet_tSet16v0_158[2 * 4];
__at(0xDEF8) const u8 tSet_tSet16v0_159[2 * 4];
__at(0xDF00) const u8 tSet_tSet16v0_160[2 * 4];
__at(0xDF08) const u8 tSet_tSet16v0_161[2 * 4];
__at(0xDF10) const u8 tSet_tSet16v0_162[2 * 4];
__at(0xDF18) const u8 tSet_tSet16v0_163[2 * 4];
__at(0xDF20) const u8 tSet_tSet16v0_164[2 * 4];
__at(0xDF28) const u8 tSet_tSet16v0_165[2 * 4];
__at(0xDF30) const u8 tSet_tSet16v0_166[2 * 4];
__at(0xDF38) const u8 tSet_tSet16v0_167[2 * 4];
__at(0xDF40) const u8 tSet_tSet16v0_168[2 * 4];
__at(0xDF48) const u8 tSet_tSet16v0_169[2 * 4];
__at(0xDF50) const u8 tSet_tSet16v0_170[2 * 4];
__at(0xDF58) const u8 tSet_tSet16v0_171[2 * 4];
__at(0xDF60) const u8 tSet_tSet16v0_172[2 * 4];
__at(0xDF68) const u8 tSet_tSet16v0_173[2 * 4];
__at(0xDF70) const u8 tSet_tSet16v0_174[2 * 4];
__at(0xDF78) const u8 tSet_tSet16v0_175[2 * 4];
__at(0xDF80) const u8 tSet_tSet16v0_176[2 * 4];
__at(0xDF88) const u8 tSet_tSet16v0_177[2 * 4];
__at(0xDF90) const u8 tSet_tSet16v0_178[2 * 4];
__at(0xDF98) const u8 tSet_tSet16v0_179[2 * 4];
__at(0xDFA0) const u8 tSet_tSet16v0_180[2 * 4];
__at(0xDFA8) const u8 tSet_tSet16v0_181[2 * 4];
__at(0xDFB0) const u8 tSet_tSet16v0_182[2 * 4];
__at(0xDFB8) const u8 tSet_tSet16v0_183[2 * 4];
__at(0xDFC0) const u8 tSet_tSet16v0_184[2 * 4];
__at(0xDFC8) const u8 tSet_tSet16v0_185[2 * 4];
__at(0xDFD0) const u8 tSet_tSet16v0_186[2 * 4];
__at(0xDFD8) const u8 tSet_tSet16v0_187[2 * 4];
__at(0xDFE0) const u8 tSet_tSet16v0_188[2 * 4];
__at(0xDFE8) const u8 tSet_tSet16v0_189[2 * 4];
__at(0xDFF0) const u8 tSet_tSet16v0_190[2 * 4];
__at(0xDFF8) const u8 tSet_tSet16v0_191[2 * 4];

__at(0xE600) const u8 tSet_tSet16v0_192[2 * 4];
__at(0xE608) const u8 tSet_tSet16v0_193[2 * 4];
__at(0xE610) const u8 tSet_tSet16v0_194[2 * 4];
__at(0xE618) const u8 tSet_tSet16v0_195[2 * 4];
__at(0xE620) const u8 tSet_tSet16v0_196[2 * 4];
__at(0xE628) const u8 tSet_tSet16v0_197[2 * 4];
__at(0xE630) const u8 tSet_tSet16v0_198[2 * 4];
__at(0xE638) const u8 tSet_tSet16v0_199[2 * 4];
__at(0xE640) const u8 tSet_tSet16v0_200[2 * 4];
__at(0xE648) const u8 tSet_tSet16v0_201[2 * 4];
__at(0xE650) const u8 tSet_tSet16v0_202[2 * 4];
__at(0xE658) const u8 tSet_tSet16v0_203[2 * 4];
__at(0xE660) const u8 tSet_tSet16v0_204[2 * 4];
__at(0xE668) const u8 tSet_tSet16v0_205[2 * 4];
__at(0xE670) const u8 tSet_tSet16v0_206[2 * 4];
__at(0xE678) const u8 tSet_tSet16v0_207[2 * 4];
__at(0xE680) const u8 tSet_tSet16v0_208[2 * 4];
__at(0xE688) const u8 tSet_tSet16v0_209[2 * 4];
__at(0xE690) const u8 tSet_tSet16v0_210[2 * 4];
__at(0xE698) const u8 tSet_tSet16v0_211[2 * 4];
__at(0xE6A0) const u8 tSet_tSet16v0_212[2 * 4];
__at(0xE6A8) const u8 tSet_tSet16v0_213[2 * 4];
__at(0xE6B0) const u8 tSet_tSet16v0_214[2 * 4];
__at(0xE6B8) const u8 tSet_tSet16v0_215[2 * 4];
__at(0xE6C0) const u8 tSet_tSet16v0_216[2 * 4];
__at(0xE6C8) const u8 tSet_tSet16v0_217[2 * 4];
__at(0xE6D0) const u8 tSet_tSet16v0_218[2 * 4];
__at(0xE6D8) const u8 tSet_tSet16v0_219[2 * 4];
__at(0xE6E0) const u8 tSet_tSet16v0_220[2 * 4];
__at(0xE6E8) const u8 tSet_tSet16v0_221[2 * 4];
__at(0xE6F0) const u8 tSet_tSet16v0_222[2 * 4];
__at(0xE6F8) const u8 tSet_tSet16v0_223[2 * 4];
__at(0xE700) const u8 tSet_tSet16v0_224[2 * 4];
__at(0xE708) const u8 tSet_tSet16v0_225[2 * 4];
__at(0xE710) const u8 tSet_tSet16v0_226[2 * 4];
__at(0xE718) const u8 tSet_tSet16v0_227[2 * 4];
__at(0xE720) const u8 tSet_tSet16v0_228[2 * 4];
__at(0xE728) const u8 tSet_tSet16v0_229[2 * 4];
__at(0xE730) const u8 tSet_tSet16v0_230[2 * 4];
__at(0xE738) const u8 tSet_tSet16v0_231[2 * 4];
__at(0xE740) const u8 tSet_tSet16v0_232[2 * 4];
__at(0xE748) const u8 tSet_tSet16v0_233[2 * 4];
__at(0xE750) const u8 tSet_tSet16v0_234[2 * 4];
__at(0xE758) const u8 tSet_tSet16v0_235[2 * 4];
__at(0xE760) const u8 tSet_tSet16v0_236[2 * 4];
__at(0xE768) const u8 tSet_tSet16v0_237[2 * 4];
__at(0xE770) const u8 tSet_tSet16v0_238[2 * 4];
__at(0xE778) const u8 tSet_tSet16v0_239[2 * 4];
__at(0xE780) const u8 tSet_tSet16v0_240[2 * 4];
__at(0xE788) const u8 tSet_tSet16v0_241[2 * 4];
__at(0xE790) const u8 tSet_tSet16v0_242[2 * 4];
__at(0xE798) const u8 tSet_tSet16v0_243[2 * 4];
__at(0xE7A0) const u8 tSet_tSet16v0_244[2 * 4];
__at(0xE7A8) const u8 tSet_tSet16v0_245[2 * 4];
__at(0xE7B0) const u8 tSet_tSet16v0_246[2 * 4];
__at(0xE7B8) const u8 tSet_tSet16v0_247[2 * 4];
__at(0xE7C0) const u8 tSet_tSet16v0_248[2 * 4];
__at(0xE7C8) const u8 tSet_tSet16v0_249[2 * 4];
__at(0xE7D0) const u8 tSet_tSet16v0_250[2 * 4];
__at(0xE7D8) const u8 tSet_tSet16v0_251[2 * 4];
__at(0xE7E0) const u8 tSet_tSet16v0_252[2 * 4];
__at(0xE7E8) const u8 tSet_tSet16v0_253[2 * 4];
__at(0xE7F0) const u8 tSet_tSet16v0_254[2 * 4];
__at(0xE7F8) const u8 tSet_tSet16v0_255[2 * 4];

__at(0xEE00) const u8 tSet_tSet16v0_256[2 * 4];
__at(0xEE08) const u8 tSet_tSet16v0_257[2 * 4];
__at(0xEE10) const u8 tSet_tSet16v0_258[2 * 4];
__at(0xEE18) const u8 tSet_tSet16v0_259[2 * 4];
__at(0xEE20) const u8 tSet_tSet16v0_260[2 * 4];
__at(0xEE28) const u8 tSet_tSet16v0_261[2 * 4];
__at(0xEE30) const u8 tSet_tSet16v0_262[2 * 4];
__at(0xEE38) const u8 tSet_tSet16v0_263[2 * 4];
__at(0xEE40) const u8 tSet_tSet16v0_264[2 * 4];
__at(0xEE48) const u8 tSet_tSet16v0_265[2 * 4];
__at(0xEE50) const u8 tSet_tSet16v0_266[2 * 4];
__at(0xEE58) const u8 tSet_tSet16v0_267[2 * 4];
__at(0xEE60) const u8 tSet_tSet16v0_268[2 * 4];
__at(0xEE68) const u8 tSet_tSet16v0_269[2 * 4];
__at(0xEE70) const u8 tSet_tSet16v0_270[2 * 4];
__at(0xEE78) const u8 tSet_tSet16v0_271[2 * 4];
__at(0xEE80) const u8 tSet_tSet16v0_272[2 * 4];
__at(0xEE88) const u8 tSet_tSet16v0_273[2 * 4];
__at(0xEE90) const u8 tSet_tSet16v0_274[2 * 4];
__at(0xEE98) const u8 tSet_tSet16v0_275[2 * 4];
__at(0xEEA0) const u8 tSet_tSet16v0_276[2 * 4];
__at(0xEEA8) const u8 tSet_tSet16v0_277[2 * 4];
__at(0xEEB0) const u8 tSet_tSet16v0_278[2 * 4];
__at(0xEEB8) const u8 tSet_tSet16v0_279[2 * 4];
__at(0xEEC0) const u8 tSet_tSet16v0_280[2 * 4];
__at(0xEEC8) const u8 tSet_tSet16v0_281[2 * 4];
__at(0xEED0) const u8 tSet_tSet16v0_282[2 * 4];
__at(0xEED8) const u8 tSet_tSet16v0_283[2 * 4];
__at(0xEEE0) const u8 tSet_tSet16v0_284[2 * 4];
__at(0xEEE8) const u8 tSet_tSet16v0_285[2 * 4];
__at(0xEEF0) const u8 tSet_tSet16v0_286[2 * 4];
__at(0xEEF8) const u8 tSet_tSet16v0_287[2 * 4];
__at(0xEF00) const u8 tSet_tSet16v0_288[2 * 4];
__at(0xEF08) const u8 tSet_tSet16v0_289[2 * 4];
__at(0xEF10) const u8 tSet_tSet16v0_290[2 * 4];
__at(0xEF18) const u8 tSet_tSet16v0_291[2 * 4];
__at(0xEF20) const u8 tSet_tSet16v0_292[2 * 4];
__at(0xEF28) const u8 tSet_tSet16v0_293[2 * 4];
__at(0xEF30) const u8 tSet_tSet16v0_294[2 * 4];
__at(0xEF38) const u8 tSet_tSet16v0_295[2 * 4];
__at(0xEF40) const u8 tSet_tSet16v0_296[2 * 4];
__at(0xEF48) const u8 tSet_tSet16v0_297[2 * 4];
__at(0xEF50) const u8 tSet_tSet16v0_298[2 * 4];
__at(0xEF58) const u8 tSet_tSet16v0_299[2 * 4];
__at(0xEF60) const u8 tSet_tSet16v0_300[2 * 4];
__at(0xEF68) const u8 tSet_tSet16v0_301[2 * 4];
__at(0xEF70) const u8 tSet_tSet16v0_302[2 * 4];
__at(0xEF78) const u8 tSet_tSet16v0_303[2 * 4];
__at(0xEF80) const u8 tSet_tSet16v0_304[2 * 4];
__at(0xEF88) const u8 tSet_tSet16v0_305[2 * 4];
__at(0xEF90) const u8 tSet_tSet16v0_306[2 * 4];
__at(0xEF98) const u8 tSet_tSet16v0_307[2 * 4];
__at(0xEFA0) const u8 tSet_tSet16v0_308[2 * 4];
__at(0xEFA8) const u8 tSet_tSet16v0_309[2 * 4];
__at(0xEFB0) const u8 tSet_tSet16v0_310[2 * 4];
__at(0xEFB8) const u8 tSet_tSet16v0_311[2 * 4];
__at(0xEFC0) const u8 tSet_tSet16v0_312[2 * 4];
__at(0xEFC8) const u8 tSet_tSet16v0_313[2 * 4];
__at(0xEFD0) const u8 tSet_tSet16v0_314[2 * 4];
__at(0xEFD8) const u8 tSet_tSet16v0_315[2 * 4];
__at(0xEFE0) const u8 tSet_tSet16v0_316[2 * 4];
__at(0xEFE8) const u8 tSet_tSet16v0_317[2 * 4];
__at(0xEFF0) const u8 tSet_tSet16v0_318[2 * 4];
__at(0xEFF8) const u8 tSet_tSet16v0_319[2 * 4];

__at(0xF600) const u8 tSet_tSet16v0_320[2 * 4];
__at(0xF608) const u8 tSet_tSet16v0_321[2 * 4];
__at(0xF610) const u8 tSet_tSet16v0_322[2 * 4];
__at(0xF618) const u8 tSet_tSet16v0_323[2 * 4];
__at(0xF620) const u8 tSet_tSet16v0_324[2 * 4];
__at(0xF628) const u8 tSet_tSet16v0_325[2 * 4];
__at(0xF630) const u8 tSet_tSet16v0_326[2 * 4];
__at(0xF638) const u8 tSet_tSet16v0_327[2 * 4];
__at(0xF640) const u8 tSet_tSet16v0_328[2 * 4];
__at(0xF648) const u8 tSet_tSet16v0_329[2 * 4];
__at(0xF650) const u8 tSet_tSet16v0_330[2 * 4];
__at(0xF658) const u8 tSet_tSet16v0_331[2 * 4];
__at(0xF660) const u8 tSet_tSet16v0_332[2 * 4];
__at(0xF668) const u8 tSet_tSet16v0_333[2 * 4];
__at(0xF670) const u8 tSet_tSet16v0_334[2 * 4];
__at(0xF678) const u8 tSet_tSet16v0_335[2 * 4];
__at(0xF680) const u8 tSet_tSet16v0_336[2 * 4];
__at(0xF688) const u8 tSet_tSet16v0_337[2 * 4];
__at(0xF690) const u8 tSet_tSet16v0_338[2 * 4];
__at(0xF698) const u8 tSet_tSet16v0_339[2 * 4];
__at(0xF6A0) const u8 tSet_tSet16v0_340[2 * 4];
__at(0xF6A8) const u8 tSet_tSet16v0_341[2 * 4];
__at(0xF6B0) const u8 tSet_tSet16v0_342[2 * 4];
__at(0xF6B8) const u8 tSet_tSet16v0_343[2 * 4];
__at(0xF6C0) const u8 tSet_tSet16v0_344[2 * 4];
__at(0xF6C8) const u8 tSet_tSet16v0_345[2 * 4];
__at(0xF6D0) const u8 tSet_tSet16v0_346[2 * 4];
__at(0xF6D8) const u8 tSet_tSet16v0_347[2 * 4];
__at(0xF6E0) const u8 tSet_tSet16v0_348[2 * 4];
__at(0xF6E8) const u8 tSet_tSet16v0_349[2 * 4];
__at(0xF6F0) const u8 tSet_tSet16v0_350[2 * 4];
__at(0xF6F8) const u8 tSet_tSet16v0_351[2 * 4];
__at(0xF700) const u8 tSet_tSet16v0_352[2 * 4];
__at(0xF708) const u8 tSet_tSet16v0_353[2 * 4];
__at(0xF710) const u8 tSet_tSet16v0_354[2 * 4];
__at(0xF718) const u8 tSet_tSet16v0_355[2 * 4];
__at(0xF720) const u8 tSet_tSet16v0_356[2 * 4];
__at(0xF728) const u8 tSet_tSet16v0_357[2 * 4];
__at(0xF730) const u8 tSet_tSet16v0_358[2 * 4];
__at(0xF738) const u8 tSet_tSet16v0_359[2 * 4];
__at(0xF740) const u8 tSet_tSet16v0_360[2 * 4];
__at(0xF748) const u8 tSet_tSet16v0_361[2 * 4];
__at(0xF750) const u8 tSet_tSet16v0_362[2 * 4];
__at(0xF758) const u8 tSet_tSet16v0_363[2 * 4];
__at(0xF760) const u8 tSet_tSet16v0_364[2 * 4];
__at(0xF768) const u8 tSet_tSet16v0_365[2 * 4];
__at(0xF770) const u8 tSet_tSet16v0_366[2 * 4];
__at(0xF778) const u8 tSet_tSet16v0_367[2 * 4];
__at(0xF780) const u8 tSet_tSet16v0_368[2 * 4];
__at(0xF788) const u8 tSet_tSet16v0_369[2 * 4];
__at(0xF790) const u8 tSet_tSet16v0_370[2 * 4];
__at(0xF798) const u8 tSet_tSet16v0_371[2 * 4];
__at(0xF7A0) const u8 tSet_tSet16v0_372[2 * 4];
__at(0xF7A8) const u8 tSet_tSet16v0_373[2 * 4];
__at(0xF7B0) const u8 tSet_tSet16v0_374[2 * 4];
__at(0xF7B8) const u8 tSet_tSet16v0_375[2 * 4];
__at(0xF7C0) const u8 tSet_tSet16v0_376[2 * 4];
__at(0xF7C8) const u8 tSet_tSet16v0_377[2 * 4];
__at(0xF7D0) const u8 tSet_tSet16v0_378[2 * 4];
__at(0xF7D8) const u8 tSet_tSet16v0_379[2 * 4];
__at(0xF7E0) const u8 tSet_tSet16v0_380[2 * 4];
__at(0xF7E8) const u8 tSet_tSet16v0_381[2 * 4];
__at(0xF7F0) const u8 tSet_tSet16v0_382[2 * 4];
__at(0xF7F8) const u8 tSet_tSet16v0_383[2 * 4];

u8* const tSet_tileset[448] = { 
	tSet_tSet16v0_000, tSet_tSet16v0_001, tSet_tSet16v0_002, tSet_tSet16v0_003, tSet_tSet16v0_004, tSet_tSet16v0_005, tSet_tSet16v0_006, tSet_tSet16v0_007, tSet_tSet16v0_008, tSet_tSet16v0_009, tSet_tSet16v0_010, tSet_tSet16v0_011, tSet_tSet16v0_012, tSet_tSet16v0_013, tSet_tSet16v0_014, tSet_tSet16v0_015, tSet_tSet16v0_016, tSet_tSet16v0_017, tSet_tSet16v0_018, tSet_tSet16v0_019, tSet_tSet16v0_020, tSet_tSet16v0_021, tSet_tSet16v0_022, tSet_tSet16v0_023, tSet_tSet16v0_024, tSet_tSet16v0_025, tSet_tSet16v0_026, tSet_tSet16v0_027, tSet_tSet16v0_028, tSet_tSet16v0_029, tSet_tSet16v0_030, tSet_tSet16v0_031, tSet_tSet16v0_032, tSet_tSet16v0_033, tSet_tSet16v0_034, tSet_tSet16v0_035, tSet_tSet16v0_036, tSet_tSet16v0_037, tSet_tSet16v0_038, tSet_tSet16v0_039, tSet_tSet16v0_040, tSet_tSet16v0_041, tSet_tSet16v0_042, tSet_tSet16v0_043, tSet_tSet16v0_044, tSet_tSet16v0_045, tSet_tSet16v0_046, tSet_tSet16v0_047, tSet_tSet16v0_048, tSet_tSet16v0_049, tSet_tSet16v0_050, tSet_tSet16v0_051, tSet_tSet16v0_052, tSet_tSet16v0_053, tSet_tSet16v0_054, tSet_tSet16v0_055, tSet_tSet16v0_056, tSet_tSet16v0_057, tSet_tSet16v0_058, tSet_tSet16v0_059, tSet_tSet16v0_060, tSet_tSet16v0_061, tSet_tSet16v0_062, tSet_tSet16v0_063, tSet_tSet16v0_064, tSet_tSet16v0_065, tSet_tSet16v0_066, tSet_tSet16v0_067, tSet_tSet16v0_068, tSet_tSet16v0_069, tSet_tSet16v0_070, tSet_tSet16v0_071, tSet_tSet16v0_072, tSet_tSet16v0_073, tSet_tSet16v0_074, tSet_tSet16v0_075, tSet_tSet16v0_076, tSet_tSet16v0_077, tSet_tSet16v0_078, tSet_tSet16v0_079, tSet_tSet16v0_080, tSet_tSet16v0_081, tSet_tSet16v0_082, tSet_tSet16v0_083, tSet_tSet16v0_084, tSet_tSet16v0_085, tSet_tSet16v0_086, tSet_tSet16v0_087, tSet_tSet16v0_088, tSet_tSet16v0_089, tSet_tSet16v0_090, tSet_tSet16v0_091, tSet_tSet16v0_092, tSet_tSet16v0_093, tSet_tSet16v0_094, tSet_tSet16v0_095, tSet_tSet16v0_096, tSet_tSet16v0_097, tSet_tSet16v0_098, tSet_tSet16v0_099, tSet_tSet16v0_100, tSet_tSet16v0_101, tSet_tSet16v0_102, tSet_tSet16v0_103, tSet_tSet16v0_104, tSet_tSet16v0_105, tSet_tSet16v0_106, tSet_tSet16v0_107, tSet_tSet16v0_108, tSet_tSet16v0_109, tSet_tSet16v0_110, tSet_tSet16v0_111, tSet_tSet16v0_112, tSet_tSet16v0_113, tSet_tSet16v0_114, tSet_tSet16v0_115, tSet_tSet16v0_116, tSet_tSet16v0_117, tSet_tSet16v0_118, tSet_tSet16v0_119, tSet_tSet16v0_120, tSet_tSet16v0_121, tSet_tSet16v0_122, tSet_tSet16v0_123, tSet_tSet16v0_124, tSet_tSet16v0_125, tSet_tSet16v0_126, tSet_tSet16v0_127, tSet_tSet16v0_128, tSet_tSet16v0_129, tSet_tSet16v0_130, tSet_tSet16v0_131, tSet_tSet16v0_132, tSet_tSet16v0_133, tSet_tSet16v0_134, tSet_tSet16v0_135, tSet_tSet16v0_136, tSet_tSet16v0_137, tSet_tSet16v0_138, tSet_tSet16v0_139, tSet_tSet16v0_140, tSet_tSet16v0_141, tSet_tSet16v0_142, tSet_tSet16v0_143, tSet_tSet16v0_144, tSet_tSet16v0_145, tSet_tSet16v0_146, tSet_tSet16v0_147, tSet_tSet16v0_148, tSet_tSet16v0_149, tSet_tSet16v0_150, tSet_tSet16v0_151, tSet_tSet16v0_152, tSet_tSet16v0_153, tSet_tSet16v0_154, tSet_tSet16v0_155, tSet_tSet16v0_156, tSet_tSet16v0_157, tSet_tSet16v0_158, tSet_tSet16v0_159, tSet_tSet16v0_160, tSet_tSet16v0_161, tSet_tSet16v0_162, tSet_tSet16v0_163, tSet_tSet16v0_164, tSet_tSet16v0_165, tSet_tSet16v0_166, tSet_tSet16v0_167, tSet_tSet16v0_168, tSet_tSet16v0_169, tSet_tSet16v0_170, tSet_tSet16v0_171, tSet_tSet16v0_172, tSet_tSet16v0_173, tSet_tSet16v0_174, tSet_tSet16v0_175, tSet_tSet16v0_176, tSet_tSet16v0_177, tSet_tSet16v0_178, tSet_tSet16v0_179, tSet_tSet16v0_180, tSet_tSet16v0_181, tSet_tSet16v0_182, tSet_tSet16v0_183, tSet_tSet16v0_184, tSet_tSet16v0_185, tSet_tSet16v0_186, tSet_tSet16v0_187, tSet_tSet16v0_188, tSet_tSet16v0_189, tSet_tSet16v0_190, tSet_tSet16v0_191, tSet_tSet16v0_192, tSet_tSet16v0_193, tSet_tSet16v0_194, tSet_tSet16v0_195, tSet_tSet16v0_196, tSet_tSet16v0_197, tSet_tSet16v0_198, tSet_tSet16v0_199, tSet_tSet16v0_200, tSet_tSet16v0_201, tSet_tSet16v0_202, tSet_tSet16v0_203, tSet_tSet16v0_204, tSet_tSet16v0_205, tSet_tSet16v0_206, tSet_tSet16v0_207, tSet_tSet16v0_208, tSet_tSet16v0_209, tSet_tSet16v0_210, tSet_tSet16v0_211, tSet_tSet16v0_212, tSet_tSet16v0_213, tSet_tSet16v0_214, tSet_tSet16v0_215, tSet_tSet16v0_216, tSet_tSet16v0_217, tSet_tSet16v0_218, tSet_tSet16v0_219, tSet_tSet16v0_220, tSet_tSet16v0_221, tSet_tSet16v0_222, tSet_tSet16v0_223, tSet_tSet16v0_224, tSet_tSet16v0_225, tSet_tSet16v0_226, tSet_tSet16v0_227, tSet_tSet16v0_228, tSet_tSet16v0_229, tSet_tSet16v0_230, tSet_tSet16v0_231, tSet_tSet16v0_232, tSet_tSet16v0_233, tSet_tSet16v0_234, tSet_tSet16v0_235, tSet_tSet16v0_236, tSet_tSet16v0_237, tSet_tSet16v0_238, tSet_tSet16v0_239, tSet_tSet16v0_240, tSet_tSet16v0_241, tSet_tSet16v0_242, tSet_tSet16v0_243, tSet_tSet16v0_244, tSet_tSet16v0_245, tSet_tSet16v0_246, tSet_tSet16v0_247, tSet_tSet16v0_248, tSet_tSet16v0_249, tSet_tSet16v0_250, tSet_tSet16v0_251, tSet_tSet16v0_252, tSet_tSet16v0_253, tSet_tSet16v0_254, tSet_tSet16v0_255, tSet_tSet16v0_256, tSet_tSet16v0_257, tSet_tSet16v0_258, tSet_tSet16v0_259, tSet_tSet16v0_260, tSet_tSet16v0_261, tSet_tSet16v0_262, tSet_tSet16v0_263, tSet_tSet16v0_264, tSet_tSet16v0_265, tSet_tSet16v0_266, tSet_tSet16v0_267, tSet_tSet16v0_268, tSet_tSet16v0_269, tSet_tSet16v0_270, tSet_tSet16v0_271, tSet_tSet16v0_272, tSet_tSet16v0_273, tSet_tSet16v0_274, tSet_tSet16v0_275, tSet_tSet16v0_276, tSet_tSet16v0_277, tSet_tSet16v0_278, tSet_tSet16v0_279, tSet_tSet16v0_280, tSet_tSet16v0_281, tSet_tSet16v0_282, tSet_tSet16v0_283, tSet_tSet16v0_284, tSet_tSet16v0_285, tSet_tSet16v0_286, tSet_tSet16v0_287, tSet_tSet16v0_288, tSet_tSet16v0_289, tSet_tSet16v0_290, tSet_tSet16v0_291, tSet_tSet16v0_292, tSet_tSet16v0_293, tSet_tSet16v0_294, tSet_tSet16v0_295, tSet_tSet16v0_296, tSet_tSet16v0_297, tSet_tSet16v0_298, tSet_tSet16v0_299, tSet_tSet16v0_300, tSet_tSet16v0_301, tSet_tSet16v0_302, tSet_tSet16v0_303, tSet_tSet16v0_304, tSet_tSet16v0_305, tSet_tSet16v0_306, tSet_tSet16v0_307, tSet_tSet16v0_308, tSet_tSet16v0_309, tSet_tSet16v0_310, tSet_tSet16v0_311, tSet_tSet16v0_312, tSet_tSet16v0_313, tSet_tSet16v0_314, tSet_tSet16v0_315, tSet_tSet16v0_316, tSet_tSet16v0_317, tSet_tSet16v0_318, tSet_tSet16v0_319, tSet_tSet16v0_320, tSet_tSet16v0_321, tSet_tSet16v0_322, tSet_tSet16v0_323, tSet_tSet16v0_324, tSet_tSet16v0_325, tSet_tSet16v0_326, tSet_tSet16v0_327, tSet_tSet16v0_328, tSet_tSet16v0_329, tSet_tSet16v0_330, tSet_tSet16v0_331, tSet_tSet16v0_332, tSet_tSet16v0_333, tSet_tSet16v0_334, tSet_tSet16v0_335, tSet_tSet16v0_336, tSet_tSet16v0_337, tSet_tSet16v0_338, tSet_tSet16v0_339, tSet_tSet16v0_340, tSet_tSet16v0_341, tSet_tSet16v0_342, tSet_tSet16v0_343, tSet_tSet16v0_344, tSet_tSet16v0_345, tSet_tSet16v0_346, tSet_tSet16v0_347, tSet_tSet16v0_348, tSet_tSet16v0_349, tSet_tSet16v0_350, tSet_tSet16v0_351, tSet_tSet16v0_352, tSet_tSet16v0_353, tSet_tSet16v0_354, tSet_tSet16v0_355, tSet_tSet16v0_356, tSet_tSet16v0_357, tSet_tSet16v0_358, tSet_tSet16v0_359, tSet_tSet16v0_360, tSet_tSet16v0_361, tSet_tSet16v0_362, tSet_tSet16v0_363, tSet_tSet16v0_364, tSet_tSet16v0_365, tSet_tSet16v0_366, tSet_tSet16v0_367, tSet_tSet16v0_368, tSet_tSet16v0_369, tSet_tSet16v0_370, tSet_tSet16v0_371, tSet_tSet16v0_372, tSet_tSet16v0_373, tSet_tSet16v0_374, tSet_tSet16v0_375, tSet_tSet16v0_376, tSet_tSet16v0_377, tSet_tSet16v0_378, tSet_tSet16v0_379, tSet_tSet16v0_380, tSet_tSet16v0_381, tSet_tSet16v0_382, tSet_tSet16v0_383, tSet_tSet16v0_384, tSet_tSet16v0_385, tSet_tSet16v0_386, tSet_tSet16v0_387, tSet_tSet16v0_388, tSet_tSet16v0_389, tSet_tSet16v0_390, tSet_tSet16v0_391, tSet_tSet16v0_392, tSet_tSet16v0_393, tSet_tSet16v0_394, tSet_tSet16v0_395, tSet_tSet16v0_396, tSet_tSet16v0_397, tSet_tSet16v0_398, tSet_tSet16v0_399, tSet_tSet16v0_400, tSet_tSet16v0_401, tSet_tSet16v0_402, tSet_tSet16v0_403, tSet_tSet16v0_404, tSet_tSet16v0_405, tSet_tSet16v0_406, tSet_tSet16v0_407, tSet_tSet16v0_408, tSet_tSet16v0_409, tSet_tSet16v0_410, tSet_tSet16v0_411, tSet_tSet16v0_412, tSet_tSet16v0_413, tSet_tSet16v0_414, tSet_tSet16v0_415, tSet_tSet16v0_416, tSet_tSet16v0_417, tSet_tSet16v0_418, tSet_tSet16v0_419, tSet_tSet16v0_420, tSet_tSet16v0_421, tSet_tSet16v0_422, tSet_tSet16v0_423, tSet_tSet16v0_424, tSet_tSet16v0_425, tSet_tSet16v0_426, tSet_tSet16v0_427, tSet_tSet16v0_428, tSet_tSet16v0_429, tSet_tSet16v0_430, tSet_tSet16v0_431, tSet_tSet16v0_432, tSet_tSet16v0_433, tSet_tSet16v0_434, tSet_tSet16v0_435, tSet_tSet16v0_436, tSet_tSet16v0_437, tSet_tSet16v0_438, tSet_tSet16v0_439, tSet_tSet16v0_440, tSet_tSet16v0_441, tSet_tSet16v0_442, tSet_tSet16v0_443, tSet_tSet16v0_444, tSet_tSet16v0_445, tSet_tSet16v0_446, tSet_tSet16v0_447
};
// Tile tSet_tSet16v0_000: 4x4 pixels, 2x4 bytes.
__at(0x8A00) const u8 tSet_tSet16v0_000f[2 * 4] = {
	0xc8, 0xc8,
	0xcc, 0xcc,
	0xc4, 0xdd,
	0xc4, 0x3e
};

// Tile tSet_tSet16v0_001: 4x4 pixels, 2x4 bytes.
__at(0x8A08) const u8 tSet_tSet16v0_001f[2 * 4] = {
	0xc0, 0xcc,
	0xcc, 0xdd,
	0x6d, 0xef,
	0x3d, 0x9f
};

// Tile tSet_tSet16v0_002: 4x4 pixels, 2x4 bytes.
__at(0x8A10) const u8 tSet_tSet16v0_002f[2 * 4] = {
	0xc8, 0xc0,
	0xcc, 0xcc,
	0x9f, 0x9f,
	0xef, 0xef
};

// Tile tSet_tSet16v0_003: 4x4 pixels, 2x4 bytes.
__at(0x8A18) const u8 tSet_tSet16v0_003f[2 * 4] = {
	0xcc, 0xcc,
	0x6f, 0x6f,
	0x9f, 0x9f,
	0xda, 0xda
};

// Tile tSet_tSet16v0_004: 4x4 pixels, 2x4 bytes.
__at(0x8A20) const u8 tSet_tSet16v0_004f[2 * 4] = {
	0xcc, 0xc0,
	0xee, 0xcc,
	0xdf, 0x9e,
	0x6f, 0x3e
};

// Tile tSet_tSet16v0_005: 4x4 pixels, 2x4 bytes.
__at(0x8A28) const u8 tSet_tSet16v0_005f[2 * 4] = {
	0xcc, 0xc4,
	0xcc, 0xcc,
	0xcc, 0xc8,
	0x6c, 0xc8
};

// Tile tSet_tSet16v0_006: 4x4 pixels, 2x4 bytes.
__at(0x8A30) const u8 tSet_tSet16v0_006f[2 * 4] = {
	0x95, 0xc0,
	0xd5, 0x3f,
	0xff, 0xff,
	0xd5, 0xff
};

// Tile tSet_tSet16v0_007: 4x4 pixels, 2x4 bytes.
__at(0x8A38) const u8 tSet_tSet16v0_007f[2 * 4] = {
	0x6a, 0x6a,
	0x3f, 0x3f,
	0xff, 0x6a,
	0xff, 0x3f
};

// Tile tSet_tSet16v0_008: 4x4 pixels, 2x4 bytes.
__at(0x8A40) const u8 tSet_tSet16v0_008f[2 * 4] = {
	0xc0, 0xc0,
	0x94, 0x3c,
	0xc0, 0x3c,
	0x40, 0xc0
};

// Tile tSet_tSet16v0_009: 4x4 pixels, 2x4 bytes.
__at(0x8A48) const u8 tSet_tSet16v0_009f[2 * 4] = {
	0xc0, 0xc0,
	0xf0, 0xe0,
	0x78, 0xc0,
	0xc0, 0x80
};

// Tile tSet_tSet16v0_010: 4x4 pixels, 2x4 bytes.
__at(0x8A50) const u8 tSet_tSet16v0_010f[2 * 4] = {
	0x00, 0x0c,
	0x04, 0xc0,
	0x48, 0x00,
	0x48, 0x00
};

// Tile tSet_tSet16v0_011: 4x4 pixels, 2x4 bytes.
__at(0x8A58) const u8 tSet_tSet16v0_011f[2 * 4] = {
	0x0c, 0x80,
	0x00, 0x48,
	0x00, 0x04,
	0x00, 0x04
};

// Tile tSet_tSet16v0_012: 4x4 pixels, 2x4 bytes.
__at(0x8A60) const u8 tSet_tSet16v0_012f[2 * 4] = {
	0x00, 0x04,
	0x00, 0x04,
	0x00, 0x48,
	0x0c, 0x80
};

// Tile tSet_tSet16v0_013: 4x4 pixels, 2x4 bytes.
__at(0x8A68) const u8 tSet_tSet16v0_013f[2 * 4] = {
	0x48, 0x00,
	0x48, 0x00,
	0x04, 0x80,
	0x00, 0x0c
};

// Tile tSet_tSet16v0_014: 4x4 pixels, 2x4 bytes.
__at(0x8A70) const u8 tSet_tSet16v0_014f[2 * 4] = {
	0x80, 0x0c,
	0x0c, 0x04,
	0x08, 0x08,
	0x84, 0x08
};

// Tile tSet_tSet16v0_015: 4x4 pixels, 2x4 bytes.
__at(0x8A78) const u8 tSet_tSet16v0_015f[2 * 4] = {
	0x0c, 0x08,
	0x48, 0x08,
	0x04, 0x0c,
	0x0c, 0x0c
};

// Tile tSet_tSet16v0_016: 4x4 pixels, 2x4 bytes.
__at(0x8A80) const u8 tSet_tSet16v0_016f[2 * 4] = {
	0xcc, 0x3e,
	0xc4, 0x3e,
	0x9d, 0x6d,
	0xc4, 0x6d
};

// Tile tSet_tSet16v0_017: 4x4 pixels, 2x4 bytes.
__at(0x8A88) const u8 tSet_tSet16v0_017f[2 * 4] = {
	0x6f, 0x6d,
	0x9e, 0xda,
	0xcf, 0xe5,
	0xb4, 0xda
};

// Tile tSet_tSet16v0_018: 4x4 pixels, 2x4 bytes.
__at(0x8A90) const u8 tSet_tSet16v0_018f[2 * 4] = {
	0xda, 0xda,
	0xda, 0xda,
	0xe5, 0xe5,
	0xf0, 0xf0
};

// Tile tSet_tSet16v0_019: 4x4 pixels, 2x4 bytes.
__at(0x8A98) const u8 tSet_tSet16v0_019f[2 * 4] = {
	0xda, 0xda,
	0xe5, 0xe5,
	0xf0, 0xf0,
	0xf0, 0x78
};

// Tile tSet_tSet16v0_020: 4x4 pixels, 2x4 bytes.
__at(0x8AA0) const u8 tSet_tSet16v0_020f[2 * 4] = {
	0x9e, 0x9f,
	0xe5, 0x6d,
	0xda, 0xcf,
	0xe5, 0x78
};

// Tile tSet_tSet16v0_021: 4x4 pixels, 2x4 bytes.
__at(0x8AA8) const u8 tSet_tSet16v0_021f[2 * 4] = {
	0x6c, 0xcc,
	0x6c, 0xc8,
	0x9e, 0xcc,
	0x9e, 0xc8
};

// Tile tSet_tSet16v0_022: 4x4 pixels, 2x4 bytes.
__at(0x8AB0) const u8 tSet_tSet16v0_022f[2 * 4] = {
	0xff, 0x3f,
	0xd5, 0x7f,
	0xd5, 0x7f,
	0xff, 0x7f
};

// Tile tSet_tSet16v0_023: 4x4 pixels, 2x4 bytes.
__at(0x8AB8) const u8 tSet_tSet16v0_023f[2 * 4] = {
	0x7f, 0x3f,
	0x7f, 0x6a,
	0x7f, 0x6a,
	0x7f, 0x3f
};

// Tile tSet_tSet16v0_024: 4x4 pixels, 2x4 bytes.
__at(0x8AC0) const u8 tSet_tSet16v0_024f[2 * 4] = {
	0x94, 0x3c,
	0x94, 0x3c,
	0x94, 0x3c,
	0x94, 0x3c
};

// Tile tSet_tSet16v0_025: 4x4 pixels, 2x4 bytes.
__at(0x8AC8) const u8 tSet_tSet16v0_025f[2 * 4] = {
	0xf0, 0xe0,
	0x78, 0xe0,
	0x78, 0xe0,
	0x78, 0xe0
};

// Tile tSet_tSet16v0_026: 4x4 pixels, 2x4 bytes.
__at(0x8AD0) const u8 tSet_tSet16v0_026f[2 * 4] = {
	0x48, 0x00,
	0x48, 0x00,
	0x04, 0xc0,
	0x00, 0x0c
};

// Tile tSet_tSet16v0_027: 4x4 pixels, 2x4 bytes.
__at(0x8AD8) const u8 tSet_tSet16v0_027f[2 * 4] = {
	0x00, 0x04,
	0x00, 0x04,
	0x00, 0x48,
	0x0c, 0x80
};

// Tile tSet_tSet16v0_028: 4x4 pixels, 2x4 bytes.
__at(0x8AE0) const u8 tSet_tSet16v0_028f[2 * 4] = {
	0x0c, 0x80,
	0x00, 0x48,
	0x00, 0x04,
	0x00, 0x04
};

// Tile tSet_tSet16v0_029: 4x4 pixels, 2x4 bytes.
__at(0x8AE8) const u8 tSet_tSet16v0_029f[2 * 4] = {
	0x00, 0x0c,
	0x04, 0x80,
	0x48, 0x00,
	0x48, 0x00
};

// Tile tSet_tSet16v0_030: 4x4 pixels, 2x4 bytes.
__at(0x8AF0) const u8 tSet_tSet16v0_030f[2 * 4] = {
	0x00, 0x0c,
	0x08, 0x0c,
	0x0c, 0x84,
	0x08, 0x08
};

// Tile tSet_tSet16v0_031: 4x4 pixels, 2x4 bytes.
__at(0x8AF8) const u8 tSet_tSet16v0_031f[2 * 4] = {
	0x04, 0x08,
	0x80, 0x0c,
	0x08, 0x0c,
	0x0c, 0x00
};

// Tile tSet_tSet16v0_032: 4x4 pixels, 2x4 bytes.
__at(0x8B00) const u8 tSet_tSet16v0_032f[2 * 4] = {
	0x9d, 0x6d,
	0x9c, 0xcf,
	0x9d, 0xda,
	0xdd, 0xda
};

// Tile tSet_tSet16v0_033: 4x4 pixels, 2x4 bytes.
__at(0x8B08) const u8 tSet_tSet16v0_033f[2 * 4] = {
	0xf0, 0xf0,
	0x78, 0xb4,
	0xf0, 0xf0,
	0x78, 0xf0
};

// Tile tSet_tSet16v0_034: 4x4 pixels, 2x4 bytes.
__at(0x8B10) const u8 tSet_tSet16v0_034f[2 * 4] = {
	0x78, 0xf0,
	0xb4, 0x78,
	0xf0, 0xb4,
	0xf0, 0xf0
};

// Tile tSet_tSet16v0_035: 4x4 pixels, 2x4 bytes.
__at(0x8B18) const u8 tSet_tSet16v0_035f[2 * 4] = {
	0x3c, 0xb4,
	0x3c, 0xb4,
	0xf0, 0xf0,
	0xe5, 0xe5
};

// Tile tSet_tSet16v0_036: 4x4 pixels, 2x4 bytes.
__at(0x8B20) const u8 tSet_tSet16v0_036f[2 * 4] = {
	0xf0, 0xf0,
	0x78, 0xb4,
	0xf0, 0xf0,
	0xf0, 0xb4
};

// Tile tSet_tSet16v0_037: 4x4 pixels, 2x4 bytes.
__at(0x8B28) const u8 tSet_tSet16v0_037f[2 * 4] = {
	0x9e, 0xc8,
	0xcf, 0x6c,
	0xe5, 0x6c,
	0xe5, 0x6c
};

// Tile tSet_tSet16v0_038: 4x4 pixels, 2x4 bytes.
__at(0x8B30) const u8 tSet_tSet16v0_038f[2 * 4] = {
	0xd5, 0x7f,
	0xff, 0x7f,
	0xd5, 0x3f,
	0xff, 0xff
};

// Tile tSet_tSet16v0_039: 4x4 pixels, 2x4 bytes.
__at(0x8B38) const u8 tSet_tSet16v0_039f[2 * 4] = {
	0x7f, 0x6a,
	0x7f, 0x3f,
	0x7f, 0x6a,
	0xff, 0x6a
};

// Tile tSet_tSet16v0_040: 4x4 pixels, 2x4 bytes.
__at(0x8B40) const u8 tSet_tSet16v0_040f[2 * 4] = {
	0x94, 0x3c,
	0x94, 0x3c,
	0x94, 0x3c,
	0xc0, 0x3c
};

// Tile tSet_tSet16v0_041: 4x4 pixels, 2x4 bytes.
__at(0x8B48) const u8 tSet_tSet16v0_041f[2 * 4] = {
	0x78, 0xe0,
	0x78, 0xe0,
	0x78, 0xe0,
	0xf0, 0xc0
};

// Tile tSet_tSet16v0_042: 4x4 pixels, 2x4 bytes.
__at(0x8B50) const u8 tSet_tSet16v0_042f[2 * 4] = {
	0x00, 0x04,
	0x00, 0x04,
	0x00, 0x04,
	0x0c, 0x48
};

// Tile tSet_tSet16v0_043: 4x4 pixels, 2x4 bytes.
__at(0x8B58) const u8 tSet_tSet16v0_043f[2 * 4] = {
	0x48, 0x00,
	0x48, 0x00,
	0x48, 0x00,
	0x04, 0x0c
};

// Tile tSet_tSet16v0_044: 4x4 pixels, 2x4 bytes.
__at(0x8B60) const u8 tSet_tSet16v0_044f[2 * 4] = {
	0x04, 0x0c,
	0x48, 0x80,
	0x48, 0x00,
	0x48, 0x00
};

// Tile tSet_tSet16v0_045: 4x4 pixels, 2x4 bytes.
__at(0x8B68) const u8 tSet_tSet16v0_045f[2 * 4] = {
	0x0c, 0x48,
	0x00, 0x04,
	0x00, 0x04,
	0x00, 0x04
};

// Tile tSet_tSet16v0_046: 4x4 pixels, 2x4 bytes.
__at(0x8B70) const u8 tSet_tSet16v0_046f[2 * 4] = {
	0x80, 0x00,
	0x04, 0x84,
	0x00, 0x48,
	0x00, 0x40
};

// Tile tSet_tSet16v0_047: 4x4 pixels, 2x4 bytes.
__at(0x8B78) const u8 tSet_tSet16v0_047f[2 * 4] = {
	0x00, 0x04,
	0x48, 0x48,
	0x00, 0x00,
	0x04, 0x84
};

// Tile tSet_tSet16v0_048: 4x4 pixels, 2x4 bytes.
__at(0x8B80) const u8 tSet_tSet16v0_048f[2 * 4] = {
	0x9d, 0xda,
	0x9c, 0x9e,
	0x9d, 0xda,
	0x9c, 0xda
};

// Tile tSet_tSet16v0_049: 4x4 pixels, 2x4 bytes.
__at(0x8B88) const u8 tSet_tSet16v0_049f[2 * 4] = {
	0xf0, 0x6d,
	0xf0, 0xe5,
	0xf0, 0x9e,
	0xf0, 0x6c
};

// Tile tSet_tSet16v0_050: 4x4 pixels, 2x4 bytes.
__at(0x8B90) const u8 tSet_tSet16v0_050f[2 * 4] = {
	0xe5, 0xe5,
	0xda, 0xda,
	0xee, 0xd8,
	0xc8, 0xc4
};

// Tile tSet_tSet16v0_051: 4x4 pixels, 2x4 bytes.
__at(0x8B98) const u8 tSet_tSet16v0_051f[2 * 4] = {
	0xda, 0xda,
	0xfa, 0xfa,
	0xcc, 0xd8,
	0xc8, 0xcc
};

// Tile tSet_tSet16v0_052: 4x4 pixels, 2x4 bytes.
__at(0x8BA0) const u8 tSet_tSet16v0_052f[2 * 4] = {
	0x9e, 0xf0,
	0xda, 0xf0,
	0x6d, 0xf0,
	0x9c, 0xf0
};

// Tile tSet_tSet16v0_053: 4x4 pixels, 2x4 bytes.
__at(0x8BA8) const u8 tSet_tSet16v0_053f[2 * 4] = {
	0xe5, 0x6c,
	0x6d, 0x6c,
	0xe5, 0x6c,
	0xe5, 0x6c
};

// Tile tSet_tSet16v0_054: 4x4 pixels, 2x4 bytes.
__at(0x8BB0) const u8 tSet_tSet16v0_054f[2 * 4] = {
	0xd5, 0xff,
	0xd5, 0xff,
	0xff, 0xff,
	0xd5, 0xc0
};

// Tile tSet_tSet16v0_055: 4x4 pixels, 2x4 bytes.
__at(0x8BB8) const u8 tSet_tSet16v0_055f[2 * 4] = {
	0xff, 0x3f,
	0xff, 0x6a,
	0xff, 0x3f,
	0xea, 0x6a
};

// Tile tSet_tSet16v0_056: 4x4 pixels, 2x4 bytes.
__at(0x8BC0) const u8 tSet_tSet16v0_056f[2 * 4] = {
	0x40, 0xc0,
	0xc0, 0x3c,
	0x94, 0x3c,
	0xc0, 0xc0
};

// Tile tSet_tSet16v0_057: 4x4 pixels, 2x4 bytes.
__at(0x8BC8) const u8 tSet_tSet16v0_057f[2 * 4] = {
	0xc0, 0x80,
	0xf0, 0xc0,
	0x78, 0xe0,
	0xc0, 0xc0
};

// Tile tSet_tSet16v0_058: 4x4 pixels, 2x4 bytes.
__at(0x8BD0) const u8 tSet_tSet16v0_058f[2 * 4] = {
	0x0c, 0x48,
	0x00, 0x04,
	0x00, 0x04,
	0x00, 0x04
};

// Tile tSet_tSet16v0_059: 4x4 pixels, 2x4 bytes.
__at(0x8BD8) const u8 tSet_tSet16v0_059f[2 * 4] = {
	0x04, 0x0c,
	0x48, 0x00,
	0x48, 0x00,
	0x48, 0x00
};

// Tile tSet_tSet16v0_060: 4x4 pixels, 2x4 bytes.
__at(0x8BE0) const u8 tSet_tSet16v0_060f[2 * 4] = {
	0x48, 0x00,
	0x48, 0x00,
	0x48, 0x80,
	0x04, 0x0c
};

// Tile tSet_tSet16v0_061: 4x4 pixels, 2x4 bytes.
__at(0x8BE8) const u8 tSet_tSet16v0_061f[2 * 4] = {
	0x00, 0x04,
	0x00, 0x04,
	0x00, 0x04,
	0x0c, 0x48
};

// Tile tSet_tSet16v0_062: 4x4 pixels, 2x4 bytes.
__at(0x8BF0) const u8 tSet_tSet16v0_062f[2 * 4] = {
	0x04, 0x08,
	0x00, 0x04,
	0x00, 0x48,
	0x48, 0x00
};

// Tile tSet_tSet16v0_063: 4x4 pixels, 2x4 bytes.
__at(0x8BF8) const u8 tSet_tSet16v0_063f[2 * 4] = {
	0x00, 0x48,
	0x00, 0x48,
	0x04, 0x80,
	0x00, 0x04
};

// Tile tSet_tSet16v0_064: 4x4 pixels, 2x4 bytes.
__at(0x8C00)  const u8 tSet_tSet16v0_064f[2 * 4] = {
	0xdd, 0x9e,
	0xcc, 0x6f,
	0xc4, 0x3e,
	0xc4, 0x7a
};

//8C

// Tile tSet_tSet16v0_065: 4x4 pixels, 2x4 bytes.

__at(0x8C08)const u8 tSet_tSet16v0_065f[2 * 4] = {
	0xf0, 0x6c,
	0xb4, 0xcc,
	0xf0, 0xcc,
	0x78, 0xcc
};

// Tile tSet_tSet16v0_066: 4x4 pixels, 2x4 bytes.

__at(0x8C10) const u8 tSet_tSet16v0_066f[2 * 4] = {
	0xcc, 0xdc,
	0xcc, 0x7b,
	0xd9, 0xf9,
	0xdc, 0xf9
};

// Tile tSet_tSet16v0_067: 4x4 pixels, 2x4 bytes.

__at(0x8C18)   const u8 tSet_tSet16v0_067f[2 * 4] = {
	0xdc, 0xdc,
	0xec, 0xe6,
	0xf6, 0xcc,
	0xf9, 0xec
};

// Tile tSet_tSet16v0_068: 4x4 pixels, 2x4 bytes.

__at(0x8C20) const u8 tSet_tSet16v0_068f[2 * 4] = {
	0x40, 0x80,
	0xc0, 0x04,
	0x80, 0x19,
	0x04, 0x33
};

// Tile tSet_tSet16v0_069: 4x4 pixels, 2x4 bytes.

 __at(0x8C28) const u8 tSet_tSet16v0_069f[2 * 4] = {
	0x19, 0x77,
	0x33, 0xaa,
	0x77, 0x40,
	0xaa, 0xc0
};

// Tile tSet_tSet16v0_070: 4x4 pixels, 2x4 bytes.

__at(0x8C30) const u8 tSet_tSet16v0_070f[2 * 4] = {
	0x84, 0x48,
	0xc3, 0x86,
	0xc3, 0xc3,
	0xc1, 0xc3
};

// Tile tSet_tSet16v0_071: 4x4 pixels, 2x4 bytes.

 __at(0x8C38) const u8 tSet_tSet16v0_071f[2 * 4] = {
	0x84, 0xc0,
	0x49, 0x0c,
	0xc3, 0x48,
	0x49, 0x0c
};

// Tile tSet_tSet16v0_072: 4x4 pixels, 2x4 bytes.

__at(0x8C40)  const u8 tSet_tSet16v0_072f[2 * 4] = {
	0xc0, 0xc0,
	0xc1, 0xc3,
	0xc0, 0xc3,
	0x40, 0xc0
};

// Tile tSet_tSet16v0_073: 4x4 pixels, 2x4 bytes.

__at(0x8C48)  const u8 tSet_tSet16v0_073f[2 * 4] = {
	0xc0, 0xc0,
	0x0c, 0x48,
	0x86, 0xc0,
	0xc0, 0x80
};

// Tile tSet_tSet16v0_074: 4x4 pixels, 2x4 bytes.

 __at(0x8C50)  const u8 tSet_tSet16v0_074f[2 * 4] = {
	0x00, 0x04,
	0x00, 0x48,
	0x04, 0x80,
	0x48, 0x00
};

// Tile tSet_tSet16v0_075: 4x4 pixels, 2x4 bytes.

__at(0x8C58) const u8 tSet_tSet16v0_075f[2 * 4] = {
	0x40, 0x0c,
	0x04, 0x80,
	0x48, 0x00,
	0x48, 0x00
};

// Tile tSet_tSet16v0_076: 4x4 pixels, 2x4 bytes.

__at(0x8C60)   const u8 tSet_tSet16v0_076f[2 * 4] = {
	0x0c, 0x80,
	0x00, 0x48,
	0x00, 0x04,
	0x00, 0x04
};

// Tile tSet_tSet16v0_077: 4x4 pixels, 2x4 bytes.

__at(0x8C68) const u8 tSet_tSet16v0_077f[2 * 4] = {
	0x48, 0x00,
	0x04, 0x80,
	0x00, 0x48,
	0x00, 0x04
};

// Tile tSet_tSet16v0_078: 4x4 pixels, 2x4 bytes.

__at(0x8C70)   const u8 tSet_tSet16v0_078f[2 * 4] = {
	0x48, 0x00,
	0x04, 0x84,
	0x00, 0x49,
	0x00, 0x49
};

// Tile tSet_tSet16v0_079: 4x4 pixels, 2x4 bytes.
__at(0x8C78) const u8 tSet_tSet16v0_079f[2 * 4] = {
	0x00, 0x04,
	0x0c, 0x80,
	0x00, 0x48,
	0x00, 0x48
};

// Tile tSet_tSet16v0_080: 4x4 pixels, 2x4 bytes.
__at(0x8C80)  const u8 tSet_tSet16v0_080f[2 * 4] = {
	0x9d, 0xcf,
	0x9d, 0x78,
	0xc4, 0x6f,
	0xc4, 0x7a
};

// Tile tSet_tSet16v0_081: 4x4 pixels, 2x4 bytes.

__at(0x8C88) const u8 tSet_tSet16v0_081f[2 * 4] = {
	0xf0, 0xce,
	0xb4, 0xcc,
	0xe5, 0xcc,
	0xf0, 0xce
};

// Tile tSet_tSet16v0_082: 4x4 pixels, 2x4 bytes.

__at(0x8C90) const u8 tSet_tSet16v0_082f[2 * 4] = {
		0x9d, 0xf6,
	0xd9, 0xf9,
	0xd9, 0xfc,
	0xdc, 0xd9
};

// Tile tSet_tSet16v0_083: 4x4 pixels, 2x4 bytes.

__at(0x8C98) const u8 tSet_tSet16v0_083f[2 * 4] = {
	0xf3, 0xf3,
	0xec, 0xf6,
	0xf6, 0xe6,
	0xfc, 0xe6
};

// Tile tSet_tSet16v0_084: 4x4 pixels, 2x4 bytes.

__at(0x8CA0) const u8 tSet_tSet16v0_084f[2 * 4] = {
	0x19, 0x77,
	0x33, 0xaa,
	0x77, 0x40,
	0xaa, 0xc0
};

// Tile tSet_tSet16v0_085: 4x4 pixels, 2x4 bytes.

__at(0x8CA8) const u8 tSet_tSet16v0_085f[2 * 4] = {
	0x40, 0x80,
	0xc0, 0x04,
	0x80, 0x19,
	0x04, 0x33
};

// Tile tSet_tSet16v0_086: 4x4 pixels, 2x4 bytes.

__at(0x8CB0) const u8 tSet_tSet16v0_086f[2 * 4] = {
	0xc3, 0xc3,
	0xc3, 0xc3,
	0xc1, 0xc3,
	0xc1, 0xc3
};

// Tile tSet_tSet16v0_087: 4x4 pixels, 2x4 bytes.

__at(0x8CB8) const u8 tSet_tSet16v0_087f[2 * 4] = {
	0x86, 0x48,
	0x49, 0x0c,
	0x86, 0x48,
	0x49, 0x48
};

// Tile tSet_tSet16v0_088: 4x4 pixels, 2x4 bytes.

__at(0x8CC0) const u8 tSet_tSet16v0_088f[2 * 4] = {
	0xc1, 0xc3,
	0xc1, 0xc3,
	0xc1, 0xc3,
	0xc1, 0xc3
};

// Tile tSet_tSet16v0_089: 4x4 pixels, 2x4 bytes.

__at(0x8CC8) const u8 tSet_tSet16v0_089f[2 * 4] = {
	0x0c, 0x48,
	0x86, 0x48,
	0x86, 0x48,
	0x86, 0x48
};

// Tile tSet_tSet16v0_090: 4x4 pixels, 2x4 bytes.

__at(0x8CD0) const u8 tSet_tSet16v0_090f[2 * 4] = {
	0x48, 0x00,
	0x04, 0x80,
	0x00, 0x48,
	0x00, 0x04
};

// Tile tSet_tSet16v0_091: 4x4 pixels, 2x4 bytes.

__at(0x8CD8) const u8 tSet_tSet16v0_091f[2 * 4] = {
	0x48, 0x00,
	0x48, 0x00,
	0x84, 0x80,
	0x00, 0x0c
};

// Tile tSet_tSet16v0_092: 4x4 pixels, 2x4 bytes.

__at(0x8CE0) const u8 tSet_tSet16v0_092f[2 * 4] = {
	0x00, 0x04,
	0x00, 0x04,
	0x00, 0x48,
	0x0c, 0x80
};

// Tile tSet_tSet16v0_093: 4x4 pixels, 2x4 bytes.

__at(0x8CE8) const u8 tSet_tSet16v0_093f[2 * 4] = {
	0x00, 0x04,
	0x00, 0x48,
	0x04, 0x80,
	0x48, 0x00
};

// Tile tSet_tSet16v0_094: 4x4 pixels, 2x4 bytes.

__at(0x8CF0) const u8 tSet_tSet16v0_094f[2 * 4] = {
	0x00, 0x49,
	0x00, 0x08,
	0x04, 0x84,
	0x48, 0x00
};

// Tile tSet_tSet16v0_095: 4x4 pixels, 2x4 bytes.

__at(0x8CF8) const u8 tSet_tSet16v0_095f[2 * 4] = {
	0x00, 0x48,
	0x00, 0x48,
	0x0c, 0x80,
	0x00, 0x04
};

// Tile tSet_tSet16v0_096: 4x4 pixels, 2x4 bytes.

__at(0x8D00) const u8 tSet_tSet16v0_096f[2 * 4] = {
	0xc4, 0x7a,
	0xcc, 0x7a,
	0x9d, 0x78,
	0xc4, 0x3e
};

// Tile tSet_tSet16v0_097: 4x4 pixels, 2x4 bytes.

__at(0x8D08) const u8 tSet_tSet16v0_097f[2 * 4] = {
	0x78, 0xe4,
	0xb4, 0xce,
	0xe5, 0xce,
	0xf0, 0xcc
};

// Tile tSet_tSet16v0_098: 4x4 pixels, 2x4 bytes.

__at(0x8D10) const u8 tSet_tSet16v0_098f[2 * 4] = {
	0xd9, 0xfc,
	0xf6, 0xbd,
	0xd9, 0xf9,
	0xdc, 0xd9
};

// Tile tSet_tSet16v0_099: 4x4 pixels, 2x4 bytes.

__at(0x8D18) const u8 tSet_tSet16v0_099f[2 * 4] = {
	0xf3, 0xe6,
	0xf9, 0xec,
	0xf6, 0xee,
	0xf9, 0xcc
};

// Tile tSet_tSet16v0_100: 4x4 pixels, 2x4 bytes.
__at(0x8D20) const u8 tSet_tSet16v0_100f[2 * 4] = {
	0x40, 0x80,
	0xc0, 0x04,
	0x80, 0x19,
	0x04, 0x33
};

// Tile tSet_tSet16v0_101: 4x4 pixels, 2x4 bytes.
__at(0x8D28) const u8 tSet_tSet16v0_101f[2 * 4] = {
	0x19, 0x77,
	0x33, 0xaa,
	0x77, 0x40,
	0xaa, 0xc0
};

// Tile tSet_tSet16v0_102: 4x4 pixels, 2x4 bytes.
__at(0x8D30) const u8 tSet_tSet16v0_102f[2 * 4] = {
	0xc3, 0xc3,
	0xc1, 0xc3,
	0xc3, 0xc3,
	0xc1, 0xc3
};

// Tile tSet_tSet16v0_103: 4x4 pixels, 2x4 bytes.
__at(0x8D38) const u8 tSet_tSet16v0_103f[2 * 4] = {
	0xc3, 0x0c,
	0x86, 0x48,
	0x49, 0x48,
	0x49, 0x0c
};

// Tile tSet_tSet16v0_104: 4x4 pixels, 2x4 bytes.
__at(0x8D40) const u8 tSet_tSet16v0_104f[2 * 4] = {
	0xc1, 0xc3,
	0xc1, 0xc3,
	0xc1, 0xc3,
	0xc0, 0xc3
};

// Tile tSet_tSet16v0_105: 4x4 pixels, 2x4 bytes.
__at(0x8D48) const u8 tSet_tSet16v0_105f[2 * 4] = {
	0x86, 0x48,
	0x86, 0x48,
	0x86, 0x48,
	0x0c, 0xc0
};

// Tile tSet_tSet16v0_106: 4x4 pixels, 2x4 bytes.
__at(0x8D50) const u8 tSet_tSet16v0_106f[2 * 4] = {
	0x00, 0x00,
	0x00, 0x00,
	0x04, 0x48,
	0x00, 0x00
};

// Tile tSet_tSet16v0_107: 4x4 pixels, 2x4 bytes.
__at(0x8D58) const u8 tSet_tSet16v0_107f[2 * 4] = {
	0x00, 0x00,
	0x04, 0x80,
	0x00, 0x00,
	0x00, 0x00
};

// Tile tSet_tSet16v0_108: 4x4 pixels, 2x4 bytes.
__at(0x8D60) const u8 tSet_tSet16v0_108f[2 * 4] = {
	0x00, 0x00,
	0x00, 0x00,
	0x00, 0x00,
	0x00, 0x00
};

// Tile tSet_tSet16v0_109: 4x4 pixels, 2x4 bytes.
__at(0x8D68) const u8 tSet_tSet16v0_109f[2 * 4] = {
	0x00, 0x00,
	0x00, 0x00,
	0x00, 0x00,
	0x00, 0x00
};

// Tile tSet_tSet16v0_110: 4x4 pixels, 2x4 bytes.
__at(0x8D70) const u8 tSet_tSet16v0_110f[2 * 4] = {
	0x48, 0x80,
	0x04, 0x48,
	0x00, 0x04,
	0x00, 0x04
};

// Tile tSet_tSet16v0_111: 4x4 pixels, 2x4 bytes.
__at(0x8D78) const u8 tSet_tSet16v0_111f[2 * 4] = {
	0x00, 0x0c,
	0x0c, 0x80,
	0x82, 0x48,
	0x00, 0x48
};

// Tile tSet_tSet16v0_112: 4x4 pixels, 2x4 bytes.
__at(0x8D80) const u8 tSet_tSet16v0_112f[2 * 4] = {
	0xc4, 0x7a,
	0xc4, 0x3e,
	0x9d, 0x78,
	0xcc, 0x3e
};

// Tile tSet_tSet16v0_113: 4x4 pixels, 2x4 bytes.
__at(0x8D88) const u8 tSet_tSet16v0_113f[2 * 4] = {
	0xe5, 0xcc,
	0xe5, 0xce,
	0xf0, 0xe4,
	0xf0, 0xce
};

// Tile tSet_tSet16v0_114: 4x4 pixels, 2x4 bytes.
__at(0x8D90) const u8 tSet_tSet16v0_114f[2 * 4] = {
	0xd9, 0xf6,
	0x9d, 0xf9,
	0xcc, 0xf6,
	0xcc, 0xcc
};

// Tile tSet_tSet16v0_115: 4x4 pixels, 2x4 bytes.
__at(0x8D98) const u8 tSet_tSet16v0_115f[2 * 4] = {
	0xe6, 0xfc,
	0xf6, 0xe6,
	0xf9, 0xec,
	0xf3, 0xd9
};

// Tile tSet_tSet16v0_116: 4x4 pixels, 2x4 bytes.
__at(0x8DA0) const u8 tSet_tSet16v0_116f[2 * 4] = {
	0x19, 0x77,
	0x33, 0xaa,
	0x77, 0x40,
	0xaa, 0xc0
};

// Tile tSet_tSet16v0_117: 4x4 pixels, 2x4 bytes.
__at(0x8DA8) const u8 tSet_tSet16v0_117f[2 * 4] = {
	0x40, 0x80,
	0xc0, 0x04,
	0x80, 0x19,
	0x04, 0x33
};

// Tile tSet_tSet16v0_118: 4x4 pixels, 2x4 bytes.
__at(0x8DB0) const u8 tSet_tSet16v0_118f[2 * 4] = {
	0xc1, 0xc3,
	0xc1, 0xc3,
	0xc3, 0xc3,
	0xc1, 0xc1
};

// Tile tSet_tSet16v0_119: 4x4 pixels, 2x4 bytes.
__at(0x8DB8) const u8 tSet_tSet16v0_119f[2 * 4] = {
	0x86, 0x0c,
	0x49, 0x48,
	0xc3, 0x0c,
	0xc0, 0xc2
};

// Tile tSet_tSet16v0_120: 4x4 pixels, 2x4 bytes.
__at(0x8DC0) const u8 tSet_tSet16v0_120f[2 * 4] = {
	0x40, 0xc0,
	0xc0, 0xc3,
	0xc1, 0xc3,
	0xc0, 0xc0
};

// Tile tSet_tSet16v0_121: 4x4 pixels, 2x4 bytes.
__at(0x8DC8) const u8 tSet_tSet16v0_121f[2 * 4] = {
	0xc0, 0x80,
	0x0c, 0xc0,
	0x86, 0x48,
	0xc0, 0xc0
};

// Tile tSet_tSet16v0_122: 4x4 pixels, 2x4 bytes.
__at(0x8DD0) const u8 tSet_tSet16v0_122f[2 * 4] = {
	0x00, 0x00,
	0x04, 0x80,
	0x0c, 0x80,
	0x00, 0x00
};

// Tile tSet_tSet16v0_123: 4x4 pixels, 2x4 bytes.
__at(0x8DD8) const u8 tSet_tSet16v0_123f[2 * 4] = {
	0x00, 0x00,
	0x00, 0x00,
	0x00, 0x00,
	0x00, 0x04
};

// Tile tSet_tSet16v0_124: 4x4 pixels, 2x4 bytes.
__at(0x8DE0) const u8 tSet_tSet16v0_124f[2 * 4] = {
	0x00, 0x00,
	0x00, 0x00,
	0x00, 0x00,
	0x80, 0x00
};

// Tile tSet_tSet16v0_125: 4x4 pixels, 2x4 bytes.
__at(0x8DE8) const u8 tSet_tSet16v0_125f[2 * 4] = {
	0x00, 0x00,
	0x00, 0x00,
	0x00, 0x00,
	0x00, 0x00
};

// Tile tSet_tSet16v0_126: 4x4 pixels, 2x4 bytes.
__at(0x8DF0) const u8 tSet_tSet16v0_126f[2 * 4] = {
	0x00, 0x00,
	0x00, 0x0c,
	0x04, 0x80,
	0x48, 0x00
};

// Tile tSet_tSet16v0_127: 4x4 pixels, 2x4 bytes.
 __at(0x8DF8)const u8 tSet_tSet16v0_127f[2 * 4] = {
	0x0c, 0x80,
	0x80, 0x48,
	0x00, 0x48,
	0x00, 0x04
};

// Tile tSet_tSet16v0_128: 4x4 pixels, 2x4 bytes.
__at(0x9000) const u8 tSet_tSet16v0_128f[2 * 4] = {
	0x9d, 0xda,
	0xdd, 0xda,
	0x9d, 0x9e,
	0x9d, 0xda
};

// Tile tSet_tSet16v0_129: 4x4 pixels, 2x4 bytes.
__at(0x9008) const u8 tSet_tSet16v0_129f[2 * 4] = {
	0xf0, 0xee,
	0xf0, 0x9f,
	0xf0, 0xe5,
	0xf0, 0x6d
};

// Tile tSet_tSet16v0_130: 4x4 pixels, 2x4 bytes.
__at(0x9010) const u8 tSet_tSet16v0_130f[2 * 4] = {
	0xdd, 0x9e,
	0x9d, 0xcf,
	0x9d, 0x9e,
	0xc4, 0x6f
};

// Tile tSet_tSet16v0_131: 4x4 pixels, 2x4 bytes.
__at(0x9018) const u8 tSet_tSet16v0_131f[2 * 4] = {
	0xda, 0xf0,
	0xe5, 0xb4,
	0xda, 0xf0,
	0x6d, 0xf0
};

// Tile tSet_tSet16v0_132: 4x4 pixels, 2x4 bytes.
__at(0x9020) const u8 tSet_tSet16v0_132f[2 * 4] = {
	0x9d, 0xf0,
	0x6f, 0xf0,
	0xda, 0xf0,
	0x9e, 0xf0
};

// Tile tSet_tSet16v0_133: 4x4 pixels, 2x4 bytes.
__at(0x9028) const u8 tSet_tSet16v0_133f[2 * 4] = {
	0xe5, 0x6c,
	0xe5, 0x6c,
	0x6d, 0x6c,
	0xe5, 0x6c
};

// Tile tSet_tSet16v0_134: 4x4 pixels, 2x4 bytes.
__at(0x9030) const u8 tSet_tSet16v0_134f[2 * 4] = {
	0xd0, 0xe0,
	0xcf, 0xf0,
	0xc5, 0xcf,
	0xc5, 0xcf
};

// Tile tSet_tSet16v0_135: 4x4 pixels, 2x4 bytes.
__at(0x9038) const u8 tSet_tSet16v0_135f[2 * 4] = {
	0xd0, 0xe0,
	0xf0, 0xf0,
	0xcf, 0xf0,
	0xe5, 0xe0
};

// Tile tSet_tSet16v0_136: 4x4 pixels, 2x4 bytes.
__at(0x9040) const u8 tSet_tSet16v0_136f[2 * 4] = {
	0xc0, 0xc0,
	0xc5, 0xcf,
	0xc0, 0xcf,
	0x40, 0xc0
};

// Tile tSet_tSet16v0_137: 4x4 pixels, 2x4 bytes.
__at(0x9048) const u8 tSet_tSet16v0_137f[2 * 4] = {
	0xc0, 0xc0,
	0x30, 0x60,
	0x9a, 0xc0,
	0xc0, 0x80
};

// Tile tSet_tSet16v0_138: 4x4 pixels, 2x4 bytes.
__at(0x9050) const u8 tSet_tSet16v0_138f[2 * 4] = {
	0x80, 0x80,
	0x00, 0xc0,
	0x00, 0xc0,
	0x00, 0xc0
};

// Tile tSet_tSet16v0_139: 4x4 pixels, 2x4 bytes.
__at(0x9058) const u8 tSet_tSet16v0_139f[2 * 4] = {
	0x80, 0x80,
	0x00, 0xc0,
	0x40, 0x40,
	0x40, 0x40
};

// Tile tSet_tSet16v0_140: 4x4 pixels, 2x4 bytes.
__at(0x9050+0x10) const u8 tSet_tSet16v0_140f[2 * 4] = {
	0x80, 0x80,
	0x00, 0xc0,
	0x00, 0xc0,
	0x00, 0xc0
};

// Tile tSet_tSet16v0_141: 4x4 pixels, 2x4 bytes.
__at(0x9068) const u8 tSet_tSet16v0_141f[2 * 4] = {
	0x80, 0x80,
	0x00, 0xc0,
	0x00, 0xc0,
	0x00, 0xc0
};

// Tile tSet_tSet16v0_142: 4x4 pixels, 2x4 bytes.
__at(0x9060+0x10) const u8 tSet_tSet16v0_142f[2 * 4] = {
	0x04, 0x0c,
	0x0c, 0x0c,
	0x0c, 0x08,
	0x0c, 0x04
};

// Tile tSet_tSet16v0_143: 4x4 pixels, 2x4 bytes.
__at(0x9078) const u8 tSet_tSet16v0_143f[2 * 4] = {
	0x00, 0x04,
	0x00, 0x00,
	0x08, 0x00,
	0x04, 0x00
};

// Tile tSet_tSet16v0_144: 4x4 pixels, 2x4 bytes.
__at(0x9070+0x10) const u8 tSet_tSet16v0_144f[2 * 4] = {
	0x9d, 0xcf,
	0xcc, 0xef,
	0xc4, 0x6f,
	0xcc, 0x6f
};

// Tile tSet_tSet16v0_145: 4x4 pixels, 2x4 bytes.
__at(0x9088) const u8 tSet_tSet16v0_145f[2 * 4] = {
	0x78, 0xf0,
	0xf0, 0xf0,
	0x78, 0xb4,
	0xda, 0xf0
};

// Tile tSet_tSet16v0_146: 4x4 pixels, 2x4 bytes.
__at(0x9080+0x10) const u8 tSet_tSet16v0_146f[2 * 4] = {
	0xcc, 0x9d,
	0xc4, 0xcc,
	0xcc, 0xcc,
	0xc0, 0xc8
};

// Tile tSet_tSet16v0_147: 4x4 pixels, 2x4 bytes.
__at(0x9098) const u8 tSet_tSet16v0_147f[2 * 4] = {
	0x9f, 0x6d,
	0xef, 0xe5,
	0xdd, 0x9e,
	0xcc, 0x6c
};

// Tile tSet_tSet16v0_148: 4x4 pixels, 2x4 bytes.
__at(0x9090+0x10) const u8 tSet_tSet16v0_148f[2 * 4] = {
	0xf0, 0xb4,
	0xf0, 0xf0,
	0x78, 0xb4,
	0xf0, 0xe5
};

// Tile tSet_tSet16v0_149: 4x4 pixels, 2x4 bytes.
__at(0x90A8) const u8 tSet_tSet16v0_149f[2 * 4] = {
	0xcf, 0x6c,
	0x9e, 0xcc,
	0x9e, 0xc8,
	0x9e, 0xc8
};

// Tile tSet_tSet16v0_150: 4x4 pixels, 2x4 bytes.
__at(0x90A0+0x10) const u8 tSet_tSet16v0_150f[2 * 4] = {
	0xcf, 0xcf,
	0xcf, 0xcf,
	0xcf, 0xcf,
	0xc5, 0xcf
};

// Tile tSet_tSet16v0_151: 4x4 pixels, 2x4 bytes.
__at(0x90B8) const u8 tSet_tSet16v0_151f[2 * 4] = {
	0xda, 0xe0,
	0xe5, 0xf0,
	0xda, 0xe0,
	0xe5, 0xe0
};

// Tile tSet_tSet16v0_152: 4x4 pixels, 2x4 bytes.
__at(0x90B0+0x10) const u8 tSet_tSet16v0_152f[2 * 4] = {
	0xc5, 0xcf,
	0xc5, 0xcf,
	0xc5, 0xcf,
	0xc5, 0xcf
};

// Tile tSet_tSet16v0_153: 4x4 pixels, 2x4 bytes.
__at(0x90C8) const u8 tSet_tSet16v0_153f[2 * 4] = {
	0x30, 0x60,
	0x9a, 0x60,
	0x9a, 0x60,
	0x9a, 0x60
};

// Tile tSet_tSet16v0_154: 4x4 pixels, 2x4 bytes.
__at(0x90C0+0x10) const u8 tSet_tSet16v0_154f[2 * 4] = {
	0x00, 0xc0,
	0x00, 0xc0,
	0x00, 0xc0,
	0x00, 0xc0
};

// Tile tSet_tSet16v0_155: 4x4 pixels, 2x4 bytes.
__at(0x90D8) const u8 tSet_tSet16v0_155f[2 * 4] = {
	0x40, 0x40,
	0x40, 0x40,
	0x40, 0x40,
	0x00, 0xc0
};

// Tile tSet_tSet16v0_156: 4x4 pixels, 2x4 bytes.
__at(0x90D0+0x10) const u8 tSet_tSet16v0_156f[2 * 4] = {
	0x00, 0xc0,
	0x00, 0xc0,
	0x00, 0xc0,
	0x00, 0xc0
};

// Tile tSet_tSet16v0_157: 4x4 pixels, 2x4 bytes.
__at(0x90E8) const u8 tSet_tSet16v0_157f[2 * 4] = {
	0x00, 0xc0,
	0x00, 0xc0,
	0x00, 0xc0,
	0x00, 0xc0
};

// Tile tSet_tSet16v0_158: 4x4 pixels, 2x4 bytes.
__at(0x90E0+0x10) const u8 tSet_tSet16v0_158f[2 * 4] = {
	0x0c, 0x04,
	0x0c, 0x08,
	0x0c, 0x0c,
	0x04, 0x0c
};

// Tile tSet_tSet16v0_159: 4x4 pixels, 2x4 bytes.
__at(0x90F8) const u8 tSet_tSet16v0_159f[2 * 4] = {
	0x04, 0x00,
	0x08, 0x00,
	0x00, 0x00,
	0x00, 0x04
};

// Tile tSet_tSet16v0_160: 4x4 pixels, 2x4 bytes.
__at(0x90F0+0x10) const u8 tSet_tSet16v0_160f[2 * 4] = {
	0xcc, 0xdd,
	0xcc, 0x9d,
	0xc4, 0x9d,
	0xcc, 0xcc
};

// Tile tSet_tSet16v0_161: 4x4 pixels, 2x4 bytes.
__at(0x9108) const u8 tSet_tSet16v0_161f[2 * 4] = {
	0x9e, 0xda,
	0xcf, 0xe5,
	0x9e, 0xda,
	0x6f, 0x6d
};

// Tile tSet_tSet16v0_162: 4x4 pixels, 2x4 bytes.
__at(0x9100+0x10) const u8 tSet_tSet16v0_162f[2 * 4] = {
	0xf0, 0x9e,
	0xf0, 0xe5,
	0xf0, 0x9e,
	0xcf, 0x6d
};

// Tile tSet_tSet16v0_163: 4x4 pixels, 2x4 bytes.
__at(0x9118) const u8 tSet_tSet16v0_163f[2 * 4] = {
	0x9e, 0xc8,
	0x9e, 0xcc,
	0x9e, 0xc8,
	0x6c, 0xcc
};

// Tile tSet_tSet16v0_164: 4x4 pixels, 2x4 bytes.
__at(0x9110+0x10) const u8 tSet_tSet16v0_164f[2 * 4] = {
	0xe5, 0x6d,
	0xda, 0xcf,
	0xe5, 0x6d,
	0x9e, 0x9e
};

// Tile tSet_tSet16v0_165: 4x4 pixels, 2x4 bytes.
__at(0x9128) const u8 tSet_tSet16v0_165f[2 * 4] = {
	0x6c, 0xc8,
	0x6c, 0xcc,
	0x6c, 0xc8,
	0xcc, 0xcc
};

// Tile tSet_tSet16v0_166: 4x4 pixels, 2x4 bytes.
__at(0x9120+0x10) const u8 tSet_tSet16v0_166f[2 * 4] = {
	0xc5, 0xcf,
	0xcf, 0xcf,
	0xcf, 0xcf,
	0xc5, 0xcf
};

// Tile tSet_tSet16v0_167: 4x4 pixels, 2x4 bytes.
__at(0x9138) const u8 tSet_tSet16v0_167f[2 * 4] = {
	0xda, 0xf0,
	0xe5, 0xf0,
	0xda, 0xf0,
	0xe5, 0xe0
};

// Tile tSet_tSet16v0_168: 4x4 pixels, 2x4 bytes.
__at(0x9130+0x10) const u8 tSet_tSet16v0_168f[2 * 4] = {
	0xc5, 0xcf,
	0xc5, 0xcf,
	0xc5, 0xcf,
	0xc0, 0xcf
};

// Tile tSet_tSet16v0_169: 4x4 pixels, 2x4 bytes.
__at(0x9148) const u8 tSet_tSet16v0_169f[2 * 4] = {
	0x9a, 0x60,
	0x9a, 0x60,
	0x9a, 0x60,
	0x30, 0x60
};

// Tile tSet_tSet16v0_170: 4x4 pixels, 2x4 bytes.
__at(0x9140+0x10) const u8 tSet_tSet16v0_170f[2 * 4] = {
	0x80, 0x80,
	0xc0, 0x00,
	0x40, 0x00,
	0x40, 0x00
};

// Tile tSet_tSet16v0_171: 4x4 pixels, 2x4 bytes.
__at(0x9158) const u8 tSet_tSet16v0_171f[2 * 4] = {
	0x80, 0x80,
	0xc0, 0x00,
	0xc0, 0x00,
	0xc0, 0x00
};

// Tile tSet_tSet16v0_172: 4x4 pixels, 2x4 bytes.
__at(0x9150+0x10) const u8 tSet_tSet16v0_172f[2 * 4] = {
	0x80, 0x80,
	0xc0, 0x00,
	0xc0, 0x40,
	0xc0, 0x40
};

// Tile tSet_tSet16v0_173: 4x4 pixels, 2x4 bytes.
__at(0x9168) const u8 tSet_tSet16v0_173f[2 * 4] = {
	0x80, 0x80,
	0xc0, 0x00,
	0x40, 0x00,
	0x40, 0x00
};

// Tile tSet_tSet16v0_174: 4x4 pixels, 2x4 bytes.
__at(0x9160+0x10) const u8 tSet_tSet16v0_174f[2 * 4] = {
	0x04, 0x0c,
	0x0c, 0x0c,
	0x0c, 0x08,
	0x0c, 0x00
};

// Tile tSet_tSet16v0_175: 4x4 pixels, 2x4 bytes.
__at(0x9178) const u8 tSet_tSet16v0_175f[2 * 4] = {
	0x00, 0x04,
	0x00, 0x00,
	0x08, 0x00,
	0x0c, 0x00
};

// Tile tSet_tSet16v0_176: 4x4 pixels, 2x4 bytes.
__at(0x9170+0x10) const u8 tSet_tSet16v0_176f[2 * 4] = {
	0xc4, 0xcc,
	0xc4, 0xcc,
	0xcc, 0xcc,
	0xc4, 0xc0
};

// Tile tSet_tSet16v0_177: 4x4 pixels, 2x4 bytes.
__at(0x9188) const u8 tSet_tSet16v0_177f[2 * 4] = {
	0x9d, 0x9f,
	0xcc, 0xef,
	0xcc, 0xdd,
	0xc8, 0xcc
};

// Tile tSet_tSet16v0_178: 4x4 pixels, 2x4 bytes.
__at(0x9180+0x10) const u8 tSet_tSet16v0_178f[2 * 4] = {
	0x3c, 0x9e,
	0xcf, 0x6c,
	0x3c, 0xcc,
	0xcc, 0xc8
};

// Tile tSet_tSet16v0_179: 4x4 pixels, 2x4 bytes.
__at(0x9198) const u8 tSet_tSet16v0_179f[2 * 4] = {
	0xcc, 0xcc,
	0xcc, 0xc8,
	0xcc, 0xc8,
	0xc8, 0xcc
};

// Tile tSet_tSet16v0_180: 4x4 pixels, 2x4 bytes.
__at(0x9190+0x10) const u8 tSet_tSet16v0_180f[2 * 4] = {
	0x6d, 0x6c,
	0x9e, 0xcc,
	0x6c, 0xcc,
	0xcc, 0xc8
};

// Tile tSet_tSet16v0_181: 4x4 pixels, 2x4 bytes.
__at(0x91A8) const u8 tSet_tSet16v0_181f[2 * 4] = {
	0xcc, 0xcc,
	0xcc, 0xc8,
	0xcc, 0xc8,
	0xc8, 0xcc
};

// Tile tSet_tSet16v0_182: 4x4 pixels, 2x4 bytes.
__at(0x91A0+0x10) const u8 tSet_tSet16v0_182f[2 * 4] = {
	0xc5, 0xcf,
	0xcf, 0xcf,
	0xcf, 0xcf,
	0xc5, 0xc0
};

// Tile tSet_tSet16v0_183: 4x4 pixels, 2x4 bytes.
__at(0x91B8) const u8 tSet_tSet16v0_183f[2 * 4] = {
	0xda, 0xe0,
	0xe5, 0xf0,
	0xda, 0xf0,
	0xe0, 0xe0
};

// Tile tSet_tSet16v0_184: 4x4 pixels, 2x4 bytes.
__at(0x91B0+0x10) const u8 tSet_tSet16v0_184f[2 * 4] = {
	0x40, 0xc0,
	0xc0, 0xcf,
	0xc5, 0xcf,
	0xc0, 0xc0
};

// Tile tSet_tSet16v0_185: 4x4 pixels, 2x4 bytes.
__at(0x91C8) const u8 tSet_tSet16v0_185f[2 * 4] = {
	0xc0, 0x80,
	0x30, 0xc0,
	0x9a, 0x60,
	0xc0, 0xc0
};

// Tile tSet_tSet16v0_186: 4x4 pixels, 2x4 bytes.
__at(0x91C0+0x10) const u8 tSet_tSet16v0_186f[2 * 4] = {
	0x40, 0x00,
	0x40, 0x00,
	0xc0, 0x00,
	0x80, 0x80
};

// Tile tSet_tSet16v0_187: 4x4 pixels, 2x4 bytes.
__at(0x91D8) const u8 tSet_tSet16v0_187f[2 * 4] = {
	0xc0, 0x00,
	0xc0, 0x00,
	0xc0, 0x00,
	0x80, 0x80
};

// Tile tSet_tSet16v0_188: 4x4 pixels, 2x4 bytes.
__at(0x91D0+0x10) const u8 tSet_tSet16v0_188f[2 * 4] = {
	0xc0, 0x40,
	0xc0, 0x40,
	0xc0, 0x00,
	0x80, 0x80
};

// Tile tSet_tSet16v0_189: 4x4 pixels, 2x4 bytes.
__at(0x91E8) const u8 tSet_tSet16v0_189f[2 * 4] = {
	0x40, 0x00,
	0x40, 0x00,
	0xc0, 0x00,
	0x80, 0x80
};

// Tile tSet_tSet16v0_190: 4x4 pixels, 2x4 bytes.
__at(0x91E0+0x10) const u8 tSet_tSet16v0_190f[2 * 4] = {
	0x0c, 0x00,
	0x0c, 0x08,
	0x0c, 0x0c,
	0x04, 0x0c
};

// Tile tSet_tSet16v0_191: 4x4 pixels, 2x4 bytes.
__at(0x91F8) const u8 tSet_tSet16v0_191f[2 * 4] = {
	0x0c, 0x00,
	0x08, 0x00,
	0x00, 0x00,
	0x00, 0x04
};

// Tile tSet_tSet16v0_192: 4x4 pixels, 2x4 bytes.
__at(0x91F0+0x10) const u8 tSet_tSet16v0_192f[2 * 4] = {
	0x81, 0x42,
	0x07, 0x0b,
	0x81, 0xff,
	0x07, 0x3f
};

// Tile tSet_tSet16v0_193: 4x4 pixels, 2x4 bytes.
__at(0x9208) const u8 tSet_tSet16v0_193f[2 * 4] = {
	0x81, 0x03,
	0x07, 0x0b,
	0xff, 0xff,
	0x3f, 0x3f
};

// Tile tSet_tSet16v0_194: 4x4 pixels, 2x4 bytes.
__at(0x9200+0x10) const u8 tSet_tSet16v0_194f[2 * 4] = {
	0x03, 0x81,
	0x0f, 0x03,
	0xff, 0x0f,
	0x3f, 0xbf
};

// Tile tSet_tSet16v0_195: 4x4 pixels, 2x4 bytes.
__at(0x9218) const u8 tSet_tSet16v0_195f[2 * 4] = {
	0x03, 0x81,
	0x0f, 0x07,
	0xff, 0xff,
	0x3f, 0xbf
};

// Tile tSet_tSet16v0_196: 4x4 pixels, 2x4 bytes.
__at(0x9210+0x10) const u8 tSet_tSet16v0_196f[2 * 4] = {
	0x03, 0x42,
	0x07, 0x0b,
	0xff, 0x3f,
	0x3f, 0x3f
};

// Tile tSet_tSet16v0_197: 4x4 pixels, 2x4 bytes.
__at(0x9228) const u8 tSet_tSet16v0_197f[2 * 4] = {
	0x81, 0x42,
	0x07, 0x0b,
	0x3f, 0x42,
	0x3f, 0x0b
};

// Tile tSet_tSet16v0_198: 4x4 pixels, 2x4 bytes.
__at(0x9220+0x10) const u8 tSet_tSet16v0_198f[2 * 4] = {
	0xd4, 0xd4,
	0xf3, 0xfc,
	0xd1, 0xf3,
	0xf3, 0xf6
};

// Tile tSet_tSet16v0_199: 4x4 pixels, 2x4 bytes.
__at(0x9238) const u8 tSet_tSet16v0_199f[2 * 4] = {
	0xd4, 0xd4,
	0xfc, 0xe8,
	0xf3, 0xfc,
	0xf9, 0xf6
};

// Tile tSet_tSet16v0_200: 4x4 pixels, 2x4 bytes.
__at(0x9230+0x10) const u8 tSet_tSet16v0_200f[2 * 4] = {
	0xc0, 0xc0,
	0xd1, 0xf3,
	0xc0, 0xf3,
	0x40, 0xc0
};

// Tile tSet_tSet16v0_201: 4x4 pixels, 2x4 bytes.
__at(0x9248) const u8 tSet_tSet16v0_201f[2 * 4] = {
	0xc0, 0xc0,
	0xfc, 0xe8,
	0xf6, 0xc0,
	0xc0, 0x80
};

// Tile tSet_tSet16v0_202: 4x4 pixels, 2x4 bytes.
__at(0x9240+0x10) const u8 tSet_tSet16v0_202f[2 * 4] = {
	0x6d, 0x6d,
	0xcf, 0x3c,
	0xcf, 0x3c,
	0xcf, 0x3c
};

// Tile tSet_tSet16v0_203: 4x4 pixels, 2x4 bytes.
__at(0x9258) const u8 tSet_tSet16v0_203f[2 * 4] = {
	0x6d, 0x6d,
	0xcf, 0x3c,
	0x9e, 0x9e,
	0x9e, 0x9e
};

// Tile tSet_tSet16v0_204: 4x4 pixels, 2x4 bytes.
__at(0x9250+0x10) const u8 tSet_tSet16v0_204f[2 * 4] = {
	0x6d, 0x6d,
	0xcf, 0x3c,
	0xcf, 0x3c,
	0xcf, 0x3c
};

// Tile tSet_tSet16v0_205: 4x4 pixels, 2x4 bytes.
__at(0x9268) const u8 tSet_tSet16v0_205f[2 * 4] = {
	0x6d, 0x6d,
	0xcf, 0x3c,
	0xcf, 0x3c,
	0xcf, 0x3c
};

// Tile tSet_tSet16v0_206: 4x4 pixels, 2x4 bytes.
__at(0x9260+0x10) const u8 tSet_tSet16v0_206f[2 * 4] = {
	0x6d, 0xcf,
	0xcf, 0xcf,
	0xcf, 0x9e,
	0xcf, 0x6d
};

// Tile tSet_tSet16v0_207: 4x4 pixels, 2x4 bytes.
__at(0x9278) const u8 tSet_tSet16v0_207f[2 * 4] = {
 	0x3c, 0x6d,
	0x3c, 0x3c,
	0x9e, 0x3c,
	0x6d, 0x3c
};

// Tile tSet_tSet16v0_208: 4x4 pixels, 2x4 bytes.
__at(0x9270+0x10) const u8 tSet_tSet16v0_208f[2 * 4] = {
	0x81, 0x5f,
	0x07, 0xff,
	0x81, 0x5f,
	0x03, 0x0f
};

// Tile tSet_tSet16v0_209: 4x4 pixels, 2x4 bytes.
__at(0x9288) const u8 tSet_tSet16v0_209f[2 * 4] = {
	0xbf, 0xff,
	0x7f, 0x5f,
	0xaf, 0xff,
	0x5f, 0x3f
};

// Tile tSet_tSet16v0_210: 4x4 pixels, 2x4 bytes.
__at(0x9280+0x10) const u8 tSet_tSet16v0_210f[2 * 4] = {
	0xff, 0x1f,
	0x2f, 0xff,
	0xff, 0xbf,
	0x3f, 0x3f
};

// Tile tSet_tSet16v0_211: 4x4 pixels, 2x4 bytes.
__at(0x9298) const u8 tSet_tSet16v0_211f[2 * 4] = {
	0xff, 0x5f,
	0x2f, 0xaf,
	0x3f, 0xff,
	0x3f, 0x3f
};

// Tile tSet_tSet16v0_212: 4x4 pixels, 2x4 bytes.
__at(0x9290+0x10) const u8 tSet_tSet16v0_212f[2 * 4] = {
	0xff, 0xff,
	0xaf, 0xff,
	0xff, 0x1f,
	0x3f, 0x2f
};

// Tile tSet_tSet16v0_213: 4x4 pixels, 2x4 bytes.
__at(0x92A8) const u8 tSet_tSet16v0_213f[2 * 4] = {
	0xaf, 0x42,
	0x0b, 0xc0,
	0x17, 0x42,
	0xab, 0xc0
};

// Tile tSet_tSet16v0_214: 4x4 pixels, 2x4 bytes.
__at(0x92A0+0x10) const u8 tSet_tSet16v0_214f[2 * 4] = {
	0xd1, 0xf6,
	0xf3, 0xf3,
	0xd1, 0xf6,
	0xf3, 0xf3
};

// Tile tSet_tSet16v0_215: 4x4 pixels, 2x4 bytes.
__at(0x92B8) const u8 tSet_tSet16v0_215f[2 * 4] = {
	0xf9, 0xfc,
	0xf3, 0xe8,
	0xf9, 0xf6,
	0xf3, 0xf6
};

// Tile tSet_tSet16v0_216: 4x4 pixels, 2x4 bytes.
__at(0x92B0+0x10) const u8 tSet_tSet16v0_216f[2 * 4] = {
	0xd1, 0xf3,
	0xd1, 0xf3,
	0xd1, 0xf3,
	0xd1, 0xf3
};

// Tile tSet_tSet16v0_217: 4x4 pixels, 2x4 bytes.
__at(0x92C8) const u8 tSet_tSet16v0_217f[2 * 4] = {
	0xfc, 0xe8,
	0xf6, 0xe8,
	0xf6, 0xe8,
	0xf6, 0xe8
};

// Tile tSet_tSet16v0_218: 4x4 pixels, 2x4 bytes.
__at(0x92C0+0x10) const u8 tSet_tSet16v0_218f[2 * 4] = {
	0xcf, 0x3c,
	0xcf, 0x3c,
	0xcf, 0x3c,
	0xcf, 0x3c
};

// Tile tSet_tSet16v0_219: 4x4 pixels, 2x4 bytes.
__at(0x92D8) const u8 tSet_tSet16v0_219f[2 * 4] = {
	0x9e, 0x9e,
	0x9e, 0x9e,
	0x9e, 0x9e,
	0xcf, 0x3c
};

// Tile tSet_tSet16v0_220: 4x4 pixels, 2x4 bytes.
__at(0x92D0+0x10) const u8 tSet_tSet16v0_220f[2 * 4] = {
	0xcf, 0x3c,
	0xcf, 0x3c,
	0xcf, 0x3c,
	0xcf, 0x3c
};

// Tile tSet_tSet16v0_221: 4x4 pixels, 2x4 bytes.
__at(0x92E8) const u8 tSet_tSet16v0_221f[2 * 4] = {
	0xcf, 0x3c,
	0xcf, 0x3c,
	0xcf, 0x3c,
	0xcf, 0x3c
};

// Tile tSet_tSet16v0_222: 4x4 pixels, 2x4 bytes.
__at(0x92E0+0x10) const u8 tSet_tSet16v0_222f[2 * 4] = {
	0xcf, 0x6d,
	0xcf, 0x9e,
	0xcf, 0xcf,
	0x6d, 0xcf
};

// Tile tSet_tSet16v0_223: 4x4 pixels, 2x4 bytes.
__at(0x92F8) const u8 tSet_tSet16v0_223f[2 * 4] = {
	0x6d, 0x3c,
	0x9e, 0x3c,
	0x3c, 0x3c,
	0x3c, 0x6d
};

// Tile tSet_tSet16v0_224: 4x4 pixels, 2x4 bytes.
__at(0x92F0+0x10) const u8 tSet_tSet16v0_224f[2 * 4] = {
	0x03, 0x0f,
	0x81, 0x0f,
	0x03, 0x0f,
	0x81, 0x5f
};

// Tile tSet_tSet16v0_225: 4x4 pixels, 2x4 bytes.
__at(0x9308) const u8 tSet_tSet16v0_225f[2 * 4] = {
	0xbf, 0x3f,
	0xff, 0xff,
	0xbf, 0x3f,
	0x1f, 0x2f
};

// Tile tSet_tSet16v0_226: 4x4 pixels, 2x4 bytes.
__at(0x9300+0x10) const u8 tSet_tSet16v0_226f[2 * 4] = {
	0x3f, 0x2f,
	0xaf, 0xbf,
	0x5f, 0x0f,
	0xaf, 0x3f
};

// Tile tSet_tSet16v0_227: 4x4 pixels, 2x4 bytes.
__at(0x9318) const u8 tSet_tSet16v0_227f[2 * 4] = {
	0xaf, 0x3f,
	0x5f, 0xaf,
	0xaf, 0x5f,
	0x3f, 0x2f
};

// Tile tSet_tSet16v0_228: 4x4 pixels, 2x4 bytes.
__at(0x9310+0x10) const u8 tSet_tSet16v0_228f[2 * 4] = {
	0x3f, 0x2f,
	0xff, 0xff,
	0x3f, 0x5f,
	0x1f, 0x3f
};

// Tile tSet_tSet16v0_229: 4x4 pixels, 2x4 bytes.
__at(0x9328) const u8 tSet_tSet16v0_229f[2 * 4] = {
	0xbf, 0x42,
	0xff, 0xab,
	0x1f, 0x42,
	0x2f, 0x42
};

// Tile tSet_tSet16v0_230: 4x4 pixels, 2x4 bytes.
__at(0x9320+0x10) const u8 tSet_tSet16v0_230f[2 * 4] = {
	0xd1, 0xf6,
	0xf3, 0xf3,
	0xd1, 0xf6,
	0xf3, 0xf6
};

// Tile tSet_tSet16v0_231: 4x4 pixels, 2x4 bytes.
__at(0x9338) const u8 tSet_tSet16v0_231f[2 * 4] = {
	0xf9, 0xfc,
	0xf3, 0xe8,
	0xf9, 0xfc,
	0xf9, 0xe8
};

// Tile tSet_tSet16v0_232: 4x4 pixels, 2x4 bytes.
__at(0x9330+0x10) const u8 tSet_tSet16v0_232f[2 * 4] = {
	0xd1, 0xf3,
	0xd1, 0xf3,
	0xd1, 0xf3,
	0xc0, 0xf3
};

// Tile tSet_tSet16v0_233: 4x4 pixels, 2x4 bytes.
__at(0x9348) const u8 tSet_tSet16v0_233f[2 * 4] = {
	0xf6, 0xe8,
	0xf6, 0xe8,
	0xf6, 0xe8,
	0xfc, 0xc0
};

// Tile tSet_tSet16v0_234: 4x4 pixels, 2x4 bytes.
__at(0x9340+0x10) const u8 tSet_tSet16v0_234f[2 * 4] = {
	0x6d, 0x6d,
	0x3c, 0xcf,
	0x9e, 0xcf,
	0x9e, 0xcf
};

// Tile tSet_tSet16v0_235: 4x4 pixels, 2x4 bytes.
__at(0x9358) const u8 tSet_tSet16v0_235f[2 * 4] = {
	0x6d, 0x6d,
	0x3c, 0xcf,
	0x3c, 0x9e,
	0x3c, 0x9e
};

// Tile tSet_tSet16v0_236: 4x4 pixels, 2x4 bytes.
__at(0x9350+0x10) const u8 tSet_tSet16v0_236f[2 * 4] = {
	0x6d, 0x6d,
	0x3c, 0xcf,
	0x3c, 0xcf,
	0x3c, 0xcf
};

// Tile tSet_tSet16v0_237: 4x4 pixels, 2x4 bytes.
__at(0x9368) const u8 tSet_tSet16v0_237f[2 * 4] = {
	0x6d, 0x6d,
	0x3c, 0xcf,
	0x3c, 0xcf,
	0x3c, 0xcf
};

// Tile tSet_tSet16v0_238: 4x4 pixels, 2x4 bytes.
__at(0x9360+0x10) const u8 tSet_tSet16v0_238f[2 * 4] = {
	0x6d, 0xcf,
	0xcf, 0xcf,
	0xcf, 0x9e,
	0xcf, 0x3c
};

// Tile tSet_tSet16v0_239: 4x4 pixels, 2x4 bytes.
__at(0x9378) const u8 tSet_tSet16v0_239f[2 * 4] = {
	0x3c, 0x6d,
	0x3c, 0x3c,
	0x9e, 0x3c,
	0xcf, 0x3c
};

// Tile tSet_tSet16v0_240: 4x4 pixels, 2x4 bytes.
__at(0x9370+0x10) const u8 tSet_tSet16v0_240f[2 * 4] = {
	0x07, 0xbf,
	0x07, 0xbf,
	0x81, 0x2b,
	0x42, 0x42
};

// Tile tSet_tSet16v0_241: 4x4 pixels, 2x4 bytes.
__at(0x9388) const u8 tSet_tSet16v0_241f[2 * 4] = {
	0x3f, 0x1f,
	0x1f, 0x5f,
	0x0f, 0x0f,
	0x03, 0x03
};

// Tile tSet_tSet16v0_242: 4x4 pixels, 2x4 bytes.
__at(0x9380+0x10) const u8 tSet_tSet16v0_242f[2 * 4] = {
	0x3f, 0x3f,
	0x1f, 0x1f,
	0x2f, 0x2f,
	0x03, 0x81
};

// Tile tSet_tSet16v0_243: 4x4 pixels, 2x4 bytes.
__at(0x9398) const u8 tSet_tSet16v0_243f[2 * 4] = {
	0x3f, 0x3f,
	0x1f, 0x5f,
	0x2b, 0x03,
	0x03, 0x81
};

// Tile tSet_tSet16v0_244: 4x4 pixels, 2x4 bytes.
__at(0x9390+0x10) const u8 tSet_tSet16v0_244f[2 * 4] = {
	0x3f, 0x1f,
	0xaf, 0x2f,
	0x0f, 0x0f,
	0x03, 0x03
};

// Tile tSet_tSet16v0_245: 4x4 pixels, 2x4 bytes.
__at(0x93A8) const u8 tSet_tSet16v0_245f[2 * 4] = {
	0x2f, 0x42,
	0x3f, 0x0b,
	0x17, 0x42,
	0x81, 0x81
};

// Tile tSet_tSet16v0_246: 4x4 pixels, 2x4 bytes.
__at(0x93A0+0x10) const u8 tSet_tSet16v0_246f[2 * 4] = {
	0xd1, 0xf6,
	0xf3, 0xf3,
	0xd1, 0xf3,
	0xe2, 0xe2
};

// Tile tSet_tSet16v0_247: 4x4 pixels, 2x4 bytes.
__at(0x93B8) const u8 tSet_tSet16v0_247f[2 * 4] = {
	0xf9, 0xfc,
	0xf9, 0xe8,
	0xf3, 0xd4,
	0xe2, 0xe2
};

// Tile tSet_tSet16v0_248: 4x4 pixels, 2x4 bytes.
__at(0x93B0+0x10) const u8 tSet_tSet16v0_248f[2 * 4] = {
	0x40, 0xc0,
	0xc0, 0xf3,
	0xd1, 0xf3,
	0xc0, 0xc0
};

// Tile tSet_tSet16v0_249: 4x4 pixels, 2x4 bytes.
__at(0x93C8) const u8 tSet_tSet16v0_249f[2 * 4] = {
	0xc0, 0x80,
	0xfc, 0xc0,
	0xf6, 0xe8,
	0xc0, 0xc0
};

// Tile tSet_tSet16v0_250: 4x4 pixels, 2x4 bytes.
__at(0x93C0+0x10) const u8 tSet_tSet16v0_250f[2 * 4] = {
	0x9e, 0xcf,
	0x9e, 0xcf,
	0x3c, 0xcf,
	0x6d, 0x6d
};

// Tile tSet_tSet16v0_251: 4x4 pixels, 2x4 bytes.
__at(0x93D8) const u8 tSet_tSet16v0_251f[2 * 4] = {
	0x3c, 0x9e,
	0x3c, 0x9e,
	0x3c, 0xcf,
	0x6d, 0x6d
};

// Tile tSet_tSet16v0_252: 4x4 pixels, 2x4 bytes.
__at(0x93D0+0x10) const u8 tSet_tSet16v0_252f[2 * 4] = {
	0x3c, 0xcf,
	0x3c, 0xcf,
	0x3c, 0xcf,
	0x6d, 0x6d
};

// Tile tSet_tSet16v0_253: 4x4 pixels, 2x4 bytes.
__at(0x93E8) const u8 tSet_tSet16v0_253f[2 * 4] = {
	0x3c, 0xcf,
	0x3c, 0xcf,
	0x3c, 0xcf,
	0x6d, 0x6d
};

// Tile tSet_tSet16v0_254: 4x4 pixels, 2x4 bytes.
__at(0x93E0+0x10) const u8 tSet_tSet16v0_254f[2 * 4] = {
	0xcf, 0x3c,
	0xcf, 0x9e,
	0xcf, 0xcf,
	0x6d, 0xcf
};

// Tile tSet_tSet16v0_255: 4x4 pixels, 2x4 bytes.
__at(0x93F8) const u8 tSet_tSet16v0_255f[2 * 4] = {
	0xcf, 0x3c,
	0x9e, 0x3c,
	0x3c, 0x3c,
	0x3c, 0x6d
};

// Tile tSet_tSet16v0_256: 4x4 pixels, 2x4 bytes.
__at(0x93F0+0x10) const u8 tSet_tSet16v0_256f[2 * 4] = {
	0x50, 0xa0,
	0xf0, 0x3c,
	0xe5, 0x9e,
	0xe1, 0x9e
};


// Tile tSet_tSet16v0_257: 4x4 pixels, 2x4 bytes.
__at(0x9408) const u8 tSet_tSet16v0_257f[2 * 4] = {
	0x78, 0xb4,
	0xf0, 0x3c,
	0xe5, 0x9e,
	0xe1, 0x9e
};

// Tile tSet_tSet16v0_258: 4x4 pixels, 2x4 bytes.
__at(0x9400+0x10) const u8 tSet_tSet16v0_258f[2 * 4] = {
	0x78, 0xb4,
	0xf0, 0x3c,
	0xe5, 0x9e,
	0xe1, 0x9e
};

// Tile tSet_tSet16v0_259: 4x4 pixels, 2x4 bytes.
__at(0x9418) const u8 tSet_tSet16v0_259f[2 * 4] = {
	0x50, 0xb4,
	0x3c, 0xf0,
	0x6d, 0xda,
	0x69, 0xda
};

// Tile tSet_tSet16v0_260: 4x4 pixels, 2x4 bytes.
__at(0x9410+0x10) const u8 tSet_tSet16v0_260f[2 * 4] = {
	0x78, 0xb4,
	0x3c, 0xf0,
	0x6d, 0xda,
	0x69, 0xda
};

// Tile tSet_tSet16v0_261: 4x4 pixels, 2x4 bytes.
__at(0x9428) const u8 tSet_tSet16v0_261f[2 * 4] = {
	0x50, 0xa0,
	0x3c, 0xf0,
	0x6d, 0xda,
	0x69, 0xda
};

// Tile tSet_tSet16v0_262: 4x4 pixels, 2x4 bytes.
__at(0x9430) const u8 tSet_tSet16v0_262f[2 * 4] = {
	0xdc, 0xdc,
	0xd9, 0xec,
	0xdd, 0xf6,
	0xcc, 0xec
};

// Tile tSet_tSet16v0_263: 4x4 pixels, 2x4 bytes.
__at(0x9438) const u8 tSet_tSet16v0_263f[2 * 4] = {
	0xdc, 0xdc,
	0xd9, 0xec,
	0xdc, 0xcc,
	0xec, 0xec
};

// Tile tSet_tSet16v0_264: 4x4 pixels, 2x4 bytes.
__at(0x9430+0x10) const u8 tSet_tSet16v0_264f[2 * 4] = {
	0xc0, 0xc0,
	0x94, 0x3c,
	0xc0, 0x3c,
	0xc8, 0xc0
};

// Tile tSet_tSet16v0_265: 4x4 pixels, 2x4 bytes.
__at(0x9448) const u8 tSet_tSet16v0_265f[2 * 4] = {
	0xc0, 0xc0,
	0xf0, 0xe0,
	0x78, 0xc0,
	0xc0, 0x80
};

// Tile tSet_tSet16v0_266: 4x4 pixels, 2x4 bytes.
__at(0x9440+0x10) const u8 tSet_tSet16v0_266f[2 * 4] = {
	0xc0, 0xc0,
	0xc1, 0xc3,
	0xc0, 0xc3,
	0x40, 0xc0
};

// Tile tSet_tSet16v0_267: 4x4 pixels, 2x4 bytes.
__at(0x9458) const u8 tSet_tSet16v0_267f[2 * 4] = {
	0xc0, 0xc0,
	0x0c, 0x48,
	0x86, 0xc0,
	0xc0, 0x80
};

// Tile tSet_tSet16v0_268: 4x4 pixels, 2x4 bytes.
__at(0x9450+0x10) const u8 tSet_tSet16v0_268f[2 * 4] = {
	0xc0, 0xc0,
	0xc5, 0xcf,
	0xc0, 0xcf,
	0x40, 0xc0
};

// Tile tSet_tSet16v0_269: 4x4 pixels, 2x4 bytes.
__at(0x9468) const u8 tSet_tSet16v0_269f[2 * 4] = {
	0xc0, 0xc0,
	0x30, 0x60,
	0x9a, 0xc0,
	0xc0, 0x80
};

// Tile tSet_tSet16v0_270: 4x4 pixels, 2x4 bytes.
__at(0x9460+0x10) const u8 tSet_tSet16v0_270f[2 * 4] = {
	0xc0, 0xc0,
	0xd1, 0xf3,
	0xc0, 0xf3,
	0x40, 0xc0
};

// Tile tSet_tSet16v0_271: 4x4 pixels, 2x4 bytes.
__at(0x9478) const u8 tSet_tSet16v0_271f[2 * 4] = {
	0xc0, 0xc0,
	0xfc, 0xe8,
	0xf6, 0xc0,
	0xc0, 0x80
};

// Tile tSet_tSet16v0_272: 4x4 pixels, 2x4 bytes.
__at(0x9470+0x10) const u8 tSet_tSet16v0_272f[2 * 4] = {
	0xe1, 0x9e,
	0xe5, 0x9e,
	0xf0, 0x3c,
	0x50, 0x3c
};

// Tile tSet_tSet16v0_273: 4x4 pixels, 2x4 bytes.
__at(0x9488) const u8 tSet_tSet16v0_273f[2 * 4] = {
	0xe1, 0x9e,
	0xe5, 0x9e,
	0xf0, 0x3c,
	0x78, 0x3c
};

// Tile tSet_tSet16v0_274: 4x4 pixels, 2x4 bytes.
__at(0x9480+0x10) const u8 tSet_tSet16v0_274f[2 * 4] = {
	0xe1, 0x9e,
	0xe5, 0x9e,
	0xf0, 0x3c,
	0x78, 0x3c
};

// Tile tSet_tSet16v0_275: 4x4 pixels, 2x4 bytes.
__at(0x9498) const u8 tSet_tSet16v0_275f[2 * 4] = {
	0x69, 0xda,
	0x6d, 0xda,
	0x3c, 0xf0,
	0x3c, 0xb4
};

// Tile tSet_tSet16v0_276: 4x4 pixels, 2x4 bytes.
__at(0x9490+0x10) const u8 tSet_tSet16v0_276f[2 * 4] = {
	0x69, 0xda,
	0x6d, 0xda,
	0x3c, 0xf0,
	0x3c, 0xb4
};

// Tile tSet_tSet16v0_277: 4x4 pixels, 2x4 bytes.
__at(0x94A8) const u8 tSet_tSet16v0_277f[2 * 4] = {
	0x69, 0xda,
	0x6d, 0xda,
	0x3c, 0xf0,
	0x3c, 0xa0
};

// Tile tSet_tSet16v0_278: 4x4 pixels, 2x4 bytes.
__at(0x94A0+0x10) const u8 tSet_tSet16v0_278f[2 * 4] = {
	0xec, 0xdc,
	0xcc, 0x6e,
	0xec, 0xf6,
	0xdd, 0xec
};

// Tile tSet_tSet16v0_279: 4x4 pixels, 2x4 bytes.
__at(0x94B8) const u8 tSet_tSet16v0_279f[2 * 4] = {
	0xdc, 0xcc,
	0xbd, 0xdc,
	0xdc, 0xcc,
	0x7b, 0xec
};

// Tile tSet_tSet16v0_280: 4x4 pixels, 2x4 bytes.
__at(0x94B0+0x10) const u8 tSet_tSet16v0_280f[2 * 4] = {
	0x94, 0x3c,
	0xc4, 0x9c,
	0xcd, 0xce,
	0xcd, 0x3c
};

// Tile tSet_tSet16v0_281: 4x4 pixels, 2x4 bytes.
__at(0x94C8) const u8 tSet_tSet16v0_281f[2 * 4] = {
	0xf0, 0xe0,
	0x6c, 0xc8,
	0x9c, 0x6c,
	0x3c, 0x6c
};

// Tile tSet_tSet16v0_282: 4x4 pixels, 2x4 bytes.
__at(0x94C0+0x10) const u8 tSet_tSet16v0_282f[2 * 4] = {
	0xc1, 0xc3,
	0xc1, 0xc2,
	0xc1, 0x91,
	0xc0, 0x62
};

// Tile tSet_tSet16v0_283: 4x4 pixels, 2x4 bytes.
__at(0x94D8) const u8 tSet_tSet16v0_283f[2 * 4] = {
	0x0c, 0x48,
	0x86, 0x48,
	0x84, 0x91,
	0x62, 0x62
};

// Tile tSet_tSet16v0_284: 4x4 pixels, 2x4 bytes.
__at(0x94D0+0x10) const u8 tSet_tSet16v0_284f[2 * 4] = {
	0xc5, 0xcf,
	0xc5, 0xcf,
	0xe0, 0xcf,
	0x70, 0xc5
};

// Tile tSet_tSet16v0_285: 4x4 pixels, 2x4 bytes.
__at(0x94E8) const u8 tSet_tSet16v0_285f[2 * 4] = {
	0x30, 0x60,
	0x9a, 0x60,
	0x9a, 0x60,
	0x9a, 0xd0
};

// Tile tSet_tSet16v0_286: 4x4 pixels, 2x4 bytes.
__at(0x94E0+0x10) const u8 tSet_tSet16v0_286f[2 * 4] = {
	0xd1, 0x95,
	0xc0, 0x3b,
	0x95, 0x62,
	0x95, 0x62
};

// Tile tSet_tSet16v0_287: 4x4 pixels, 2x4 bytes.
__at(0x94F8) const u8 tSet_tSet16v0_287f[2 * 4] = {
	0x6a, 0xe8,
	0x37, 0xc0,
	0x91, 0x6a,
	0x91, 0x6a
};

// Tile tSet_tSet16v0_288: 4x4 pixels, 2x4 bytes.
__at(0x94F0+0x10) const u8 tSet_tSet16v0_288f[2 * 4] = {
	0xf0, 0x3c,
	0xb4, 0x3c,
	0xe5, 0x9e,
	0xe1, 0x9e
};

// Tile tSet_tSet16v0_289: 4x4 pixels, 2x4 bytes.
__at(0x9508) const u8 tSet_tSet16v0_289f[2 * 4] = {
	0x78, 0x3c,
	0xf0, 0x3c,
	0xe5, 0x9e,
	0xe1, 0x9e
};

// Tile tSet_tSet16v0_290: 4x4 pixels, 2x4 bytes.
__at(0x9500+0x10) const u8 tSet_tSet16v0_290f[2 * 4] = {
	0x78, 0x3c,
	0xf0, 0x3c,
	0xe5, 0x9e,
	0xe1, 0x9e
};

// Tile tSet_tSet16v0_291: 4x4 pixels, 2x4 bytes.
__at(0x9518) const u8 tSet_tSet16v0_291f[2 * 4] = {
	0x3c, 0xb4,
	0x3c, 0xf0,
	0x6d, 0xda,
	0x69, 0xda
};

// Tile tSet_tSet16v0_292: 4x4 pixels, 2x4 bytes.
__at(0x9510+0x10) const u8 tSet_tSet16v0_292f[2 * 4] = {
	0x3c, 0xb4,
	0x3c, 0xf0,
	0x6d, 0xda,
	0x69, 0xda
};

// Tile tSet_tSet16v0_293: 4x4 pixels, 2x4 bytes.
__at(0x9528) const u8 tSet_tSet16v0_293f[2 * 4] = {
	0x3c, 0xa0,
	0x3c, 0xf0,
	0x6d, 0xda,
	0x69, 0xda
};

// Tile tSet_tSet16v0_294: 4x4 pixels, 2x4 bytes.
__at(0x9520+0x10) const u8 tSet_tSet16v0_294f[2 * 4] = {
	0xcc, 0xf6,
	0xcc, 0xec,
	0xdc, 0xdd,
	0x9d, 0xec
};

// Tile tSet_tSet16v0_295: 4x4 pixels, 2x4 bytes.
__at(0x9538) const u8 tSet_tSet16v0_295f[2 * 4] = {
	0xdc, 0xcc,
	0xec, 0xec,
	0xdc, 0xee,
	0xec, 0xec
};

// Tile tSet_tSet16v0_296: 4x4 pixels, 2x4 bytes.
__at(0x9530+0x10) const u8 tSet_tSet16v0_296f[2 * 4] = {
	0x9c, 0x3c,
	0xc4, 0x3c,
	0x94, 0x9c,
	0xc0, 0x6c
};

// Tile tSet_tSet16v0_297: 4x4 pixels, 2x4 bytes.
__at(0x9548) const u8 tSet_tSet16v0_297f[2 * 4] = {
	0x3c, 0x6c,
	0x3c, 0xc8,
	0x6c, 0xe0,
	0xd8, 0xc0
};

// Tile tSet_tSet16v0_298: 4x4 pixels, 2x4 bytes.
__at(0x9540+0x10) const u8 tSet_tSet16v0_298f[2 * 4] = {
	0xc0, 0x62,
	0x91, 0xc1,
	0xc0, 0xc3,
	0xc0, 0xc3
};

// Tile tSet_tSet16v0_299: 4x4 pixels, 2x4 bytes.
__at(0x9558) const u8 tSet_tSet16v0_299f[2 * 4] = {
	0x62, 0x62,
	0x91, 0xc0,
	0xc2, 0x48,
	0x0c, 0xc0
};

// Tile tSet_tSet16v0_300: 4x4 pixels, 2x4 bytes.
__at(0x9550+0x10) const u8 tSet_tSet16v0_300f[2 * 4] = {
	0x90, 0xe0,
	0xc0, 0x70,
	0xc5, 0x90,
	0xc0, 0xca
};

// Tile tSet_tSet16v0_301: 4x4 pixels, 2x4 bytes.
__at(0x9568) const u8 tSet_tSet16v0_301f[2 * 4] = {
	0xca, 0xb0,
	0xd0, 0x60,
	0xb0, 0xc0,
	0x60, 0x60
};

// Tile tSet_tSet16v0_302: 4x4 pixels, 2x4 bytes.
__at(0x9560+0x10) const u8 tSet_tSet16v0_302f[2 * 4] = {
	0x3b, 0xd1,
	0x3b, 0xd1,
	0x3b, 0xd1,
	0xc0, 0xf3
};

// Tile tSet_tSet16v0_303: 4x4 pixels, 2x4 bytes.
__at(0x9578) const u8 tSet_tSet16v0_303f[2 * 4] = {
	0xe2, 0x37,
	0xe2, 0x37,
	0xe2, 0x37,
	0xfc, 0xc0
};

// Tile tSet_tSet16v0_304: 4x4 pixels, 2x4 bytes.
__at(0x9570+0x10) const u8 tSet_tSet16v0_304f[2 * 4] = {
	0xe1, 0x9e,
	0xe5, 0x9e,
	0xf0, 0x3c,
	0x50, 0xa0
};

// Tile tSet_tSet16v0_305: 4x4 pixels, 2x4 bytes.
__at(0x9588) const u8 tSet_tSet16v0_305f[2 * 4] = {
	0xe1, 0x9e,
	0xe5, 0x9e,
	0xf0, 0x3c,
	0x78, 0xa0
};

// Tile tSet_tSet16v0_306: 4x4 pixels, 2x4 bytes.
__at(0x9580+0x10) const u8 tSet_tSet16v0_306f[2 * 4] = {
	0xe1, 0x9e,
	0xe5, 0x9e,
	0xf0, 0x3c,
	0x78, 0x3c
};

// Tile tSet_tSet16v0_307: 4x4 pixels, 2x4 bytes.
__at(0x9598) const u8 tSet_tSet16v0_307f[2 * 4] = {
	0x69, 0xda,
	0x6d, 0xda,
	0x3c, 0xf0,
	0x50, 0xb4
};

// Tile tSet_tSet16v0_308: 4x4 pixels, 2x4 bytes.
__at(0x9590+0x10) const u8 tSet_tSet16v0_308f[2 * 4] = {
	0x69, 0xda,
	0x6d, 0xda,
	0x3c, 0xf0,
	0x78, 0xb4
};

// Tile tSet_tSet16v0_309: 4x4 pixels, 2x4 bytes.
__at(0x95A8) const u8 tSet_tSet16v0_309f[2 * 4] = {
	0x69, 0xda,
	0x6d, 0xda,
	0x3c, 0xf0,
	0x50, 0xa0
};

// Tile tSet_tSet16v0_310: 4x4 pixels, 2x4 bytes.
__at(0x95A0+0x10) const u8 tSet_tSet16v0_310f[2 * 4] = {
	0xdd, 0xdc,
	0xec, 0xbd,
	0xcc, 0xdc,
	0xcc, 0xfd
};

// Tile tSet_tSet16v0_311: 4x4 pixels, 2x4 bytes.
__at(0x95B8) const u8 tSet_tSet16v0_311f[2 * 4] = {
	0xdc, 0xf6,
	0x7b, 0xec,
	0xdc, 0xdc,
	0xe6, 0xec
};

// Tile tSet_tSet16v0_312: 4x4 pixels, 2x4 bytes.
__at(0x95B0+0x10) const u8 tSet_tSet16v0_312f[2 * 4] = {
	0xc8, 0xc0,
	0xc0, 0x3c,
	0x94, 0x3c,
	0xc0, 0xc0
};

// Tile tSet_tSet16v0_313: 4x4 pixels, 2x4 bytes.
__at(0x95C8) const u8 tSet_tSet16v0_313f[2 * 4] = {
	0xc0, 0x80,
	0xf0, 0xc0,
	0x78, 0xe0,
	0xc0, 0xc0
};

// Tile tSet_tSet16v0_314: 4x4 pixels, 2x4 bytes.
__at(0x95C0+0x10) const u8 tSet_tSet16v0_314f[2 * 4] = {
	0x40, 0xc0,
	0xc0, 0xc3,
	0xc1, 0xc3,
	0xc0, 0xc0
};

// Tile tSet_tSet16v0_315: 4x4 pixels, 2x4 bytes.
__at(0x95D8) const u8 tSet_tSet16v0_315f[2 * 4] = {
	0xc0, 0x80,
	0x0c, 0xc0,
	0x86, 0x48,
	0xc0, 0xc0
};

// Tile tSet_tSet16v0_316: 4x4 pixels, 2x4 bytes.
__at(0x95D0+0x10) const u8 tSet_tSet16v0_316f[2 * 4] = {
	0x40, 0xc0,
	0xc0, 0xcf,
	0xc5, 0xcf,
	0xc0, 0xc0
};

// Tile tSet_tSet16v0_317: 4x4 pixels, 2x4 bytes.
__at(0x95E8) const u8 tSet_tSet16v0_317f[2 * 4] = {
	0xc0, 0x80,
	0x30, 0xc0,
	0x9a, 0x60,
	0xc0, 0xc0
};

// Tile tSet_tSet16v0_318: 4x4 pixels, 2x4 bytes.
__at(0x95E0+0x10) const u8 tSet_tSet16v0_318f[2 * 4] = {
	0x40, 0xc0,
	0xc0, 0xf3,
	0xd1, 0xf3,
	0xc0, 0xc0
};

// Tile tSet_tSet16v0_319: 4x4 pixels, 2x4 bytes.
__at(0x95F8) const u8 tSet_tSet16v0_319f[2 * 4] = {
	0xc0, 0x80,
	0xfc, 0xc0,
	0xf6, 0xe8,
	0xc0, 0xc0
};

// Tile tSet_tSet16v0_320: 4x4 pixels, 2x4 bytes.
__at(0x9800) const u8 tSet_tSet16v0_320f[2 * 4] = {
	0x81, 0x81,
	0x03, 0x42,
	0x03, 0xd5,
	0x81, 0x7f
};

// Tile tSet_tSet16v0_321: 4x4 pixels, 2x4 bytes.
__at(0x9808) const u8 tSet_tSet16v0_321f[2 * 4] = {
	0x81, 0xc0,
	0x57, 0x03,
	0x7b, 0xbf,
	0xf3, 0xa3
};

// Tile tSet_tSet16v0_322: 4x4 pixels, 2x4 bytes.
__at(0x9800+0x10) const u8 tSet_tSet16v0_322f[2 * 4] = {
	0x03, 0x81,
	0xbf, 0x17,
	0xf3, 0xfb,
	0xf9, 0xf3
};

// Tile tSet_tSet16v0_323: 4x4 pixels, 2x4 bytes.
__at(0x9818) const u8 tSet_tSet16v0_323f[2 * 4] = {
	0x03, 0x42,
	0x57, 0x03,
	0x7b, 0xbf,
	0xf9, 0xa3
};

// Tile tSet_tSet16v0_324: 4x4 pixels, 2x4 bytes.
__at(0x9810+0x10) const u8 tSet_tSet16v0_324f[2 * 4] = {
	0x81, 0x42,
	0x53, 0x2b,
	0xf7, 0xf7,
	0xf9, 0xf3
};

// Tile tSet_tSet16v0_325: 4x4 pixels, 2x4 bytes.
__at(0x9828) const u8 tSet_tSet16v0_325f[2 * 4] = {
	0x42, 0x42,
	0x03, 0x03,
	0xa3, 0x03,
	0xb7, 0x42
};

// Tile tSet_tSet16v0_326: 4x4 pixels, 2x4 bytes.
__at(0x9820+0x10) const u8 tSet_tSet16v0_326f[2 * 4] = {
	0x81, 0x7b,
	0x03, 0x17,
	0x81, 0xfb,
	0x17, 0xf6
};

// Tile tSet_tSet16v0_327: 4x4 pixels, 2x4 bytes.
__at(0x9838) const u8 tSet_tSet16v0_327f[2 * 4] = {
	0xf6, 0xec,
	0xf3, 0xfc,
	0xfc, 0xec,
	0xfc, 0xfc
};

// Tile tSet_tSet16v0_328: 4x4 pixels, 2x4 bytes.
__at(0x9830+0x10) const u8 tSet_tSet16v0_328f[2 * 4] = {
	0x00, 0x00,
	0x08, 0x44,
	0x0c, 0x88,
	0x4c, 0x44
};

// Tile tSet_tSet16v0_329: 4x4 pixels, 2x4 bytes.
__at(0x9848) const u8 tSet_tSet16v0_329f[2 * 4] = {
	0x48, 0x00,
	0xc8, 0x00,
	0xc8, 0x00,
	0x80, 0x0c
};

// Tile tSet_tSet16v0_330: 4x4 pixels, 2x4 bytes.
__at(0x9840+0x10) const u8 tSet_tSet16v0_330f[2 * 4] = {
	0x00, 0x80,
	0x00, 0xc4,
	0x00, 0xc4,
	0x0c, 0x40
};

// Tile tSet_tSet16v0_331: 4x4 pixels, 2x4 bytes.
__at(0x9858) const u8 tSet_tSet16v0_331f[2 * 4] = {
	0x0c, 0x0c,
	0x8c, 0x00,
	0x44, 0x00,
	0x88, 0x88
};

// Tile tSet_tSet16v0_332: 4x4 pixels, 2x4 bytes.
__at(0x9850+0x10) const u8 tSet_tSet16v0_332f[2 * 4] = {
	0x40, 0x01,
	0x80, 0x06,
	0x01, 0x49,
	0x01, 0x86
};

// Tile tSet_tSet16v0_333: 4x4 pixels, 2x4 bytes.
__at(0x9868) const u8 tSet_tSet16v0_333f[2 * 4] = {
	0x02, 0x80,
	0x01, 0x40,
	0x08, 0x02,
	0x08, 0x02
};

// Tile tSet_tSet16v0_334: 4x4 pixels, 2x4 bytes.
__at(0x9860+0x10) const u8 tSet_tSet16v0_334f[2 * 4] = {
	0x40, 0x80,
	0xc0, 0x04,
	0x80, 0x19,
	0x04, 0x33
};

// Tile tSet_tSet16v0_335: 4x4 pixels, 2x4 bytes.
__at(0x9878) const u8 tSet_tSet16v0_335f[2 * 4] = {
	0x19, 0x77,
	0x33, 0xaa,
	0x77, 0x40,
	0xaa, 0xc0
};

// Tile tSet_tSet16v0_336: 4x4 pixels, 2x4 bytes.
__at(0x9870+0x10) const u8 tSet_tSet16v0_336f[2 * 4] = {
	0x81, 0x7b,
	0x57, 0xf3,
	0x17, 0xf3,
	0x81, 0xfb
};

// Tile tSet_tSet16v0_337: 4x4 pixels, 2x4 bytes.
__at(0x9888) const u8 tSet_tSet16v0_337f[2 * 4] = {
	0xf9, 0xf3,
	0xf9, 0xf3,
	0x53, 0xf3,
	0xf3, 0xf3
};

// Tile tSet_tSet16v0_338: 4x4 pixels, 2x4 bytes.
__at(0x9880+0x10) const u8 tSet_tSet16v0_338f[2 * 4] = {
	0xf3, 0xf9,
	0xf6, 0x03,
	0xf3, 0xf3,
	0xf9, 0xf9
};

// Tile tSet_tSet16v0_339: 4x4 pixels, 2x4 bytes.
__at(0x9898) const u8 tSet_tSet16v0_339f[2 * 4] = {
	0xf3, 0xf3,
	0xf3, 0xf3,
	0xf3, 0xf3,
	0xf9, 0xf9
};

// Tile tSet_tSet16v0_340: 4x4 pixels, 2x4 bytes.
__at(0x9890+0x10) const u8 tSet_tSet16v0_340f[2 * 4] = {
	0xf3, 0xf3,
	0xf9, 0xf6,
	0x56, 0xa9,
	0xf9, 0xf6
};

// Tile tSet_tSet16v0_341: 4x4 pixels, 2x4 bytes.
__at(0x98A8) const u8 tSet_tSet16v0_341f[2 * 4] = {
	0xf3, 0x42,
	0xf3, 0xa3,
	0xf9, 0x03,
	0xf3, 0x42
};

// Tile tSet_tSet16v0_342: 4x4 pixels, 2x4 bytes.
__at(0x98A0+0x10) const u8 tSet_tSet16v0_342f[2 * 4] = {
	0x57, 0xf3,
	0x81, 0x7b,
	0x03, 0xfb,
	0x81, 0x7b
};

// Tile tSet_tSet16v0_343: 4x4 pixels, 2x4 bytes.
__at(0x98B8) const u8 tSet_tSet16v0_343f[2 * 4] = {
	0xf6, 0xec,
	0xfc, 0xfc,
	0xfc, 0xfc,
	0xf6, 0xfc
};

// Tile tSet_tSet16v0_344: 4x4 pixels, 2x4 bytes.
__at(0x98B0+0x10) const u8 tSet_tSet16v0_344f[2 * 4] = {
	0x88, 0xc8,
	0xc8, 0x80,
	0x88, 0x04,
	0x88, 0x04
};

// Tile tSet_tSet16v0_345: 4x4 pixels, 2x4 bytes.
__at(0x98C8) const u8 tSet_tSet16v0_345f[2 * 4] = {
	0x04, 0xcc,
	0x4c, 0x0c,
	0x8c, 0x00,
	0x8c, 0x40
};

// Tile tSet_tSet16v0_346: 4x4 pixels, 2x4 bytes.
__at(0x98C0+0x10) const u8 tSet_tSet16v0_346f[2 * 4] = {
	0xcc, 0x08,
	0x0c, 0x8c,
	0x00, 0x4c,
	0x80, 0x4c
};

// Tile tSet_tSet16v0_347: 4x4 pixels, 2x4 bytes.
__at(0x98D8) const u8 tSet_tSet16v0_347f[2 * 4] = {
	0xc4, 0x44,
	0x40, 0xc4,
	0x08, 0x44,
	0x08, 0x44
};

// Tile tSet_tSet16v0_348: 4x4 pixels, 2x4 bytes.
__at(0x98D0+0x10) const u8 tSet_tSet16v0_348f[2 * 4] = {
	0x01, 0x0c,
	0x01, 0x5d,
	0x80, 0x06,
	0x40, 0x01
};

// Tile tSet_tSet16v0_349: 4x4 pixels, 2x4 bytes.
__at(0x98E8) const u8 tSet_tSet16v0_349f[2 * 4] = {
	0xaa, 0x02,
	0x08, 0x02,
	0x01, 0x40,
	0x02, 0x80
};

// Tile tSet_tSet16v0_350: 4x4 pixels, 2x4 bytes.
__at(0x98E0+0x10) const u8 tSet_tSet16v0_350f[2 * 4] = {
	0x19, 0x77,
	0x33, 0xaa,
	0x77, 0x40,
	0xaa, 0xc0
};

// Tile tSet_tSet16v0_351: 4x4 pixels, 2x4 bytes.
__at(0x98F8) const u8 tSet_tSet16v0_351f[2 * 4] = {
	0x40, 0x80,
	0xc0, 0x04,
	0x80, 0x19,
	0x04, 0x33
};

// Tile tSet_tSet16v0_352: 4x4 pixels, 2x4 bytes.
__at(0x98F0+0x10) const u8 tSet_tSet16v0_352f[2 * 4] = {
	0x03, 0x7b,
	0x81, 0x7b,
	0x57, 0xf3,
	0x03, 0xfb
};

// Tile tSet_tSet16v0_353: 4x4 pixels, 2x4 bytes.
__at(0x9908) const u8 tSet_tSet16v0_353f[2 * 4] = {
	0xf3, 0xf6,
	0xf3, 0xf9,
	0xf6, 0xf6,
	0xf3, 0xfc
};

// Tile tSet_tSet16v0_354: 4x4 pixels, 2x4 bytes.
__at(0x9900+0x10) const u8 tSet_tSet16v0_354f[2 * 4] = {
	0xf6, 0xf6,
	0xf9, 0xa9,
	0xfc, 0x56,
	0xa9, 0xa9
};

// Tile tSet_tSet16v0_355: 4x4 pixels, 2x4 bytes.
__at(0x9918) const u8 tSet_tSet16v0_355f[2 * 4] = {
	0xf6, 0xf6,
	0xf9, 0xfc,
	0x56, 0x56,
	0xa9, 0xfc
};

// Tile tSet_tSet16v0_356: 4x4 pixels, 2x4 bytes.
__at(0x9910+0x10) const u8 tSet_tSet16v0_356f[2 * 4] = {
	0xf3, 0xf3,
	0xf9, 0xf3,
	0xfc, 0xf3,
	0xfc, 0xf3
};

// Tile tSet_tSet16v0_357: 4x4 pixels, 2x4 bytes.
__at(0x9928) const u8 tSet_tSet16v0_357f[2 * 4] = {
	0xf3, 0x03,
	0xf3, 0xa3,
	0xf3, 0x03,
	0xf3, 0xa3
};

// Tile tSet_tSet16v0_358: 4x4 pixels, 2x4 bytes.
__at(0x9920+0x10) const u8 tSet_tSet16v0_358f[2 * 4] = {
	0x81, 0x7b,
	0x03, 0xfb,
	0x17, 0xf3,
	0x57, 0xf3
};

// Tile tSet_tSet16v0_359: 4x4 pixels, 2x4 bytes.
__at(0x9938) const u8 tSet_tSet16v0_359f[2 * 4] = {
	0xfc, 0xec,
	0xfc, 0xfc,
	0xfc, 0xfc,
	0xf6, 0xec
};

// Tile tSet_tSet16v0_360: 4x4 pixels, 2x4 bytes.
__at(0x9930+0x10) const u8 tSet_tSet16v0_360f[2 * 4] = {
	0x88, 0x04,
	0xc8, 0x80,
	0x88, 0xc8,
	0x4c, 0x44
};

// Tile tSet_tSet16v0_361: 4x4 pixels, 2x4 bytes.
__at(0x9948) const u8 tSet_tSet16v0_361f[2 * 4] = {
	0x8c, 0x00,
	0x4c, 0x0c,
	0x04, 0xcc,
	0x80, 0x0c
};

// Tile tSet_tSet16v0_362: 4x4 pixels, 2x4 bytes.
__at(0x9940+0x10) const u8 tSet_tSet16v0_362f[2 * 4] = {
	0x00, 0x4c,
	0x0c, 0x8c,
	0xcc, 0x08,
	0x0c, 0x40
};

// Tile tSet_tSet16v0_363: 4x4 pixels, 2x4 bytes.
__at(0x9958) const u8 tSet_tSet16v0_363f[2 * 4] = {
	0x08, 0x44,
	0x40, 0xc4,
	0xc4, 0x44,
	0x88, 0x88
};

// Tile tSet_tSet16v0_364: 4x4 pixels, 2x4 bytes.
__at(0x9950+0x10) const u8 tSet_tSet16v0_364f[2 * 4] = {
	0x0c, 0x0c,
	0x0c, 0x08,
	0x0c, 0x00,
	0x08, 0x00
};

// Tile tSet_tSet16v0_365: 4x4 pixels, 2x4 bytes.
__at(0x9968) const u8 tSet_tSet16v0_365f[2 * 4] = {
	0x00, 0x00,
	0x08, 0x00,
	0x0c, 0x00,
	0x0c, 0x08
};

// Tile tSet_tSet16v0_366: 4x4 pixels, 2x4 bytes.
__at(0x9960+0x10) const u8 tSet_tSet16v0_366f[2 * 4] = {
	0x40, 0x80,
	0xc0, 0x04,
	0x80, 0x19,
	0x04, 0x33
};

// Tile tSet_tSet16v0_367: 4x4 pixels, 2x4 bytes.
__at(0x9978) const u8 tSet_tSet16v0_367f[2 * 4] = {
	0x19, 0x77,
	0x33, 0xaa,
	0x77, 0x40,
	0xaa, 0xc0
};

// Tile tSet_tSet16v0_368: 4x4 pixels, 2x4 bytes.
__at(0x9970+0x10) const u8 tSet_tSet16v0_368f[2 * 4] = {
	0x81, 0x7b,
	0x17, 0xf3,
	0x57, 0xf3,
	0x81, 0xf3
};

// Tile tSet_tSet16v0_369: 4x4 pixels, 2x4 bytes.
__at(0x9988) const u8 tSet_tSet16v0_369f[2 * 4] = {
	0xf6, 0xf6,
	0xf3, 0xf9,
	0xf6, 0xf6,
	0xf3, 0xec
};

// Tile tSet_tSet16v0_370: 4x4 pixels, 2x4 bytes.
__at(0x9980+0x10) const u8 tSet_tSet16v0_370f[2 * 4] = {
	0x56, 0x56,
	0xa9, 0xfc,
	0xec, 0xec,
	0xcc, 0xcc
};

// Tile tSet_tSet16v0_371: 4x4 pixels, 2x4 bytes.
__at(0x9998) const u8 tSet_tSet16v0_371f[2 * 4] = {
	0x56, 0x56,
	0xa9, 0xfc,
	0xec, 0xec,
	0xcc, 0xcc
};

// Tile tSet_tSet16v0_372: 4x4 pixels, 2x4 bytes.
__at(0x9990+0x10) const u8 tSet_tSet16v0_372f[2 * 4] = {
	0xfc, 0xf9,
	0xfc, 0xf3,
	0xfc, 0xf9,
	0xdc, 0xf9
};

// Tile tSet_tSet16v0_373: 4x4 pixels, 2x4 bytes.
__at(0x99A8) const u8 tSet_tSet16v0_373f[2 * 4] = {
	0xf3, 0xa3,
	0xf3, 0x03,
	0xf3, 0x42,
	0xf3, 0x03
};

// Tile tSet_tSet16v0_374: 4x4 pixels, 2x4 bytes.
__at(0x99A0+0x10) const u8 tSet_tSet16v0_374f[2 * 4] = {
	0x81, 0xf3,
	0x57, 0xf3,
	0x81, 0xf3,
	0x17, 0xf3
};

// Tile tSet_tSet16v0_375: 4x4 pixels, 2x4 bytes.
__at(0x99B8) const u8 tSet_tSet16v0_375f[2 * 4] = {
	0xf3, 0xfc,
	0xfc, 0xec,
	0xf6, 0xfc,
	0xfc, 0xec
};

// Tile tSet_tSet16v0_376: 4x4 pixels, 2x4 bytes.
__at(0x99B0+0x10) const u8 tSet_tSet16v0_376f[2 * 4] = {
	0x4c, 0x80,
	0x0c, 0xc8,
	0x0c, 0x44,
	0x08, 0x00
};

// Tile tSet_tSet16v0_377: 4x4 pixels, 2x4 bytes.
__at(0x99C8) const u8 tSet_tSet16v0_377f[2 * 4] = {
	0xc8, 0x00,
	0x40, 0x00,
	0xc8, 0x00,
	0x48, 0x00
};

// Tile tSet_tSet16v0_378: 4x4 pixels, 2x4 bytes.
__at(0x99C0+0x10) const u8 tSet_tSet16v0_378f[2 * 4] = {
	0x00, 0xc4,
	0x00, 0x80,
	0x00, 0xc4,
	0x00, 0x80
};

// Tile tSet_tSet16v0_379: 4x4 pixels, 2x4 bytes.
__at(0x99D8) const u8 tSet_tSet16v0_379f[2 * 4] = {
	0x40, 0x88,
	0xc4, 0x00,
	0x8c, 0x00,
	0x0c, 0x08
};

// Tile tSet_tSet16v0_380: 4x4 pixels, 2x4 bytes.
__at(0x99D0+0x10) const u8 tSet_tSet16v0_380f[2 * 4] = {
	0x00, 0x00,
	0x00, 0x00,
	0x00, 0x00,
	0x00, 0x00
};

// Tile tSet_tSet16v0_381: 4x4 pixels, 2x4 bytes.
__at(0x99E8) const u8 tSet_tSet16v0_381f[2 * 4] = {
	0xcf, 0xcf,
	0xcf, 0xcf,
	0xcf, 0xcf,
	0xcf, 0xcf
};

// Tile tSet_tSet16v0_382: 4x4 pixels, 2x4 bytes.
__at(0x99E0+0x10) const u8 tSet_tSet16v0_382f[2 * 4] = {
	0x19, 0x77,
	0x33, 0xaa,
	0x77, 0x40,
	0xaa, 0xc0
};

// Tile tSet_tSet16v0_383: 4x4 pixels, 2x4 bytes.
__at(0x99F8) const u8 tSet_tSet16v0_383f[2 * 4] = {
	0x40, 0x80,
	0xc0, 0x04,
	0x80, 0x19,
	0x04, 0x33
};

//9E


// Tile tSet_tSet16v0_384: 4x4 pixels, 2x4 bytes.
__at(0x9E00) const u8 tSet_tSet16v0_384[2 * 4] = {
	0x57, 0xf3,
	0x57, 0xf3,
	0x81, 0x7b,
	0x81, 0xfb
};

//9E

// Tile tSet_tSet16v0_385: 4x4 pixels, 2x4 bytes.
__at(0x9E08) const u8 tSet_tSet16v0_385[2 * 4] = {
	0xf6, 0xe6,
	0xf3, 0xfc,
	0xf6, 0xf9,
	0xf9, 0xf6
};

// Tile tSet_tSet16v0_386: 4x4 pixels, 2x4 bytes.
__at(0x9E10) const u8 tSet_tSet16v0_386[2 * 4] = {
	0xcc, 0xcc,
	0xdc, 0xdc,
	0xec, 0xec,
	0xfc, 0xfc
};

// Tile tSet_tSet16v0_387: 4x4 pixels, 2x4 bytes.
__at(0x9E18) const u8 tSet_tSet16v0_387[2 * 4] = {
	0xcc, 0xcc,
	0xdc, 0xdc,
	0xec, 0xec,
	0xfc, 0xfc
};

// Tile tSet_tSet16v0_388: 4x4 pixels, 2x4 bytes.
__at(0x9E20) const u8 tSet_tSet16v0_388[2 * 4] = {
	0xdc, 0xfc,
	0xfc, 0xfc,
	0xfc, 0xfc,
	0xfc, 0xf9
};

// Tile tSet_tSet16v0_389: 4x4 pixels, 2x4 bytes.
__at(0x9E28) const u8 tSet_tSet16v0_389[2 * 4] = {
	0xf3, 0xa3,
	0xf3, 0x42,
	0xf3, 0xa3,
	0xf3, 0x42
};

// Tile tSet_tSet16v0_390: 4x4 pixels, 2x4 bytes.
__at(0x9E30) const u8 tSet_tSet16v0_390[2 * 4] = {
	0xdc, 0xfc,
	0xfc, 0xf9,
	0xdc, 0xfc,
	0xdc, 0xf9
};

// Tile tSet_tSet16v0_391: 4x4 pixels, 2x4 bytes.
__at(0x9E38) const u8 tSet_tSet16v0_391[2 * 4] = {
	0xf3, 0xa3,
	0xf3, 0x42,
	0xf3, 0xa3,
	0xf3, 0x42
};

// Tile tSet_tSet16v0_392: 4x4 pixels, 2x4 bytes.
__at(0x9E40) const u8 tSet_tSet16v0_392[2 * 4] = {
	0x00, 0x00,
	0x08, 0x15,
	0x0c, 0x7e,
	0x1d, 0xb9
};

// Tile tSet_tSet16v0_393: 4x4 pixels, 2x4 bytes.
__at(0x9E48) const u8 tSet_tSet16v0_393[2 * 4] = {
	0x48, 0xfc,
	0x6a, 0xfc,
	0x62, 0xfc,
	0xd4, 0xf3
};

// Tile tSet_tSet16v0_394: 4x4 pixels, 2x4 bytes.
__at(0x9E50) const u8 tSet_tSet16v0_394[2 * 4] = {
	0xfc, 0x80,
	0xfc, 0x95,
	0xfc, 0x91,
	0xf3, 0xe8
};

// Tile tSet_tSet16v0_395: 4x4 pixels, 2x4 bytes.
__at(0x9E58) const u8 tSet_tSet16v0_395[2 * 4] = {
	0x0c, 0x0c,
	0x2e, 0x00,
	0xbd, 0x00,
	0x76, 0x2a
};

// Tile tSet_tSet16v0_396: 4x4 pixels, 2x4 bytes.
__at(0x9E60) const u8 tSet_tSet16v0_396[2 * 4] = {
	0x8a, 0x8a,
	0x45, 0xcf,
	0xcf, 0xcf,
	0xcf, 0xcf
};

// Tile tSet_tSet16v0_397: 4x4 pixels, 2x4 bytes.
__at(0x9E68) const u8 tSet_tSet16v0_397[2 * 4] = {
	0x45, 0xcf,
	0x8a, 0x8a,
	0x45, 0x45,
	0x8a, 0x00
};

// Tile tSet_tSet16v0_398: 4x4 pixels, 2x4 bytes.
__at(0x9E70) const u8 tSet_tSet16v0_398[2 * 4] = {
	0x00, 0x00,
	0x00, 0x00,
	0x8a, 0x00,
	0x45, 0x45
};

// Tile tSet_tSet16v0_399: 4x4 pixels, 2x4 bytes.
__at(0x9E78) const u8 tSet_tSet16v0_399[2 * 4] = {
	0x4c, 0x8c,
	0xcc, 0x0c,
	0x8c, 0x4c,
	0x0c, 0xcc
};

// Tile tSet_tSet16v0_400: 4x4 pixels, 2x4 bytes.
__at(0x9E80) const u8 tSet_tSet16v0_400[2 * 4] = {
	0x57, 0xf3,
	0x81, 0x7b,
	0x81, 0xfb,
	0x03, 0x57
};

// Tile tSet_tSet16v0_401: 4x4 pixels, 2x4 bytes.
__at(0x9E88) const u8 tSet_tSet16v0_401[2 * 4] = {
	0xf3, 0xfc,
	0xf6, 0xf6,
	0xf3, 0xf9,
	0xf9, 0xf6
};

// Tile tSet_tSet16v0_402: 4x4 pixels, 2x4 bytes.
__at(0x9E90) const u8 tSet_tSet16v0_402[2 * 4] = {
	0xfc, 0xfc,
	0xfc, 0xa9,
	0xfc, 0x56,
	0xfc, 0xa9
};

// Tile tSet_tSet16v0_403: 4x4 pixels, 2x4 bytes.
__at(0x9E98) const u8 tSet_tSet16v0_403[2 * 4] = {
	0xfc, 0xfc,
	0xa9, 0xfc,
	0x56, 0x56,
	0xa9, 0xfc
};

// Tile tSet_tSet16v0_404: 4x4 pixels, 2x4 bytes.
__at(0x9EA0) const u8 tSet_tSet16v0_404[2 * 4] = {
	0xfc, 0xfc,
	0xfc, 0xf9,
	0xfc, 0xfc,
	0xfc, 0xf9
};

// Tile tSet_tSet16v0_405: 4x4 pixels, 2x4 bytes.
__at(0x9EA8) const u8 tSet_tSet16v0_405[2 * 4] = {
	0xf3, 0xa3,
	0xf3, 0xa3,
	0xf3, 0x03,
	0xf3, 0x42
};

// Tile tSet_tSet16v0_406: 4x4 pixels, 2x4 bytes.
__at(0x9EB0) const u8 tSet_tSet16v0_406[2 * 4] = {
	0xfc, 0xf9,
	0xdc, 0xfc,
	0xdc, 0xfc,
	0xfc, 0xfc
};

// Tile tSet_tSet16v0_407: 4x4 pixels, 2x4 bytes.
__at(0x9EB8) const u8 tSet_tSet16v0_407[2 * 4] = {
	0xf3, 0xa3,
	0xf3, 0xa3,
	0xf9, 0x03,
	0xf3, 0x42
};

// Tile tSet_tSet16v0_408: 4x4 pixels, 2x4 bytes.
__at(0x9EC0) const u8 tSet_tSet16v0_408[2 * 4] = {
	0x7e, 0x62,
	0x6a, 0xd4,
	0x7e, 0xf9,
	0x7e, 0xf9
};

// Tile tSet_tSet16v0_409: 4x4 pixels, 2x4 bytes.
__at(0x9EC8) const u8 tSet_tSet16v0_409[2 * 4] = {
	0xf9, 0x33,
	0xb3, 0xf3,
	0x73, 0x00,
	0x73, 0x40
};

// Tile tSet_tSet16v0_410: 4x4 pixels, 2x4 bytes.
__at(0x9ED0) const u8 tSet_tSet16v0_410[2 * 4] = {
	0x33, 0xf6,
	0xf3, 0x73,
	0x00, 0xb3,
	0x80, 0xb3
};

// Tile tSet_tSet16v0_411: 4x4 pixels, 2x4 bytes.
__at(0x9ED8) const u8 tSet_tSet16v0_411[2 * 4] = {
	0x91, 0xbd,
	0xe8, 0x95,
	0xf6, 0xbd,
	0xf6, 0xbd
};

// Tile tSet_tSet16v0_412: 4x4 pixels, 2x4 bytes.
__at(0x9EE0) const u8 tSet_tSet16v0_412[2 * 4] = {
	0xc0, 0xc1,
	0xc0, 0x97,
	0xc1, 0x7f,
	0x97, 0xbf
};

// Tile tSet_tSet16v0_413: 4x4 pixels, 2x4 bytes.
__at(0x9EE8) const u8 tSet_tSet16v0_413[2 * 4] = {
	0xea, 0xc0,
	0x7f, 0xc0,
	0xbf, 0xea,
	0x7f, 0x7f
};

// Tile tSet_tSet16v0_414: 4x4 pixels, 2x4 bytes.
__at(0x9EF0) const u8 tSet_tSet16v0_414[2 * 4] = {
	0xc0, 0x95,
	0xc0, 0x7f,
	0x95, 0xbf,
	0x7f, 0x7f
};

// Tile tSet_tSet16v0_415: 4x4 pixels, 2x4 bytes.
__at(0x9EF8) const u8 tSet_tSet16v0_415[2 * 4] = {
	0xc2, 0xc0,
	0x97, 0xc0,
	0xd7, 0x6a,
	0x97, 0xbf
};

// Tile tSet_tSet16v0_416: 4x4 pixels, 2x4 bytes.
__at(0x9F00) const u8 tSet_tSet16v0_416[2 * 4] = {
	0x03, 0x17,
	0x81, 0x57,
	0x03, 0x81,
	0x81, 0x03
};

// Tile tSet_tSet16v0_417: 4x4 pixels, 2x4 bytes.
__at(0x9F08) const u8 tSet_tSet16v0_417[2 * 4] = {
	0xf9, 0xfc,
	0xf3, 0xf6,
	0xfb, 0xf3,
	0x17, 0xf3
};

// Tile tSet_tSet16v0_418: 4x4 pixels, 2x4 bytes.
__at(0x9F10) const u8 tSet_tSet16v0_418[2 * 4] = {
	0xfc, 0xfc,
	0xfc, 0xf6,
	0xf9, 0xf9,
	0xf3, 0xa3
};

// Tile tSet_tSet16v0_419: 4x4 pixels, 2x4 bytes.
__at(0x9F18) const u8 tSet_tSet16v0_419[2 * 4] = {
	0xfc, 0xfc,
	0xf6, 0xfc,
	0xf3, 0xf9,
	0xf3, 0xf3
};

// Tile tSet_tSet16v0_420: 4x4 pixels, 2x4 bytes.
__at(0x9F20) const u8 tSet_tSet16v0_420[2 * 4] = {
	0xfc, 0xf3,
	0xf9, 0xf3,
	0xf3, 0xa3,
	0xf3, 0x53
};

// Tile tSet_tSet16v0_421: 4x4 pixels, 2x4 bytes.
__at(0x9F28) const u8 tSet_tSet16v0_421[2 * 4] = {
	0xf3, 0x42,
	0xf3, 0x03,
	0xe2, 0x42,
	0xa3, 0x81
};

// Tile tSet_tSet16v0_422: 4x4 pixels, 2x4 bytes.
__at(0x9F30) const u8 tSet_tSet16v0_422[2 * 4] = {
	0xfc, 0xf9,
	0xdc, 0xf9,
	0xfc, 0xfc,
	0xdc, 0xf3
};

// Tile tSet_tSet16v0_423: 4x4 pixels, 2x4 bytes.
__at(0x9F38) const u8 tSet_tSet16v0_423[2 * 4] = {
	0xf3, 0x42,
	0xf3, 0x03,
	0xf3, 0x42,
	0xf3, 0xa3
};

// Tile tSet_tSet16v0_424: 4x4 pixels, 2x4 bytes.
__at(0x9F40) const u8 tSet_tSet16v0_424[2 * 4] = {
	0x7e, 0xf9,
	0x6a, 0xd4,
	0x7e, 0x62,
	0x1d, 0xb9
};

// Tile tSet_tSet16v0_425: 4x4 pixels, 2x4 bytes.
__at(0x9F48) const u8 tSet_tSet16v0_425[2 * 4] = {
	0x73, 0x00,
	0xb3, 0xf3,
	0xf9, 0x33,
	0xd4, 0xf3
};

// Tile tSet_tSet16v0_426: 4x4 pixels, 2x4 bytes.
__at(0x9F50) const u8 tSet_tSet16v0_426[2 * 4] = {
	0x00, 0xb3,
	0xf3, 0x73,
	0x33, 0xf6,
	0xf3, 0xe8
};

// Tile tSet_tSet16v0_427: 4x4 pixels, 2x4 bytes.
__at(0x9F58) const u8 tSet_tSet16v0_427[2 * 4] = {
	0xf6, 0xbd,
	0xe8, 0x95,
	0x91, 0xbd,
	0x76, 0x2a
};

// Tile tSet_tSet16v0_428: 4x4 pixels, 2x4 bytes.
__at(0x9F60) const u8 tSet_tSet16v0_428[2 * 4] = {
	0x97, 0xbf,
	0xc1, 0x7f,
	0xc0, 0x97,
	0xc0, 0xc1
};

// Tile tSet_tSet16v0_429: 4x4 pixels, 2x4 bytes.
__at(0x9F68) const u8 tSet_tSet16v0_429[2 * 4] = {
	0x7f, 0x7f,
	0xbf, 0xea,
	0x7f, 0xc0,
	0xea, 0xc0
};

// Tile tSet_tSet16v0_430: 4x4 pixels, 2x4 bytes.
__at(0x9F70) const u8 tSet_tSet16v0_430[2 * 4] = {
	0x7f, 0x7f,
	0x95, 0xbf,
	0xc0, 0x7f,
	0xc0, 0x95
};

// Tile tSet_tSet16v0_431: 4x4 pixels, 2x4 bytes.
__at(0x9F78) const u8 tSet_tSet16v0_431[2 * 4] = {
	0x97, 0xbf,
	0xd7, 0x6a,
	0x97, 0xc0,
	0xc2, 0xc0
};

// Tile tSet_tSet16v0_432: 4x4 pixels, 2x4 bytes.
__at(0x9F80) const u8 tSet_tSet16v0_432[2 * 4] = {
	0x42, 0x42,
	0x81, 0x03,
	0x03, 0x81,
	0x81, 0x42
};

// Tile tSet_tSet16v0_433: 4x4 pixels, 2x4 bytes.
__at(0x9F88) const u8 tSet_tSet16v0_433[2 * 4] = {
	0x42, 0x7b,
	0x03, 0x57,
	0x03, 0x03,
	0x42, 0x42
};

// Tile tSet_tSet16v0_434: 4x4 pixels, 2x4 bytes.
__at(0x9F90) const u8 tSet_tSet16v0_434[2 * 4] = {
	0xf6, 0x56,
	0xf3, 0xf9,
	0x53, 0xa3,
	0x81, 0x42
};

// Tile tSet_tSet16v0_435: 4x4 pixels, 2x4 bytes.
__at(0x9F98) const u8 tSet_tSet16v0_435[2 * 4] = {
	0x53, 0xf3,
	0xf9, 0xf3,
	0x03, 0xf3,
	0x42, 0x03
};

// Tile tSet_tSet16v0_436: 4x4 pixels, 2x4 bytes.
__at(0x9FA0) const u8 tSet_tSet16v0_436[2 * 4] = {
	0xf3, 0xf3,
	0xf3, 0xa3,
	0x53, 0x42,
	0x81, 0x03
};

// Tile tSet_tSet16v0_437: 4x4 pixels, 2x4 bytes.
__at(0x9FA8) const u8 tSet_tSet16v0_437[2 * 4] = {
	0x42, 0x42,
	0x03, 0x42,
	0x03, 0x03,
	0x81, 0x42
};

// Tile tSet_tSet16v0_438: 4x4 pixels, 2x4 bytes.
__at(0x9FB0) const u8 tSet_tSet16v0_438[2 * 4] = {
	0xdc, 0xf9,
	0xdc, 0xf9,
	0xd9, 0xf3,
	0xfc, 0xf9
};

// Tile tSet_tSet16v0_439: 4x4 pixels, 2x4 bytes.
__at(0x9FB8) const u8 tSet_tSet16v0_439[2 * 4] = {
	0xf3, 0xa3,
	0xf3, 0x42,
	0xa3, 0x03,
	0xf3, 0x42
};

// Tile tSet_tSet16v0_440: 4x4 pixels, 2x4 bytes.
__at(0x9FC0) const u8 tSet_tSet16v0_440[2 * 4] = {
	0x1d, 0xd4,
	0x0c, 0x6a,
	0x0c, 0x15,
	0x08, 0x00
};

// Tile tSet_tSet16v0_441: 4x4 pixels, 2x4 bytes.
__at(0x9FC8) const u8 tSet_tSet16v0_441[2 * 4] = {
	0x62, 0xfc,
	0xe8, 0xfc,
	0x6a, 0xfc,
	0x48, 0xfc
};

// Tile tSet_tSet16v0_442: 4x4 pixels, 2x4 bytes.
__at(0x9FD0) const u8 tSet_tSet16v0_442[2 * 4] = {
	0xfc, 0x91,
	0xfc, 0xd4,
	0xfc, 0x95,
	0xfc, 0x80
};

// Tile tSet_tSet16v0_443: 4x4 pixels, 2x4 bytes.
__at(0x9FD8) const u8 tSet_tSet16v0_443[2 * 4] = {
	0xe8, 0x2a,
	0x95, 0x00,
	0x2e, 0x00,
	0x0c, 0x08
};

// Tile tSet_tSet16v0_444: 4x4 pixels, 2x4 bytes.
__at(0x9FE0) const u8 tSet_tSet16v0_444[2 * 4] = {
	0xc0, 0xc0,
	0xc0, 0xc0,
	0xc0, 0xc0,
	0xc0, 0xc0
};

// Tile tSet_tSet16v0_445: 4x4 pixels, 2x4 bytes.
__at(0x9FE8) const u8 tSet_tSet16v0_445[2 * 4] = {
	0x00, 0x00,
	0x00, 0x00,
	0x00, 0x00,
	0x00, 0x00
};

// Tile tSet_tSet16v0_446: 4x4 pixels, 2x4 bytes.
__at(0x9FF0) const u8 tSet_tSet16v0_446[2 * 4] = {
	0x97, 0xbf,
	0x97, 0x7f,
	0x97, 0x3f,
	0xd7, 0x3f
};

// Tile tSet_tSet16v0_447: 4x4 pixels, 2x4 bytes.
__at(0x9FF8) const u8 tSet_tSet16v0_447[2 * 4] = {
	0x3f, 0xbf,
	0x3f, 0x7f,
	0xbf, 0x3f,
	0x7f, 0x3f
};



//0x8E

__at(0x8E00) u8* const num_tileset[12] = { 
	num_nums_00, num_nums_01, num_nums_02, num_nums_03, num_nums_04, num_nums_05, num_nums_06, num_nums_07, num_nums_08, num_nums_09, num_nums_10, num_nums_11
};
// Tile num_nums_00: 4x7 pixels, 2x7 bytes.
__at(0x8E18) const u8 num_nums_00[2 * 7] = {
	0xc0, 0x60,
	0x90, 0x90,
	0x90, 0x90,
	0x90, 0x90,
	0x90, 0x90,
	0x90, 0x90,
	0xc0, 0x60
};

// Tile num_nums_01: 4x7 pixels, 2x7 bytes.
__at(0x8E26) const u8 num_nums_01[2 * 7] = {
	0xc0, 0x60,
	0x90, 0x60,
	0xc0, 0x60,
	0xc0, 0x60,
	0xc0, 0x60,
	0xc0, 0x60,
	0x90, 0x30
};

// Tile num_nums_02: 4x7 pixels, 2x7 bytes.
__at(0x8E34) const u8 num_nums_02[2 * 7] = {
	0xc0, 0x60,
	0x90, 0x90,
	0xc0, 0x90,
	0xc0, 0x90,
	0xc0, 0x60,
	0x90, 0xc0,
	0x90, 0x30
};

// Tile num_nums_03: 4x7 pixels, 2x7 bytes.
__at(0x8E42) const u8 num_nums_03[2 * 7] = {
	0xc0, 0x60,
	0x90, 0x90,
	0xc0, 0x90,
	0xc0, 0x60,
	0xc0, 0x90,
	0x90, 0x90,
	0xc0, 0x60
};

// Tile num_nums_04: 4x7 pixels, 2x7 bytes.
__at(0x8E50) const u8 num_nums_04[2 * 7] = {
	0x90, 0x90,
	0x90, 0x90,
	0x90, 0x90,
	0x90, 0x30,
	0xc0, 0x90,
	0xc0, 0x90,
	0xc0, 0x90
};

// Tile num_nums_05: 4x7 pixels, 2x7 bytes.
__at(0x8E5E) const u8 num_nums_05[2 * 7] = {
	0x90, 0x30,
	0x90, 0xc0,
	0x90, 0xc0,
	0xc0, 0x60,
	0xc0, 0x90,
	0x90, 0x90,
	0xc0, 0x60
};

// Tile num_nums_06: 4x7 pixels, 2x7 bytes.
__at(0x8E6C) const u8 num_nums_06[2 * 7] = {
	0xc0, 0x60,
	0x90, 0x90,
	0x90, 0xc0,
	0x90, 0x60,
	0x90, 0x90,
	0x90, 0x90,
	0xc0, 0x60
};

// Tile num_nums_07: 4x7 pixels, 2x7 bytes.
__at(0x8E7A) const u8 num_nums_07[2 * 7] = {
	0x90, 0x30,
	0xc0, 0x90,
	0xc0, 0x90,
	0xc0, 0x90,
	0xc0, 0x90,
	0xc0, 0x90,
	0xc0, 0x90
};

// Tile num_nums_08: 4x7 pixels, 2x7 bytes.
__at(0x8E89) const u8 num_nums_08[2 * 7] = {
	0xc0, 0x60,
	0x90, 0x90,
	0x90, 0x90,
	0xc0, 0x60,
	0x90, 0x90,
	0x90, 0x90,
	0xc0, 0x60
};

// Tile num_nums_09: 4x7 pixels, 2x7 bytes.
__at(0x8E97) const u8 num_nums_09[2 * 7] = {
	0xc0, 0x60,
	0x90, 0x90,
	0x90, 0x90,
	0xc0, 0x30,
	0xc0, 0x90,
	0x90, 0x90,
	0xc0, 0x60
};

// Tile num_nums_10: 4x7 pixels, 2x7 bytes.
__at(0x8EA5) const u8 num_nums_10[2 * 7] = {
	0x90, 0xc0,
	0x60, 0x60,
	0x60, 0x90,
	0x60, 0x90,
	0x60, 0x90,
	0x60, 0x60,
	0x90, 0xc0
};

// Tile num_nums_11: 4x7 pixels, 2x7 bytes.
__at(0x8EB3) const u8 num_nums_11[2 * 7] = {
	0xc0, 0x60,
	0x90, 0x90,
	0x60, 0x90,
	0x60, 0x90,
	0x60, 0x90,
	0x90, 0x90,
	0xc0, 0x60
};


__at(0x8EC1) u8* const abc_tileset[27] = { 
	abc_abc_00, abc_abc_01, abc_abc_02, abc_abc_03, abc_abc_04, abc_abc_05, abc_abc_06, abc_abc_07, abc_abc_08, abc_abc_09, abc_abc_10, abc_abc_11, abc_abc_12, abc_abc_13, abc_abc_14, abc_abc_15, abc_abc_16, abc_abc_17, abc_abc_18, abc_abc_19, abc_abc_20, abc_abc_21, abc_abc_22, abc_abc_23, abc_abc_24, abc_abc_25, abc_abc_26/*, abc_abc_27, abc_abc_28*/
};
// Tile abc_abc_00: 4x7 pixels, 2x7 bytes.
__at(0x8EFA) const u8 abc_abc_00[2 * 7] = {
0x50, 0x80,
	0x60, 0x60,
	0xe0, 0xe0,
	0x30, 0x60,
	0xe0, 0xe0,
	0x60, 0x60,
	0xe0, 0xe0
};

// Tile abc_abc_01: 4x7 pixels, 2x7 bytes.
__at(0x8F0A) const u8 abc_abc_01[2 * 7] = {
	0xf0, 0x80,
	0x60, 0x60,
	0xe0, 0xe0,
	0x30, 0x80,
	0xe0, 0xe0,
	0x60, 0x60,
	0xf0, 0x80
};

// Tile abc_abc_02: 4x7 pixels, 2x7 bytes.
__at(0x8F18) const u8 abc_abc_02[2 * 7] = {
		0x50, 0x80,
	0x60, 0x60,
	0xe0, 0x00,
	0x60, 0x00,
	0xe0, 0x00,
	0x60, 0x60,
	0x50, 0x80
};

// Tile abc_abc_03: 4x7 pixels, 2x7 bytes.
__at(0x8F26) const u8 abc_abc_03[2 * 7] = {
	0xf0, 0x80,
	0x60, 0x60,
	0xe0, 0xe0,
	0x60, 0x60,
	0xe0, 0xe0,
	0x60, 0x60,
	0xf0, 0x80
};

// Tile abc_abc_04: 4x7 pixels, 2x7 bytes.
__at(0x8F34) const u8 abc_abc_04[2 * 7] = {
	0xf0, 0xe0,
	0x60, 0x00,
	0xe0, 0x00,
	0x30, 0x80,
	0xe0, 0x00,
	0x60, 0x00,
	0xf0, 0xe0
};

// Tile abc_abc_05: 4x7 pixels, 2x7 bytes.
__at(0x8F42) const u8 abc_abc_05[2 * 7] = {
	0xf0, 0xe0,
	0x60, 0x00,
	0xe0, 0x00,
	0x30, 0x80,
	0xe0, 0x00,
	0x60, 0x00,
	0xe0, 0x00
};

// Tile abc_abc_06: 4x7 pixels, 2x7 bytes.
__at(0x8F50) const u8 abc_abc_06[2 * 7] = {
	0xf0, 0xe0,
	0x60, 0x00,
	0xe0, 0x00,
	0x60, 0x00,
	0xe0, 0xe0,
	0x60, 0x60,
	0xf0, 0xe0
};

// Tile abc_abc_07: 4x7 pixels, 2x7 bytes.
__at(0x8F5E) const u8 abc_abc_07[2 * 7] = {
	0xe0, 0xe0,
	0x60, 0x60,
	0xe0, 0xe0,
	0x30, 0x60,
	0xe0, 0xe0,
	0x60, 0x60,
	0xe0, 0xe0
};

// Tile abc_abc_08: 4x7 pixels, 2x7 bytes.
__at(0x8F6C) const u8 abc_abc_08[2 * 7] = {
	0xf0, 0xe0,
	0x10, 0x80,
	0x50, 0x80,
	0x10, 0x80,
	0x50, 0x80,
	0x10, 0x80,
	0xf0, 0xe0
};

// Tile abc_abc_09: 4x7 pixels, 2x7 bytes.
__at(0x8F7A) const u8 abc_abc_09[2 * 7] = {
	0x00, 0xe0,
	0x00, 0x60,
	0x00, 0xe0,
	0x00, 0x60,
	0x00, 0xe0,
	0x60, 0x60,
	0xf0, 0xe0
};

// Tile abc_abc_10: 4x7 pixels, 2x7 bytes.
__at(0x8F88) const u8 abc_abc_10[2 * 7] = {
	0xe0, 0xe0,
	0x60, 0x60,
	0xe0, 0xe0,
	0x30, 0x80,
	0xe0, 0xe0,
	0x60, 0x60,
	0xe0, 0xe0
};

// Tile abc_abc_11: 4x7 pixels, 2x7 bytes.
__at(0x8F96) const u8 abc_abc_11[2 * 7] = {
	0xe0, 0x00,
	0x60, 0x00,
	0xe0, 0x00,
	0x60, 0x00,
	0xe0, 0x00,
	0x60, 0x00,
	0xf0, 0xe0
};

// Tile abc_abc_12: 4x7 pixels, 2x7 bytes.
__at(0x8FA4) const u8 abc_abc_12[2 * 7] = {
	0xe0, 0xe0,
	0x30, 0x60,
	0xe0, 0xe0,
	0x60, 0x60,
	0xe0, 0xe0,
	0x60, 0x60,
	0xe0, 0xe0
};

// Tile abc_abc_13: 4x7 pixels, 2x7 bytes.
__at(0x8FB2) const u8 abc_abc_13[2 * 7] = {
	0xe0, 0xe0,
	0x60, 0x60,
	0xe0, 0xe0,
	0x30, 0x60,
	0xf0, 0xe0,
	0x60, 0x60,
	0xe0, 0xe0
};

// Tile abc_abc_14: 4x7 pixels, 2x7 bytes.
__at(0x8FC0) const u8 abc_abc_14[2 * 7] = {
	0x50, 0x80,
	0x60, 0x60,
	0xe0, 0xe0,
	0x60, 0x60,
	0xe0, 0xe0,
	0x60, 0x60,
	0x50, 0x80
};

// Tile abc_abc_15: 4x7 pixels, 2x7 bytes.
__at(0x8FCE) const u8 abc_abc_15[2 * 7] = {
	0xf0, 0x80,
	0x60, 0x60,
	0xe0, 0xe0,
	0x30, 0x80,
	0xe0, 0x00,
	0x60, 0x00,
	0xe0, 0x00
};

// Tile abc_abc_16: 4x7 pixels, 2x7 bytes.
__at(0x8FDC) const u8 abc_abc_16[2 * 7] = {
	0xf0, 0xe0,
	0x60, 0x60,
	0xe0, 0xe0,
	0x60, 0x60,
	0xe0, 0xe0,
	0x30, 0x60,
	0x00, 0xe0
};

// Tile abc_abc_17: 4x7 pixels, 2x7 bytes.
__at(0x8FF2) const u8 abc_abc_17[2 * 7] = {
	0xf0, 0x80,
	0x60, 0x60,
	0xe0, 0xe0,
	0x30, 0x80,
	0xe0, 0xe0,
	0x60, 0x60,
	0xe0, 0xe0
};

//0xA6

// Tile abc_abc_19: 4x7 pixels, 2x7 bytes.
__at(0xA600) const u8 abc_abc_19[2 * 7] = {
	0xf0, 0xe0,
	0x10, 0x80,
	0x50, 0x80,
	0x10, 0x80,
	0x50, 0x80,
	0x10, 0x80,
	0x50, 0x80
};

// Tile abc_abc_20: 4x7 pixels, 2x7 bytes.
__at(0xA60E)const u8 abc_abc_20[2 * 7] = {
	0xe0, 0xe0,
	0x60, 0x60,
	0xe0, 0xe0,
	0x60, 0x60,
	0xe0, 0xe0,
	0x60, 0x60,
	0x50, 0x80
};

// Tile abc_abc_21: 4x7 pixels, 2x7 bytes.
__at(0xA61C)const u8 abc_abc_21[2 * 7] = {
	0xe0, 0xe0,
	0x60, 0x60,
	0xe0, 0xe0,
	0x60, 0x60,
	0x50, 0x80,
	0x10, 0x80,
	0x50, 0x80
};

// Tile abc_abc_22: 4x7 pixels, 2x7 bytes.
__at(0xA62A) const u8 abc_abc_22[2 * 7] = {
	0xe0, 0xe0,
	0x60, 0x60,
	0xe0, 0xe0,
	0x60, 0x60,
	0xe0, 0xe0,
	0x30, 0x60,
	0xe0, 0xe0
};

// Tile abc_abc_23: 4x7 pixels, 2x7 bytes.
__at(0xA638) const u8 abc_abc_23[2 * 7] = {
	0xe0, 0xe0,
	0x60, 0x60,
	0xe0, 0xe0,
	0x10, 0x80,
	0xe0, 0xe0,
	0x60, 0x60,
	0xe0, 0xe0
};

// Tile abc_abc_24: 4x7 pixels, 2x7 bytes.
__at(0xA646) const u8 abc_abc_24[2 * 7] = {
	0xe0, 0x60,
	0x60, 0x60,
	0xe0, 0xe0,
	0x10, 0x80,
	0x50, 0x80,
	0x10, 0x80,
	0x50, 0x80
};

// Tile abc_abc_25: 4x7 pixels, 2x7 bytes.
__at(0xA654) const u8 abc_abc_25[2 * 7] = {
	0xf0, 0xe0,
	0x00, 0x60,
	0x00, 0xe0,
	0x10, 0x80,
	0x60, 0x00,
	0x60, 0x00,
	0xf0, 0xe0
};

// Tile abc_abc_26: 4x7 pixels, 2x7 bytes.
__at(0xA662) const u8 abc_abc_26[2 * 7] = {
	0x50, 0x80,
	0x20, 0x60,
	0xa0, 0xe0,
	0x00, 0x60,
	0x50, 0x80,
	0x00, 0x00,
	0x50, 0x80
};
/*
// Tile abc_abc_27: 4x7 pixels, 2x7 bytes.
__at(0xA670) const u8 abc_abc_27[2 * 7] = {
	0x00, 0x50,
	0x00, 0x20,
	0x50, 0x00,
	0x10, 0x00,
	0x50, 0x00,
	0x00, 0x20,
	0x00, 0x50
};

// Tile abc_abc_28: 4x7 pixels, 2x7 bytes.
__at(0xA67E) const u8 abc_abc_28[2 * 7] = {
	0x50, 0x00,
	0x00, 0x20,
	0x00, 0x50,
	0x00, 0x10,
	0x00, 0x50,
	0x00, 0x20,
	0x50, 0x00
};
*/

__at(0xA670) char const contin[9]="CONTINUE";
__at(0xA679) char const newGame[9]="NEW GAME";
__at(0xA682) char const redef[5]="KEYS";
__at(0xA686) char* const text[3]={contin, newGame, redef};

__at(0xA68C) const u8 ttMStuff_titleMStuff[5 * 11] = {
	0x80, 0x00, 0x00, 0x00, 0x40,
	0xa8, 0x00, 0x00, 0x00, 0x54,
	0xfc, 0x00, 0x00, 0x00, 0xfc,
	0xfc, 0x00, 0x00, 0x00, 0xfc,
	0x51, 0xa2, 0x00, 0x51, 0xf3,
	0x51, 0xf3, 0x00, 0x51, 0xa2,
	0x00, 0xf3, 0x00, 0xf3, 0xa2,
	0x00, 0x33, 0x22, 0x33, 0x00,
	0x00, 0x11, 0x33, 0x33, 0x00,
	0x00, 0x41, 0xc3, 0x82, 0x00,
	0x00, 0x00, 0xc3, 0x82, 0x00
};

__at(0xA6C3) const u8 ttOBar_titleOBar[6 * 3] = {
	0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0,
	0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0,
	0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0
};


__at(0xA6D5) const u8 ttHBar_titleHBar[5 * 3] = {
	0x33, 0x33, 0x33, 0x33, 0x33,
	0x33, 0x33, 0x33, 0x33, 0x33,
	0xc3, 0xc3, 0xc3, 0xc3, 0xc3
};

 //__at(0xA6E4) 
 const u8 ttStick_titleStick[2 * 22] = {
	0x00, 0x80,
	0x40, 0xc0,
	0x40, 0xc0,
	0x54, 0xfc,
	0x54, 0xfc,
	0x54, 0xfc,
	0x51, 0xf3,
	0x51, 0xf3,
	0x51, 0xf3,
	0x11, 0x33,
	0x11, 0x33,
	0xc3, 0xc3,
	0xc3, 0xc3,
	0x0c, 0x0c,
	0x0c, 0x0c,
	0x0c, 0x0c,
	0xcc, 0xcc,
	0xcc, 0xcc,
	0xcc, 0xcc,
	0xc0, 0xc0,
	0xc0, 0xc0,
	0x40, 0x80
};

 //__at(0xA6D9)
  const u8 ttStickThin_titleStickThin[2 * 22] = {
	0x40, 0x00,
	0xc0, 0x80,
	0xc0, 0x80,
	0xfc, 0xa8,
	0xfc, 0xa8,
	0xfc, 0xa8,
	0xf3, 0xa2,
	0xf3, 0xa2,
	0xf3, 0xa2,
	0x33, 0x22,
	0x33, 0x22,
	0xc3, 0x82,
	0xc3, 0x82,
	0x0c, 0x08,
	0x0c, 0x08,
	0x0c, 0x08,
	0xcc, 0x88,
	0xcc, 0x88,
	0xcc, 0x88,
	0xc0, 0x80,
	0xc0, 0x80,
	0x40, 0x00
};

//__at(0xA705) 
const u8 ttYStuff_titleYStuff[6 * 10] = {
	0x00, 0x00, 0x00, 0x40, 0xc0, 0x00,
	0x00, 0x00, 0x00, 0xc0, 0xc0, 0x80,
	0x00, 0x00, 0x54, 0xfc, 0xfc, 0x00,
	0x00, 0x00, 0xfc, 0xfc, 0xa8, 0x00,
	0x00, 0x54, 0xfc, 0xfc, 0x00, 0x00,
	0x00, 0xf3, 0xf3, 0xa2, 0x00, 0x00,
	0x51, 0xf3, 0xf3, 0x00, 0x00, 0x00,
	0xf3, 0xf3, 0xa2, 0x00, 0x00, 0x00,
	0x33, 0x33, 0x00, 0x00, 0x00, 0x00,
	0x33, 0x22, 0x00, 0x00, 0x00, 0x00
};

//0x86


__at(0x8700) u8* const sprite[SPRITE_COUNT] = { 
	hiyo_hiyo_0, hiyo_hiyo_1, hiyo_hiyo_2, hiyo_hiyo_2, hiyo_hiyo_4,
    en0_en0_0, en0_en0_3, en0_en0_6, en0_en0_1, en0_en0_4, en0_en0_7, en0_en0_2, en0_en0_5, en0_en0_8, //en0
    en1_en1_0, en1_en1_3, en1_en1_6, en1_en1_1, en1_en1_4, en1_en1_7, en1_en1_2, en1_en1_5, en1_en1_8, //en1
    en2_en2_0, en2_en2_3, en2_en2_6, en2_en2_1, en2_en2_4, en2_en2_7, en2_en2_2, en2_en2_5, en2_en2_8, //en2
    en3_en3_0, en3_en3_3, en3_en3_6, en3_en3_1, en3_en3_4, en3_en3_7, en3_en3_2, en3_en3_5, en3_en3_8, //en3
    items_items_0, items_items_1, items_items_2, items_items_3, items_items_4, items_items_5,
    flame_flame_0, flame_flame_1, flame_flame_2, //partcl_particle0, 
    bullet_bulletStd_0, bullet_bulletStd_1, bullet_bulletStd_2, bullet_bulletStd_3, bullet_bulletStd_4
};

__at(0x876E) const TFrame hiyo_anim_idle[2]={{0, 8},{1, 8}};
__at(0x8772) const TFrame hiyo_anim_walk[3]={{0,4},{1,8},{2,8}};
__at(0x8778) const TFrame hiyo_anim_fire[1]={{2, 20}};
//__at(0x877A) const TFrame hiyo_anim_prejump[1]={{3,4}};
__at(0x877A) u8 musicCounter;
__at(0x877B) u8 shakeCounter;

__at(0x877C) const TFrame hiyo_anim_jump[2]={{4,8}, {1, 4}};
__at(0x8780) const TFrame enemy0_idle[1]={{5,50}};
__at(0x8782) const TFrame enemy0_seek[2]={{8, 4},{11,4}};
__at(0x8786) const TFrame enemy0_fire[1]={{5, 10}};
__at(0x8788) const TFrame enemy2_anim[3]={{5, 4},{8, 4},{11,4}};

//const TFrame hiyo_anim_fall[1]={{1, 8}};
//make Z80CCFLAGS="--peep-file /Users/guisante1/Documents/dev/cpctelera/cpctelera/tools/sdcc-3.6.8-r9946/peep/z88dk_speculative_peepholes.def"
__at(0x878E) u8 *const g_scrbuffers[2] = {CPCT_VMEM_START, (u8 *)0x8000};

//__at(0x8792)
 __at(0xFE00) u8 const cMap2[176];
// Set up hiyo entity

/*TEntity hiyo2 = {
                {0, 0, 0},
        {64, 64, 64},
        hiyo_hiyo,
        //CPCT_VMEM_START, // Sprite and video memory location
        HIYO_HIYO_W,
        HIYO_HIYO_H, // X, Y, Width and Height (bytes)
        2,
        0,
    };*/

cpctm_createTransparentMaskTable(g_tablatrans, 0x8600, M0, 0);

__at(0xFEB0) u16 sids[8];
__at(0xFEC0) u8 gameState;
__at(0xFEC1) u8 scrollDir;
__at(0xFEC2) u8 scrollCount;
__at(0xFEC3) u8 currentScreen;
__at(0xFEC4) u8 keyBuffer[2];
__at(0xFEC6) u8 *tMap;

__at(0xFEC8) u8 currentWeapon;
__at(0xFEC9) u8 bulletCount;
__at(0xFECA) u8 enemyCount;
__at(0xFECB) u8 enemiesAlive;
__at(0xFECC) u8 bEnCount;
__at(0xFECD) const TEntity particle[1];
__at(0xFEDE) const TEntity bullet[3];
__at(0xFF4A) const TEntity enemy[4];
__at(0xFF92) const TEntity bulEnemy[6];
__at(0xFFFF) u8 deathCount;

__at(0x8792) u8 ammo[4];
__at(0x8796) u8 maxAmmo[4];
__at(0x879A) TEntity* currEnt;

__at(0x879C) const u8 expansion[EXPANSION_COUNT/8+1];

__at(0x87A1) static u16 interrCounter=0;

__at(0x87A3) TEntity hiyo;

__at(0x87B5) static const cpct_keyID keys[6] = {Key_CursorUp, Key_CursorRight, Key_CursorLeft, Key_Space, Key_CursorDown, Key_P};
__at(0x87C1) static const cpct_keyID keysW[4] = {Key_1, Key_2, Key_3, Key_4};

__at(0xC7FC) static u8 counter = 0;

__at(0xAFFC) u8 minutes;
__at(0xAFFD) u8 seconds;
__at(0xAFFE) u16 timeCounter;
 u8 shakeSide;
void setCRTC(u8 reg, u8 val) //__z88dk_callee
{
    __asm
        pop de ;ret
        pop hl ;val, reg

        ld b, #0xbc
        ld c, l
        out (c), c
        ld b, #0xbd
        ld c, h
        out (c), c

        push hl
        push de
    __endasm;
}


void interrupt()
{
    interrCounter++;
    musicCounter++;
    if(musicCounter%8==0)
    cpct_akp_musicPlay();

    if(gameState<TOMENU)
    {
        if(++timeCounter==300)
        {
            timeCounter=0;
            if(++seconds==60)
            {
                seconds=0;
                minutes++;
            }
        }
    }

    if(shakeCounter && (++shakeCounter%12==0))
    {
        shakeSide=(shakeSide+1)%2;
        setCRTC(2,shakeSide+41);
        setCRTC(7,shakeSide+30);
    }
}

void CRTCMagic(u8 on) __z88dk_fastcall
{
    u8 sX;
    u8 sY;
    interrCounter=0;
    while(interrCounter<=320)
    {
        sX=sY=interrCounter/10;
        if(!on)
        {
            sX=32-sX;
            sY=24-sY;
        }
        if(interrCounter<=240)
            setCRTC(6, sY);
    
        setCRTC(1, sX);
    }
}

void swapBuffers(u8 **scrbuffers) __z88dk_fastcall
{
    u8 *aux;
    cpct_setVideoMemoryPage((u16)(scrbuffers[1]) >> 10);
    aux = scrbuffers[0];
    scrbuffers[0] = scrbuffers[1];
    scrbuffers[1] = aux;
}

void playSFX(u8 ins) __z88dk_fastcall
{
	cpct_akp_SFXPlay(ins, 7, 64, 0, 0, AY_CHANNEL_B);
}

void copy3(u8 *x) __z88dk_fastcall
{
    *x = *(x - 1);
    --x;
    *x = *(x - 1);
}

void entityDrawnUpdate()
{
    copy3(currEnt->x + 2);
    copy3(currEnt->y + 2);
    --currEnt->draw;
}

void old_write_cMap(u8 *_cMap, u8 sid)
{
    *(_cMap) = sid;
}

void write_cMap(u16 itile, u16 sid)
{
    old_write_cMap(cMap + itile, sid);
    cpct_setBit(cMap2, sid > 0xFF, itile);
}

u16 get_cMap(u16 i) __z88dk_fastcall
{
    u16 tile = cMap[i];
    if (cpct_getBit(cMap2, i))
        tile |= 0x100;

    return tile; 
}

void drawBigTile(u8 id, u8 i, u8 j)
{
    u8 col = id % 8;
    u8 fila = id >> 3;
    u8 nfila = fila << 2;
    u8 ncol = col << 1;

    u8 sid = (nfila << 4) + ncol;
    for (u8 x = 0; x < 2; x++)
    {
        for (u8 y = 0; y < 4; y++)
        {
            cpct_drawTileAligned2x4_f(tSet_tileset[sid + x + y * 16], cpct_getScreenPtr(g_scrbuffers[1], ((i << 1) + x) << 1, ((j << 2) + y) << 2));
        }
    }
}

void drawSmallTile(u16 id, u8 i, u8 j)
{
    cpct_drawTileAligned2x4_f(tSet_tileset[id], cpct_getScreenPtr(g_scrbuffers[1], i << 1, j << 2));
}

void drawSubTile2x1(u16 *sids, u16 id)
{
    *(sids) = id;
    *(sids + 1) = id + 1;
}

void drawSubTile2x2(u16 *sids, u16 id)
{
    u8 i = 4;

    while (i--)
    {
        u8 desp = i < 2 ? 0 : 16;
        *(sids + i) = id + (i & 1) + desp;
    }
}

void drawBorder(u8 r) __z88dk_fastcall
{
    u8 id1, id2;
    if (r) //derecha
    {
        id1 = 4;
        id2 = 162;
    }
    else
    {
        id1 = 0;
        id2 = 130;
    }
    drawSubTile2x2(sids, id1);
    drawSubTile2x2(sids + 4, id2);
}

TRoom* getRoom()
{
    return &screen[currentScreen];
}

u8 getBaseWall()
{
   
   return (getRoom()->id&ROOM_MASK)+10;

}

void randomWall(u8 i, u8 rnd)
{
    /*//patron interesante
    while(i--)
        *(sids+i)=10+(i&1)+(i&1)*16;
*/
    u8 base=getBaseWall();

    // switch(base)
    // {
    //     case 10:
    //     case 202:
    //         if (getRoom()->id & 0b01000000)
    //         {
    //             *(sids+i)=10+(i&1)+(i&1)*16;
    //             //*(sids+i)=10+(i&1)+((rnd&3)>(i/2)?0:16);//otro con ss
    //             // *(sids+i)=10+(i&1)+(((i>>1)<(rnd&3))?0:16);
    //             *(sids + i) = 10 + (i & 1) + ((rnd & 1) ? 0 : 16);
    //         }
    //         else
    //         {

    if(base>137)
    {
			//base=i&1?10:27;
			if(i>3)
			{
				base+=32+((rnd>>1)&2);
			}
			else
				base+=(rnd&2);

        rnd=0;
    }

    {
        u8 down = ((i & 3) < 2 ? 0 : 16);
		u16 dest= base + (i & 1) + (rnd & 2) + (rnd&1) * 32 + down;
		switch(getRoom()->id&3)
		{
			case 1:
				dest= 10 + (i & 1) + ((rnd & 1) ? 0 : 16);
				break;

			case 2:
				dest=10+(i&1)+(i&1)*16;
				break;
		}

        *(sids + i) = dest;//base + (i & 1) + (rnd & 2) + (rnd&1) * 32 + down;
    }
}

void drawWall()
{
    u16 rnd=cpct_rand16();
    u8 i=8;
    while (i--)
    {
        u8 nrnd=(getBaseWall()<138?(rnd >> (i * 2)) & 3: rnd);

        randomWall(i,nrnd);
    }
}

void drawHole(u16 *sids, u8 rnd)
{
    drawSubTile2x2(sids, rnd * 32+4+getBaseWall());
}

void drawMiniPlatforms(u8 rule) __z88dk_fastcall
{
    u8 i = 8;
    u16 rnd = cpct_rand16();
    u8 subRule = rule % 3;

    drawWall();
    if (rule > 5) //low
    {
        drawSubTile2x1(sids + 4, subRule * 2);
        drawSubTile2x1(sids + 6, (subRule ? (subRule < 2 ? 50 : 162) : 146)); //146);
    }
    else if (rule > 2) //medium
    {
        drawSubTile2x1(sids + 2, subRule * 2+192);
        drawSubTile2x1(sids + 4, subRule *2+240);
    }
    else //high
    {
        drawSubTile2x1(sids, subRule * 2+256);
        drawSubTile2x1(sids + 2,subRule *2+304);
    }
}

u8 getNUpgrades(u8 w) __z88dk_fastcall
{
	return maxAmmo[w]/5-2;
}

void getEmptyUpgrade(u8 id) __z88dk_fastcall
{
    u8 i=2;
    u8 base=(id-UPGRADEID)*64+8;
    while(i--)
    {
        drawSubTile2x2(sids+i*4, base+(i*32));
    }
}

void getWallTile(u8 rule) __z88dk_fastcall
{
    u8 i = 8;
    u16 rnd = cpct_rand16();

    drawWall();

    switch (rule)
    {
    case 5:
        drawHole(sids, rnd & 1);
        drawHole(sids + 4, (rnd >> 1) & 1);
        break;

    case 6:
        drawHole(sids, rnd & 1);
        break;

    case 7:
        drawHole(sids + 4, rnd & 1);
        break;
    }
}

void drawWarp()
{
    drawWall();
    drawSubTile2x2(sids+2, 332);
}

u8 spawnUpgrade()
{
	return !cpct_getBit(expansion, getRoom()->exp);
}

u8 calculateSid(u8 id) __z88dk_fastcall
{
    u8 col = id % 8;
    u8 row = id >> 3;

    if (col > 3)
    {
        if(row==4) //reglas upgrade
        {
            if(!spawnUpgrade())
            {
                //empty jar
                getEmptyUpgrade(id);
                return 1;
            }
            else return 0;
        }
        if (row > 4) //reglas enemigos
        {
            getWallTile(4);
            return 2;
        }
        if (row == 0) //reglas muro
        {
            getWallTile(col);
        }
        else if (col == 4)
        {
            if (row < 3)
            {
                drawBorder(row - 1);
            } //reglas borde
            else
            {
                drawWarp();
            }
        }
        else //reglas miniplataformas
        {
            drawMiniPlatforms((row - 1) * 3 + (col - 5));
        }
    }
    else
    {
        return 0;
    } //normal

    return 1;
}

u8 isWeaponUnlocked(u8 w) __z88dk_fastcall
{
	return cpct_getBit(expansion, w);
}

u8 isEndRoom()
{
    if(enemiesAlive==0)
    {
        switch(currentScreen)//getRoom()->id)
        {
            case 5:
            case 19:
            case 47:
            case 64:
                return 1;
        }
    }
    return 0;
}

u8 dropsItem()
{
    if(currEnt->id&ID_ITEMS)
    { 
        return 0;
    }

    enemiesAlive--;
    if(isEndRoom())
    { 
        if(isWeaponUnlocked(getRoom()->exp))
            return 0;
    }
    return 1;
}

u8 getSpawnedItem()
{
    u8 rnd=cpct_rand16()&3;
    if(isEndRoom())
    {
        shakeCounter++;
		cpct_akp_SFXPlay(0xA, 0xC, 0, 5, 0, AY_CHANNEL_ALL);
        return 5;
    }

    while(!isWeaponUnlocked(rnd))
    {
        rnd=(rnd+1)%4;
    }
    return rnd;
}

void spawnItem()
{
    u8 itemId=getSpawnedItem();
    currEnt->sprite=SPRITE_ITEM+(itemId?itemId:4);//items_items;
    currEnt->width=ITEMS_ITEMS_0_W;
    currEnt->height=ITEMS_ITEMS_0_H;
    currEnt->draw=16;
    currEnt->yVel=0;
    currEnt->id=ID_ITEMS+itemId;
    currEnt->state=ENEMY_DEAD;
    currEnt->life=2;
}

u8 getEneClass(u8 id) __z88dk_fastcall
{
	return (id-0x20)/4;
}

void setEnemyAttr(u8 id, TEntity* ene)
{
    u8 idrow=id/4;
    u8 idcol=id%4;

    ene->sprite=5+9*idcol+idrow;
    switch(idcol)
    {
        case 0:
            ene->width=EN0_EN0_0_W;
            ene->height=EN0_EN0_0_H;
        break;

        case 1:
            ene->width=EN1_EN1_0_W;
            ene->height=EN1_EN1_1_H;
        break;

        case 2:
            ene->width=EN2_EN2_0_W;
            ene->height=EN2_EN2_0_H;
        break;

        case 3:
		    if(idrow==1) ene->y[0]+=8;
            ene->width=EN1_EN1_0_W;
            ene->height=EN2_EN2_0_H;
        break;
    }
}

u8 calcLife(u8 id) __z88dk_fastcall
{
    //firstWeaponDirtyDirtyPatch
    if(currentScreen==5)
    {
        return 0;
    }

    switch(id&3)
    {
		case 0:
			return 4;

		case 1:
			return 3;

		case 2:
			return 6;

		case 3:
			return 7;
    }
}

void spawnEnemy(u8 id, u8 i, u8 j)
{
    TEntity* nem=&enemy[enemyCount++];
    u8 idEne=((id>>3)-5)*4+(id&3);

    nem->x[0]=i*4;
    nem->y[0]=j*16;
    nem->draw=4;
    nem->yVel=0;
    nem->id=ID_ENEMIES|idEne;
    nem->state=ENEMY_IDLE;
    nem->life=calcLife(id);
    nem->timer=cpct_rand16();
    nem->animTimer=cpct_rand16();
    setEnemyAttr(idEne, nem);

}


void drawBigTileFirst(u8 id, u8 i, u8 j)
{
    u8 col = id % 8;
    u8 fila = id >> 3;

    switch (calculateSid(id))
    {
        case 0:
        {
            u8 nfila = fila << 2;
            u8 ncol = col << 1;

            u16 sid = (nfila << 4) + ncol;

            for (u8 x = 0; x < 2; x++)
            {
                for (u8 y = 0; y < 4; y++)
                {
                    sids[x + y * 2] = sid + x + y * 16;
                }
            }
        }
        break;

        case 2:
            spawnEnemy(id, i, j);
        break;
    }
    {
        u8 x = 2;
        while (x--)
        {
            u8 y = 4;
            while (y--)
            {
                write_cMap((i * 2 + x) + ((j * 4 + y) * 32), sids[y * 2 + x]);
            }
        }
    }
}

void scrollMemory()
{
    u8 chStart = 0;
    u8 chEnd = 22;

    u8 xTo = 0;
    u8 xFrom = 0;

    i16 yTo = 0;

    switch (scrollDir)
    {
    case DY:
        yTo = -0x80;
        chStart = 2;
        break;

    case LX:
        xTo = 4;
        break;

    case UY:
        yTo = 0x80;
        //chStart=2;
        chEnd = 20;
        break;

    case RX:
        xFrom = 4;
        break;

    case 0x69:
        chStart=22;
        chEnd=24;
    }

    for (u8 chLine = chStart; chLine < chEnd; chLine++)
    {
        u8 *bufferTo = g_scrbuffers[1] + chLine * 0x40 + yTo;
        u8 *bufferFrom = g_scrbuffers[0] + chLine * 0x40;
        for (u8 pxLine = 0; pxLine < 8; pxLine++)
        {
            cpct_memcpy(bufferTo + 0x800 * pxLine + xTo, bufferFrom + 0x800 * pxLine + xFrom, 64 - xTo - xFrom);
        }
    }
}

void copyHud()
{
    scrollDir=0x69;
    scrollMemory();
}

void drawNewTiles(u8 tilex, u8 tiley)
{
    for (u8 x = 0; x < 2; x++)
    {
        for (u8 y = 0; y < 4; y++)
        {
            u8 xFinal = tilex * 4 + x * 2;
            u8 yFinal = (tiley * 4 + y) * 4;
            {
                switch (scrollDir)
                {
                case DY:
                    yFinal = 160 + y * 4;
                    break;

                case LX:
                    xFinal = x * 2;
                    break;

                case UY:
                    yFinal = y * 4;
                    break;

                case RX:
                    xFinal = 60 + x * 2;
                    break;
                }
            }
            cpct_drawTileAligned2x4_f(tSet_tileset[get_cMap((tiley * 4 + y) * 32 + tilex * 2 + x)], cpct_getScreenPtr(g_scrbuffers[1], xFinal, yFinal)); //(r>1?60:0)+x*2, (tileRow*4+y)*4));//((i << 1) + x) << 1, ((j << 2) + y) << 2));
        }
    }
}

void scrollY()
{
    u8 tiley = scrollDir > 0 ? scrollCount : 10 - scrollCount;
    for (u8 tileCol = 0; tileCol < 16; tileCol++)
    {
        drawBigTileFirst(cpct_get6Bits(tMap, tileCol + tiley * 16), tileCol, tiley);
        drawNewTiles(tileCol, tiley); //, 1);
    }
}

void scrollX()
{
    u8 tilex = scrollDir > 1 ? 15 - scrollCount : scrollCount;
    for (u8 tileRow = 0; tileRow < 11; tileRow++)
    {
        drawBigTileFirst(cpct_get6Bits(tMap, tilex + tileRow * 16), tilex, tileRow);
        drawNewTiles(tilex, tileRow); //, 1);
    }
}

u8 tileMenu(u8 j) __z88dk_fastcall
{
    if(j<4)
    {
        return 124;
    }
    else if(j==4 || j==19)
    {
        return 142;
    }
    else if(j==5 || j==20)
    {
        return 140;
    }
    else if(j<12)
    {
        return 125;
    }
    else if(j==12 || j==44)
    {
        return 141;
    }
    else if(j<19)
    {
        return 124;
    }
    else if(j<44)
    {
        return 125;
    }
    else return 124;
}

void drawChar(char ch, u8 i, u8 j)
{
    if(ch!=' ')
    {
    u8* img=(ch<65?num_tileset[ch-48]:abc_tileset[ch-65]);
    if(ch=='?') img=abc_tileset[26];
    cpct_drawSpriteMaskedAlignedTable(img, cpct_getScreenPtr(g_scrbuffers[0],i, j), 2, 7, g_tablatrans);
    }
}

char const introText1[31]="IN THE YEAR 30XX THE MILLENIAL";
char const introText2[29]="WAR BETWEEN BIRDS AND HUMANS";
char const introText3[19]="IS NEARING ITS END";

char const introText4[30]="THE ALLIANCE BETEWEEN CHICKENS";
char const introText5[31]="AND MACHINES LED TO A SOLUTION";
char const introText6[31]="TO THE HUMAN BIOLOGICAL WEAPON";

char const introText7[20]="COMPUTERS DEVELOPED";
char const introText8[19]="NANOTECHNOLOGY ABLE";
char const introText9[26]="TO INFILTRATE IN ANY BODY";

char const introTextA[30]="A NANOCHICKEN ARMY WOULD HEAL";
char const introTextB[28]="ANY DAMAGED BODY IN SECONDS";

char const introTextC[32]="IF KIMOHIYOKO PROTOYPE SUCCEEDS";
char const introTextD[25]="WORLD IS GOING TO CHANGE";
char const introTextFOREVER[8]="FOREVER";

char* const introP1[9]={introText1, introText2, introText3, introText4, introText5, introText6, introText7, introText8, introText9};
char* const introP2[6]={introTextA, introTextB, introTextC, introTextD, introTextFOREVER};

u8 const introTextP1[9]={30, 28, 18, 29, 30, 30, 19, 19, 25};
u8 const introTextP2[5]={29, 27, 31, 24, 7};

void drawTextSteps(char* str, u8 length, u8 i, u8 j, u8 t)
{
    interrCounter=0;
    for(u8 c=0; c<length; c++)//sizeof(text[i]); j++)
    {   
        drawChar(str[c], i+c*2, j);
        while(interrCounter<t);
        interrCounter=0;
    }
}

void drawMenuPart(u8 i, u8 j, u8 w, u8 h, u8* img)
{
    cpct_drawSpriteMaskedAlignedTable(img, cpct_getScreenPtr(g_scrbuffers[0],i, j), w, h, g_tablatrans);
}

void drawStickThin(u8 i, u8 j)
{
    drawMenuPart(i, j, TTSTICK_TITLESTICK_W, TTSTICK_TITLESTICK_H, ttStickThin_titleStickThin);
}

void drawStick(u8 i, u8 j)
{
    drawMenuPart(i, j, TTSTICKTHIN_TITLESTICKTHIN_W, TTSTICKTHIN_TITLESTICKTHIN_H, ttStick_titleStick);
}

void drawHBar(u8 i, u8 j)
{
    drawMenuPart(i, j, TTHBAR_TITLEHBAR_W, TTHBAR_TITLEHBAR_H, ttHBar_titleHBar);
}

void drawKStuff(u8 i, u8 j)
{
    drawMenuPart(i, j, TTKSTUFF_TITLEKSTUFF_W, TTKSTUFF_TITLEKSTUFF_H, ttKStuff_titleKStuff);
}

void drawYStuff(u8 i, u8 j)
{
    drawMenuPart(i, j, TTYSTUFF_TITLEYSTUFF_W, TTYSTUFF_TITLEYSTUFF_H, ttYStuff_titleYStuff);
}

void drawMStuff(u8 i, u8 j)
{
    drawMenuPart(i, j, TTMSTUFF_TITLEMSTUFF_W, TTMSTUFF_TITLEMSTUFF_H, ttMStuff_titleMStuff);
}

void drawOBar(u8 i, u8 j)
{
    drawMenuPart(i, j, TTOBAR_TITLEOBAR_W, TTOBAR_TITLEOBAR_H, ttOBar_titleOBar);
}

void drawH(u8 i, u8 j)
{
    drawStick(i, j);
    drawStick(i+5, j);
    drawHBar(i+1, j+9);
}

void drawY(u8 i, u8 j)
{
    drawStick(i, j);
    drawYStuff(i+1,j+1);
}

void drawK(u8 i, u8 j)
{
    drawY(i, j);
    drawKStuff(i+1,j+11);
}

void drawM(u8 i, u8 j)
{
    drawStick(i, j);
    drawStickThin(i+7, j);
    drawMStuff(i+2, j+2);
}

void drawO(u8 i, u8 j)
{
    drawStickThin(i, j);
    drawStick(i+6, j);
    drawOBar(i+1, j);
    drawOBar(i+1, j+19);
}

void drawSpriteHud(u8* num, u8 x, u8 y, u8 w)
{
    cpct_drawSpriteMaskedAlignedTable(num, cpct_getScreenPtr(g_scrbuffers[0],x,y), w, 7, g_tablatrans);
}

void drawNumber(u8 num, u8 x, u8 y)
{
    u8 inf=(num>99? 1:0);
    drawSpriteHud(num_tileset[inf?10:num/10], x, y, 2);
    drawSpriteHud(num_tileset[inf?11:num%10], x+2, y, 2);
}

void drawNumberHud(u8 i)
{
    drawNumber(ammo[i], 22+12*i,180);
}

void swapPalette()
{
    u8* p1=hiyo_palette;
    u8* p4=hiyo_palette+3;
    u8 aux=*(p1);

    *(p1)=*(p4);
    *(p4)=aux;
    cpct_setPalette(hiyo_palette, 16);
}

u8 const textSizes[3]={8, 8, 4};

void drawIniMenu()
{
    u8 options=1;
    u8 opt=1;

    swapPalette();

    for(u8 j=0; j<48; j++)
    {
        u8 tileRow=tileMenu(j);
        for(u8 i=0; i<32; i++)
        {
            cpct_drawTileAligned2x4_f(tSet_tileset[tileRow|0x100], cpct_getScreenPtr(g_scrbuffers[0], i*2, j*4));
        }
    }

    drawK(5, 24);
    drawStick(13, 24);
    drawM(16, 24);
    drawO(26, 24);

    drawH(5, 54);
    drawStick(13, 54);
    drawY(18, 54);
    drawO(26, 54);
    drawK(35, 54);
    drawO(44, 54);

    drawMenuPart(36, 37, TTJAP_TITLEJAP_W, TTJAP_TITLEJAP_H, ttJap_titlejap);
    drawMenuPart(14, 182, TTDISCLAIMER_TITLEDISCLAIMER_W, TTDISCLAIMER_TITLEDISCLAIMER_H, ttDisclaimer_titleDisclaimer);

    if(deathCount)
    {
        options=0;
        drawChar('?', 38, 100);
        drawNumber(deathCount, 42, 100);
    }
        for(u8 i=options; i<3; i++)
        {
            drawChar((char)(opt+++48), 19, 100+i*16);
            for(u8 j=0; j<textSizes[i]; j++)
            {   
                drawChar(text[i][j], 22+(j*2), 100+i*16);
            }
        }

    cpct_setBorder(0x5D);
    if(!deathCount)
        CRTCMagic(1);
}

void drawRawScreen()
{
    for(u8 i=0; i<32; i++)
    {
        for(u8 j=0; j<44; j++)
            cpct_drawTileAligned2x4_f(tSet_tileset[get_cMap(j*32+i)|0x100], cpct_getScreenPtr(g_scrbuffers[0], i*2, j*4));
    }
}

void drawBlackScreen()
{
    for(u8 i=0; i<32; i++)
    {
        for(u8 j=0; j<48; j++)
            cpct_drawTileAligned2x4_f(tSet_tileset[444], cpct_getScreenPtr(g_scrbuffers[0], i*2, j*4));
    }
}

char const textEnding1[25]="KIMOHIYOKO PENTRATED THE";
char const textEnding2[26]="BLOODSTREAM AND DISPERSED";
char const textEnding3[22]="TREATMENT PERMANENTLY";
char const textEnding4[20]="THE PATIENT IS SAFE";
char const textEnding5[21]="MISSION ACCOMPLISHED";
char* const textEnding[5]={textEnding1, textEnding2, textEnding3, textEnding4, textEnding5};
const u8 endingSize[5]={24, 25, 21, 19, 20};


void ending()
{
	u8 j=16;
	u8 i=5;
	drawBlackScreen();

	for(u8 i=0; i<5; i++)
	{
		if(i>2) j+=16;
		drawTextSteps(textEnding[i],endingSize[i], 32-endingSize[i], j, 20);
		j+=16;
	}

	interrCounter=0;
    while(interrCounter<200);
}

void intro(u8 p)
{
    u8 h=0;
    u8 ph=3;
    u8 linNum=9;
    u8* size=introTextP1;
    char** string=introP1;

    if(p)
    {
        ph=2;
        linNum=5;
        size=introTextP2;
        string=introP2;
    }

        drawBlackScreen();
        for(u8 i=0; i<linNum; i++)
        {
            if(i%ph==0) h++;
            drawTextSteps(string[i], size[i], 32-size[i], h*16, 10);
            h++;
        }

    interrCounter=0;
    while(interrCounter<200);
}

void drawTitleScreen()
{
    drawRawScreen();

    while(interrCounter<800);

    cpct_setBorder(0x54);
    intro(0);
    intro(1);
    CRTCMagic(0);
}

void drawTiles()
{
    u8 i = 16;

    while (i--)
    {
        u8 j = 11;
        while (j--)
        {
            u8 id = cpct_get6Bits(tMap, j * 16 + i);
            drawBigTileFirst(id, i, j);
            for (u8 x = 0; x < 2; x++)
            {
                for (u8 y = 0; y < 4; y++)
                {
                    cpct_drawTileAligned2x4_f(tSet_tileset[get_cMap((j * 128 + y * 32) + i * 2 + x)], cpct_getScreenPtr(g_scrbuffers[0], ((i << 1) + x) << 1, ((j << 2) + y) << 2));
                }
            }
        }
    }
    scrollDir=7;
    scrollMemory();
}

void drawCircleHud(u8 pos, u8 act)
{
    u8 x=4;
    u16 base=act?392:328;
    u8 npos=20+12*pos;
    while(x--)
    {
        u8 y=4;
        while(y--)
        {
            cpct_drawTileAligned2x4_f(tSet_tileset[y*16+x+base], cpct_getScreenPtr(g_scrbuffers[0], npos+x*2, 176+y*4));
        }
    }
    if(isWeaponUnlocked(pos))
        drawNumberHud(pos);
}

void drawHeartHud(u8 pos, u8 fill)
{
    u8 x=2+(pos%3)*5;
    u8 y=(pos/3)*8+176;
    u8* heart=fill?heartHud_heartHud_0:heartHud_heartHud_1;

    drawSpriteHud(heart, x, y, 4);
}

void drawIconHud(u8 id) __z88dk_fastcall
{
    cpct_drawSpriteMaskedAlignedTable(sprite[SPRITE_ITEM+id], cpct_getScreenPtr(g_scrbuffers[0], 16+12*id, 178), 4, 10, g_tablatrans);
}

void drawHud()
{
    u8 x=32;
    while(x--)
    {
        u8 y=4;
        while(y--)
        {
			u16 tile=364;
            if(y&1)
            {
                if(x&1)
                    tile=365;
            }
            else if(!(x&1))
            {
                tile=365;
            }
            cpct_drawTileAligned2x4_f(tSet_tileset[tile], cpct_getScreenPtr(g_scrbuffers[0], x*2, 176+y*4));
        }
    }

    x=4;

    while(x--)
    {
        if(isWeaponUnlocked(x))
        {
            drawCircleHud(x,x==currentWeapon?1:0);
            drawIconHud(x);
        }
    }

    maxAmmo[0]=0;
    drawHeartHud(maxAmmo[0]++, 1);
    x=5;
    while(x--)
    {
        if(cpct_getBit(expansion, EXP_HEART+x))
        {
            drawHeartHud(maxAmmo[0]++, 1);
        }
    }
    hiyo.life=maxAmmo[0];

    copyHud();
}

void drawScreen()
{
    drawHud();
    drawTiles();
}

u8 getTileSpan(u8 pos, u8 dim)
{
    u8 span = (dim>>2);
    if((dim&3)==0)
    {
        span+=((pos&3)==0?0:1); 
    }
    else
        span++;

    return (span > 0 ? span : 1);
}
void unlockExpansion()
{
    cpct_setBit(expansion, 1, getRoom()->exp);
}

void unlockWeapon()
{
    u8 expId=getRoom()->exp;
    unlockExpansion();
    drawIconHud(expId);
    ammo[expId]=expId?maxAmmo[expId]:100;
    drawCircleHud(expId, expId?0:1);

    drawNumberHud(expId);
}


u8 isBlock(u8 id) __z88dk_fastcall
{
    if ((id & 0xE) == 6)
    {
        return id>>6;
    }
    else
        return 99;
}

u8 isUpgrade(u16 id) __z88dk_fastcall
{
    if(id/64==4 && (id%16)>7)
    {
        u8 itemId=(id%8)/2;
        unlockExpansion();
        if(itemId)
        {
            maxAmmo[itemId]+=5;
            ammo[itemId]+=5;
            if(isWeaponUnlocked(itemId))
                drawNumberHud(itemId);
        }
        else //heart, life control should not be necessary
        {
            drawHeartHud(maxAmmo[0]++, 0);
            drawHeartHud(hiyo.life++, 1);
        }
        copyHud();
        return itemId;
    }
    else return 99;
}

void initializeParticles(u8 x, u8 y)
{
    TEntity *p = particle;

        *(p->x) = x-1;
        *(p->y) = y;
        p->sprite = SPRITE_PART;
        p->width = FLAME_FLAME_0_W;
        p->height = FLAME_FLAME_0_H;
        p->draw = 4*12;
        p->yVel = -8;

        p->id = ID_PARTICLES_BLOCK;
        p->life=4*12;
}

void replaceTile(u8 tilex, u8 tiley)
{
            if(currEnt->id)
                {
                    if (isBlock(get_cMap(tiley * 32 + tilex)) == (currEnt->id & 0x0F))
                    {
						//block destroyed
                        drawBigTileFirst(WALLID, tilex>>1, tiley>>2);
                        initializeParticles((tilex-tilex%2)<<1, (tiley-tiley%4)<<2);
						playSFX(0xA);
                    }
                }
                else
                {
                    u8 upgrId=isUpgrade(get_cMap(tiley * 32 + tilex));

                    if(upgrId!=99)
                    {
						//upgrade collected
                        TEntity* p=particle;
                        drawBigTileFirst(UPGRADEID+upgrId, tilex>>1, tiley>>2);
                        initializeParticles((tilex-tilex%2)<<1, (tiley-tiley%4)<<2);
                        p->life=6;
						playSFX(8);
                    }
                }
}

void repaintBackgroundOverSprite2x4()
{
    u8 tilex = currEnt->x[2] >> 1;
    u8 i = getTileSpan(currEnt->x[2]&1, currEnt->width * 2);
    u8 tiley = currEnt->y[2] >> 2;
    u8 jl = getTileSpan(currEnt->y[2], currEnt->height);

    while (i--)
    {
        u8 j = jl;
        while (j--)
        {
            if (tilex + i < 32 && tiley + j < 44)
            {
                u16 id = get_cMap(tilex + i + (tiley + j) * 32);
                drawSmallTile(id, tilex + i, tiley + j);
            }
        }
    }
}

u8 assign_anim(TFrame* anim, u8 tAnim)
{
    if(currEnt->animTimer==counter)
    {
        currEnt->sprite=anim[currEnt->nframe].frame+((0x0F&currEnt->id)/4)+((0x0F&currEnt->id)%4)*9;
        currEnt->draw=8;
        currEnt->animTimer+=anim[currEnt->nframe].time;
        currEnt->nframe=(currEnt->nframe+1)%tAnim;
        return 1;
    }
    return 0;
}

void changeDirLook()
{
    currEnt->look=(!currEnt->look)&1;
}

void flame_anim()
{
    if(currEnt->life%12)
    {
        u8 rnd=cpct_rand16();
        currEnt->sprite=SPRITE_PART+rnd%3;//(rnd&1)+((rnd&2)>>1);
        
        if(rnd&8)
            changeDirLook();
    }
}

void flipSpriteOrNot()
{
    u8 spLook=(cpct_getBit(lookSprite, currEnt->sprite)>0)?1:0;
    if(spLook != currEnt->look)
    {
        cpct_setBit(lookSprite, currEnt->look, currEnt->sprite);
        cpct_hflipSpriteM0(currEnt->width, currEnt->height, sprite[currEnt->sprite]);
    }
}

char* getCurrentSong()
{
	switch(getRoom()->id & 0x0C)
	{
		case 0:
			return lv1;

		case 4:
			return lv2;

		case 8:
			return lv3;
	}
}

void changeMusic() //and border
{
	char* newSong=getCurrentSong();
	u8 colorRoom=0x44;

	if(newSong!=currentMusic)
	{
		currentMusic=newSong;
		//pct_akp_stop();
		cpct_akp_musicInit(currentMusic);
	}
	switch(getRoom()->id&0xC0)
	{

		case 0x80:
			colorRoom=0x5D;
			break;
		case 0xC0:
			colorRoom=0x4D;
			break;
	}

	cpct_setBorder(colorRoom);
}

void resetRoom()
{
    //currEnt->life=0;
    currEnt=particle;
    currEnt->life=0;
    bulletCount=0;
    bEnCount=0;
    enemyCount=0;
}

void doWarp()
{
    resetRoom();
    currentScreen=getRoom()->exp;
    tMap = getRoom()->map;
	playSFX(0xB);
    drawScreen();
	changeMusic();
}

u8 checkCollisionSmallTile(u16 id) __z88dk_fastcall
{
    u8 idCol=id &15;
    u8 idRow=id>>6;
    if (idCol < 6)
    {
        return 2;
    }
    else if (idCol < 8)
    {
        return 3;
    }
    else if(idRow==4)
    {
        return 1;
    }
    else if(idRow==5 && (idCol==12 || idCol==13))
            return 4;

    return 0;
}

u8 checkCollision()
{
    u8 tilex, tiley;
    u8 i, jl;
    if (currEnt->id == ID_HIYO)
    {
        tilex = (currEnt->x[0] + 1) >> 1;
        i = (currEnt->x[0] % 2 ? 1 : 2);
        tiley = (currEnt->y[0] + 1) >> 2;
        jl = (currEnt->y[0] + 1) % 4 < 2 ? 4 : 5;
    }
    else
    {
        tilex = currEnt->x[0] >> 1;
        i = getTileSpan(currEnt->x[0], currEnt->width * 2);
        tiley = currEnt->y[0] >> 2;
        jl = getTileSpan(currEnt->y[0], currEnt->height);
    }

    while (i--)
    {
        u8 j = jl;
        while (j--)
        {
            if (tilex + i < 32 && tiley + j < 44)
            {
                u8 colType = checkCollisionSmallTile(get_cMap(tilex + i + (tiley + j) * 32));

                switch(colType)
                {
                    case 1:
                        if(currEnt->id==0) 
                            replaceTile(tilex + i, tiley+j);
                        return  1;
                    case 2: 
                        return 2;
                    case 3:
                        if ((currEnt->id & 0xF0) == ID_BULLET_STD)
                        {
                            replaceTile(tilex + i, tiley+j);
                        }
                        return 3;

                    case 4:
                        if(currEnt->id==0) 
                            gameState=WARP;
                        return 4;
                }
            }
        }
    }
    return 0;
}

u8 collisionAxis(u8 x, u8 w, u8 x2, u8 w2)
{
    if (x > (x2 + w2) || x2 > (x + w))
        return 1;
    return 0;
}

/*u8 collisionHiyo()
{
    if (collisionAxis(*(currEnt->x), currEnt->width, hiyo.x[0]+1, hiyo.width-1) ||
        //return 0;
        collisionAxis(*(currEnt->y), currEnt->height, hiyo.y[0]+1, hiyo.height-1))
        return 0;

    return 1;
}*/

u8 collisionEntities(TEntity *t2) __z88dk_fastcall
{
    if (collisionAxis(*(currEnt->x), currEnt->width, *(t2->x), t2->width) ||
        collisionAxis(*(currEnt->y), currEnt->height, *(t2->y), t2->height))
        return 0;

    return 1;
}

u8 collisionBoxes(u8 x1, u8 y1, u8 w1, u8 h1)
{
    if (collisionAxis(x1, w1, hiyo.x[0]+1, 2) ||
        collisionAxis(y1, h1, hiyo.y[0]+1, 15))
        return 0;
    return 1;
}

u8 isSolid(u8 metatile) __z88dk_fastcall
{
    if(metatile%8<4)
    {
        return 1;
    }
    return 0;
}

u8 isOneWay(u8 metatile) __z88dk_fastcall
{
    if(metatile%8>4 && metatile/8>0 && metatile/8<4)
    {
        return metatile/8;
    }

    return 0;
}

u8 isOneWayPlat()
{
    u8 tilex=(currEnt->x[0]+1)>>2;
    u8 tiley=(currEnt->y[0])>>4;
    u8 x= (currEnt->x[0] % 4<1 ? 1:2);
    u8 yl=(currEnt->y[0]%16<1?1:2);
    u8 res=0;

    while(x--)
    {
        u8 y=yl;
        while(y--)
        {
            u8 absY=(tiley+y)<<4;
            if(!isSolid(cpct_get6Bits(tMap, (tilex+x)+absY)))
            {
                u8 tileTMap=isOneWay(cpct_get6Bits(tMap, (tilex+x)+absY));
                if(tileTMap)
                {
                    res= absY+((tileTMap-1)*4);
                }
            }
            else return 0;
        }
    }

    return res;
}

u8 collisionCondition()
{
    return checkCollision() && !isOneWayPlat();
}

void initializeHiyo()
{
    TEntity *h = &hiyo;
    //CPCT_VMEM_START, // Sprite and video memory location
    h->x[0] = 12;
    h->y[0] = 128;
    h->sprite = 0;//hiyo_hiyo_0;
    h->width = HIYO_HIYO_0_W;
    h->height = HIYO_HIYO_0_H; // X, Y, Width and Height (bytes)
    h->draw = 2;             //draw
    h->yVel = 0;             //vel
    h->id = ID_HIYO;
    h->state = HIYO_IDLE;
    h->look = RIGHT;
    // h->life=1;
    h->animTimer=counter+1;
}

 void iniGame()
 {
    initializeHiyo();
    gameState = PLAY;
    currentScreen = 0;
    tMap = getRoom()->map;
    //currentWeapon = 0;// ID_BULLET_STD;
    bulletCount = 0;
    keyBuffer[0] = 0;
    keyBuffer[1] = 0;
	currentMusic=G_SFX;
	changeMusic();
    //  for(u8 i=0; i<4; i++)
    //     cpct_setBit(expansion, 1, i);

    // for(u8 i=EXP_HEART; i<EXP_HEART+4; i++)
    //     cpct_setBit(expansion, 1, i);
    
}

void initialize()
{
    setCRTC(1, 32);
    setCRTC(2, 42);
    setCRTC(6, 24);

    // We dont want the firmware to interfere with us
    cpct_disableFirmware();

    cpct_setPalette(hiyo_palette, 16); // Set the palette
    cpct_setBorder(0x44);              // Set the border

    cpct_setVideoMode(0);
	cpct_akp_SFXInit(G_SFX);
    cpct_akp_musicInit(G_SFX);
    cpct_setInterruptHandler(interrupt);
	gameState=TOMENU;
}

u8 setWeapon(u8 i) __z88dk_fastcall
{
    if(isWeaponUnlocked(i) && (currentWeapon!=i))//&0x0F)!=i)
    {
        drawCircleHud(currentWeapon, 0);
        currentWeapon = i;
        drawCircleHud(i, 1);
        copyHud();
		playSFX(9);
        return 1;
    }
    return 0;
}

u8 isKeyDown(u8 kCode) __z88dk_fastcall
{
    return (keyBuffer[0] & kCode && (keyBuffer[1] & kCode) == 0);
}

u8 isKeyPressed(u8 kCode) __z88dk_fastcall
{
    return keyBuffer[0] & kCode;
}

u8 checkKeysMenu()
{
    const cpct_keyID* k = keysW;
    cpct_scanKeyboard();
    if (cpct_isAnyKeyPressed())
    {
        for (u8 i = 0; i < 3; i++, k++)
        {
            if (cpct_isKeyPressed(*k))
            {
                return ++i;
            }
        }
    }
    return 0;
}

u8 checkAllKeys()
{
    for (u8 i = 0; i < 4; i++)
    {
        if (isKeyPressed(1 << i))
        {
            return ++i;
        }
    }
    return 0;
}
void checkKeysNew()
{
    const cpct_keyID* k = keys;
    keyBuffer[1] = keyBuffer[0];
    keyBuffer[0] = 0;

    cpct_scanKeyboard();
    if (cpct_isAnyKeyPressed())
    {
        for (u8 i = 0; i < 6; i++, k++)
        {
            if (cpct_isKeyPressed(*k))
            {
                keyBuffer[0] |= (1 << i);
            }
        }

        k = keysW;
        for (u8 i = 0; i < 4; i++, k++)
        {
            if (cpct_isKeyPressed(*k))
            {
                setWeapon(i);
            }
        }
    }
}

void restoreCurrEnt()
{
    *(currEnt->x)=*(currEnt->x+1);
    *(currEnt->y)=*(currEnt->y+1);
}

u8 hiyo_onGround()
{
    u8 tileX=(currEnt->x[0]+1)>>1;
    u8 tileY=(currEnt->y[0]+currEnt->height+1)>>2;
    u8 ntile=2;
    while(ntile--)
    if((cMap[ntile+tileX+tileY*32]%16)<8)
        return 1;
    return 0;
}

u8 getYStepBullet() __z88dk_fastcall
{
    switch (currEnt->id& 0x1F)
    {
        case ID_BULLET_STD:
            return 0;
        case ID_BULLET_SIN:
            return ((currEnt->animTimer++ & 15) < 8) ? -2 : 2;
        case ID_BULLET_UD:
            return (currEnt->state & 1) == 0 ? 1 : -1;
        case ID_BULLET_GRAV:
            //case ID_PARTICLES_BLOCK:
            return currEnt->yVel++;
        case ID_BULLET_DOWN:
            return 1;
    }
}

u8 getXStepBullet() __z88dk_fastcall
{
    u8 step=0;
    switch(currEnt->id & 0x1F)
    {
        case ID_BULLET_STD:
            step=2;
        break;

        case ID_BULLET_UD:
            step=counter&1?0:1;
            break;
        case ID_BULLET_SIN:
        case ID_BULLET_GRAV:
            step=1;
    }
    return currEnt->look ? step : -step;
}

void nextProjPos()
{
            *(currEnt->x) += getXStepBullet();
            *(currEnt->y) += getYStepBullet();
            currEnt->draw = 4;
}

void updateProj()
{
    if (currEnt->draw > 2)
    {
        if (currEnt->x[0] > 1 && currEnt->x[0] < 61 && currEnt->y[0] > 1 && currEnt->y[0] < 164)
        {
            nextProjPos();
             {
                u8 coll = checkCollision();

                if (coll)
                {
                    currEnt->draw--;
                    if(currEnt->id==ID_BULLET_UD)
                    {
                        currEnt->state++;
                        if(currEnt->nframe++<2) //state used as bounce counter, nframe as bounce limit
                        {
                            nextProjPos();
                            if(checkCollision())
                            {
                                changeDirLook();
                                currEnt->state++;
                            }

                            restoreCurrEnt();
                        }
                    }
                }
            }
        }
        else
        {
            currEnt->draw--;
        }
    }
}

void changeScreen()
{
    gameState = PRESCROLL;
    currentScreen = getRoom()->dir[scrollDir];
    tMap = getRoom()->map;
}

void hiyo_changeState(u8 newState) __z88dk_fastcall
{
    currEnt->draw = 2;
    currEnt->nframe = 0;
    currEnt->state = (currEnt->state&HIT_STATE)|newState;
    currEnt->animTimer=counter+1;
}

void hiyo_move_R()
{
    if (hiyo.x[0] < 60)
    {
        hiyo.x[0]++;
        hiyo.draw = 2;
    }
    else
    {
        scrollDir = RX;
        changeScreen();
    }
    hiyo.look = RIGHT;
}

void hiyo_move_L()
{
    if (hiyo.x[0] > 0)
    {
        hiyo.x[0]--;
        hiyo.draw = 2;
    }
    else
    {
        scrollDir = LX;
        changeScreen();
    }
    hiyo.look = LEFT;
}

void hiyo_move()
{
    //u8 oldDir = hiyo.look;
    cpct_scanKeyboard();
    if (isKeyPressed(K_RIGHT))
    {
        hiyo_move_R();
    }
    else if (isKeyPressed(K_LEFT))
    {
        hiyo_move_L();
    }
    if (collisionCondition()) //casi!
    {
        hiyo.x[0] = hiyo.x[1];
    }

    //flipSpriteOrNot(oldDir);
}

void hiyo_idle()
{
    //static const cpct_keyID keys[3] = {Key_CursorUp, Key_CursorRight, Key_CursorLeft};
    u8 k = checkAllKeys(); //keys, 3);
    //u8 oldDir = hiyo.look;
    switch (k)
    {
    case 0:
        break;
    case 1:
        // if(isKeyDown(K_UP))
            hiyo_changeState(HIYO_PREJUMP);
        break;
    case 2:
        hiyo_changeState(HIYO_WALK);
        hiyo.look = RIGHT;
        break;
    case 3:
        hiyo_changeState(HIYO_WALK);
        hiyo.look = LEFT;
        break;
    }


    // if(k==1 && isKeyDown(K_UP))
    // {
    //     hiyo_changeState(HIYO_PREJUMP);
    // }
    // else if(k==2)
    // {
    //     hiyo_changeState(HIYO_WALK);
    //     hiyo.look = RIGHT;
    // }
    // else if(k==3)
    // {
    //     hiyo_changeState(HIYO_WALK);
    //     hiyo.look = LEFT;
    // }


    //hiyo.draw=2;

    //flipSpriteOrNot(oldDir);
    assign_anim(hiyo_anim_idle, 2);
}

void hiyo_fire()
{
    if (bulletCount < 3 && ammo[currentWeapon])
    {
        TEntity *bul = bullet + bulletCount;
        *(bul->x) = bul->x[1] =bul->x[2] = *(hiyo.x) + hiyo.look * 2;
        bul->y[0] = bul->y[1] =bul->y[2] = hiyo.y[0]+8;
        bul->sprite = SPRITE_BULLET+currentWeapon;//bullet_bullet;
        bul->width = BULLET_BULLETSTD_0_W;
        bul->height = BULLET_BULLETSTD_0_H;
        bul->draw = 4;
        bul->yVel = -5;
        bul->id = ID_BULLET_STD+currentWeapon; //ID_BULLET_GRAV;
        bul->state = 0;
        bul->look = hiyo.look;
        bul->nframe=0;
        bul->animTimer=0;
        
        currEnt->nframe=0;
        currEnt->animTimer=counter;
        //hiyo.draw=6;
        bulletCount++;

		//cpct_akp_SFXPlay(currentWeapon+1, 7, 0, 0, 0, AY_CHANNEL_B);
		playSFX(currentWeapon+1);

        if(currentWeapon)
        {
            ammo[currentWeapon]--;
            drawNumberHud(currentWeapon);
            copyHud();
        }
    }
}

void hiyo_fall()
{
    hiyo.yVel += GRAVITY;
    hiyo.y[0] += hiyo.yVel;
    if (checkCollision())
    {
        u8 yPlat=isOneWayPlat();
        if((hiyo.y[1]+15)>yPlat && yPlat)
        {
            
        }
        else
        {
            hiyo.yVel = 0;
            hiyo.y[0] = hiyo.y[0] + (16 - (hiyo.y[0] % 16));
            do
            {
                hiyo.y[0] -= 4;
            } while (checkCollision());// && !isOneWayPlat());

            if(hiyo_onGround())
                hiyo_changeState(HIYO_IDLE);
        }
    }


    hiyo_move();
    assign_anim(hiyo_anim_jump, 2);
    hiyo.draw = 2;
    if (hiyo.y[0] > 160)
    {
        hiyo.y[0] = 160;
        scrollDir = DY;
		hiyo.yVel=0;
        changeScreen();
    }
}

void hiyo_jump()
{
    if (!isKeyPressed(K_UP))
    {
        if (hiyo.yVel < -1)
        {
            hiyo.yVel = -1;
        }
    }

    if (hiyo.yVel > -1)
    {
        hiyo_changeState(HIYO_FALL);
    }
    hiyo.yVel += GRAVITY;
    hiyo.y[0] = hiyo.y[0] + hiyo.yVel < 0 ? 0 : hiyo.y[0] + hiyo.yVel;
    if (collisionCondition())
    {
        //hiyo.x[0]=hiyo.x[1];
        //hiyo.y[0]=hiyo.y[1];
        hiyo.yVel = 0;
        hiyo.y[0] = hiyo.y[1] - hiyo.y[1] % 16;
        while (collisionCondition())
        {
            hiyo.y[0] += 4;
        }
    }
    hiyo_move();
    assign_anim(hiyo_anim_jump, 2);
    hiyo.draw = 2;

    if (hiyo.y[0] == 0)
    {
        scrollDir = UY;
        hiyo.yVel = -9;
        changeScreen();
    }

}

void hiyo_prejump()
{
    if (!isKeyPressed(K_UP))
    {
        hiyo_changeState(HIYO_IDLE);
    }
    else
    {
        hiyo_changeState(HIYO_JUMP);
        hiyo.yVel = -9;
    }
    hiyo.draw = 2;
    //assign_anim(hiyo_anim_prejump, 1);
	//cpct_akp_SFXPlay(1, 15, 64, 255, 0, 7);
}

void hiyo_walk()
{
    u8 k = checkAllKeys(); //keys, 3);

    switch (k)
    {
    case 0:
        hiyo_changeState(HIYO_IDLE);
        break;
    case 1:
        // if(isKeyDown(K_UP))
            hiyo_changeState(HIYO_PREJUMP);
        break;
    case 2:
        hiyo_move_R();
        break;
    case 3:
        hiyo_move_L();
        break;
    }


    if (collisionCondition())
    {
        hiyo.x[0] = hiyo.x[1];
    }

    if (!hiyo_onGround())
    {
        hiyo_changeState(HIYO_FALL);
    }

    hiyo.draw = 2;
    assign_anim(hiyo_anim_walk, 3);
}

void hiyo_dead()
{
    gameState=GAMEOVER;
}

void hiyo_hit()
{
    hiyo.state|=HIT_STATE;
    hiyo.timer=counter+50;
    if(hiyo.life) //--hiyo.life
    {
        drawHeartHud(--hiyo.life, 0);
        copyHud();
        if(hiyo.life==0)
        {
            hiyo_dead();
        }
    }
    playSFX(5);
}

void checkHit()
{
    if(currEnt->state&HIT_STATE)
    {
        currEnt->draw=3;
        if(currEnt->timer==counter)
            currEnt->state&=HIT_MASK;
    }
}

void hiyo_stateUpdate()
{
    checkKeysNew();
    currEnt=&hiyo;

    checkHit();

    switch (currEnt->state&HIT_MASK)
    {
    case HIYO_IDLE:
        hiyo_idle();
        break;

    case HIYO_WALK:
        hiyo_walk();
        break;

    case HIYO_PREJUMP:
        hiyo_prejump();
        break;

    case HIYO_JUMP:
        hiyo_jump();
        break;

    case HIYO_FALL:
        hiyo_fall();
        break;
    }

    if (isKeyDown(K_FIRE))
    {
        hiyo_fire();
        assign_anim(hiyo_anim_fire,1);
    }
    
    if(isKeyDown(K_DOWN))
    {
        u8 i=(currentWeapon+1)%4;
        while(!setWeapon(i) && i!=currentWeapon)
        {
            i=(i+1)%4;
        }
        currentWeapon=i;
    }

    if(isKeyDown(K_PAUSE))
    {
        gameState=PAUSE;
        //keyBuffer[0]=keyBuffer[1]=0;
    }

    if(cpct_isKeyPressed(Key_Esc))
    {
		hiyo_dead();
    }
}

u8 onBounds()
{
    return (currEnt->x[0]<=(SCREENX-currEnt->width) && currEnt->y[0]<=(SCREENY-currEnt->height));
}

void enemy_fall()
{
    if(!hiyo_onGround())
    {
        currEnt->y[0]++;
        currEnt->draw=4;
    }
    else
        hiyo_changeState(ENEMY_IDLE);
}

u8 anyTrouble()
{
    return (checkCollision() || !onBounds());
}

u8 checkClimb(i8 x, i8 y)
{
    currEnt->x[0]+=x;
    currEnt->y[0]+=y;

    if(anyTrouble())
    {
        currEnt->x[0]-=x;
        currEnt->y[0]-=y;
        return 0;
    }
    return 1;
}

void enemy_climb()
{
    u8 dir=currEnt->state-ENEMY_CLIMB_DY&HIT_MASK;
    i8 xTo=0;
    i8 yTo=0;
    i8 desp=1;

    i8 xAct=0;
    i8 yAct=0;
    u8 rnd=(cpct_rand16()&1);
    u8 idPatch;

    switch(dir)
    {
        case DY:
            yAct=2;
            xTo=-1;
            break;
        
        case LX:
            xAct=-1;
            yTo=-1;
            break;

        case UY:
            yAct=-2;
            xTo=1;
            break;

        case RX:
            xAct=1;
            yTo=1;
            break;
    }

    if(currEnt->id>ID_ENEMY_2)
    {
        if(currEnt->id==ID_ENEMY_2_1 ||currEnt->id==ID_ENEMY_2_2)
        {
            xTo=-xTo;
            yTo=-yTo;
            desp=-1;
        }

        if(currEnt->id>ID_ENEMY_2_1 && rnd)
        {
            desp=2;
        }
    }

    currEnt->x[0]+=xAct;
    currEnt->y[0]+=yAct;

    if(anyTrouble())
    {
        restoreCurrEnt();
        dir=(dir-desp)&3;
    }
    else if(checkClimb(xTo, yTo))
    {
        dir=(dir+desp)&3;
    }

    if(currEnt->state!=ENEMY_CLIMB_DY+dir)// && desp>1)
    {
        if(desp>1)
        {
            restoreCurrEnt();
            currEnt->id=(currEnt->id==ID_ENEMY_2_2?ID_ENEMY_2_2b:ID_ENEMY_2_2); //animation stuff
        }
        hiyo_changeState(ENEMY_CLIMB_DY+dir);
    }

    currEnt->draw=currEnt->life?2:0;

    idPatch=currEnt->id;
    if(currEnt->id==ID_ENEMY_2_2b)
        currEnt->id=ID_ENEMY_2_2;
    assign_anim(enemy2_anim, 3);
    currEnt->id=idPatch;
}

void enemy_move()
{
    u8 lookBox=currEnt->x[0]-(currEnt->look?0:12);
    if(collisionBoxes(lookBox, *(currEnt->y), 12, EN1_EN1_1_W))
    {
        hiyo_changeState(ENEMY_FIRING);
    }
    else if(currEnt->yVel==3)
    {

         if(currEnt->look)
        {
            currEnt->x[0]++;
        }
        else
        {
            currEnt->x[0]--;
        }

        if(anyTrouble() || !hiyo_onGround())
        {
            restoreCurrEnt();
            changeDirLook();
        }
        currEnt->yVel=0;
    }
    else
    {
        currEnt->yVel++;
    }
   assign_anim(enemy0_seek, 2);
    currEnt->draw=2;
}

void enemy_seek()
{
    if(*(currEnt->x)<hiyo.x[0]-1)
    {
        currEnt->x[0]++;
        currEnt->look=RIGHT;

        if(checkCollision())
        {
            currEnt->x[0]--;
        }
    }
    else if(*(currEnt->x)>hiyo.x[0]+1)
    {
        currEnt->x[0]--;
        currEnt->look=LEFT;

        if(checkCollision())
        {
            currEnt->x[0]++;
        }
    }
    else
    {
        hiyo_changeState(ENEMY_FIRING);
    }
    currEnt->draw=2;
    assign_anim(enemy0_seek, 2);
}

void enemy_fire()
{
    if (bEnCount < 6)
    {
        TEntity *bul = bulEnemy + bEnCount;
        *(bul->x) = *(currEnt->x) + 1;
        bul->y[0] = *(currEnt->y)+(currEnt->height>>1);
        bul->sprite = SPRITE_BULLET+4;//bullet_bullet;
        bul->width = BULLET_BULLETSTD_0_W;
        bul->height = BULLET_BULLETSTD_0_H;
        bul->draw = currEnt->draw=6;
        bul->yVel = -5;
        switch(currEnt->id&3)
        {
            // case ID_ENEMY_0:
            // case ID_ENEMY_0_1:
            // case ID_ENEMY_0_2:
            case 0:
                bul->id = ID_BULLET_DOWN;
            break;

            // case ID_ENEMY_1:
            // case ID_ENEMY_1_1:
            // case ID_ENEMY_1_2:
            case 1:
                bul->id=ID_BULLET_STD;
            break;

            // case ID_ENEMY_3:
            // case ID_ENEMY_3_1:
            // case ID_ENEMY_3_2:
            case 3:
                bul->id=ID_ENEMY_BULLET_STD+(cpct_rand16()&3);
            break;

        }
        //bul->state = 0;
        bul->look = currEnt->look;
        bEnCount++;
		playSFX(1);
    }

}

void enemy_fire_anim()
{
    currEnt->nframe=0;
    currEnt->animTimer=counter;
    enemy_fire();
    assign_anim(enemy0_fire,1);
    currEnt->animTimer++;
}

void enemy_firing()
{
    if(((counter+currEnt->timer)&15)==0)
    {
        enemy_fire_anim();
        currEnt->yVel++;
    }

    if(currEnt->yVel>2)
    {
        hiyo_changeState(ENEMY_IDLE);
        currEnt->yVel=0;
    }

    assign_anim(enemy0_seek,1);
}

void checkDir()
{
    if((hiyo.x[0]>currEnt->x[0])!=currEnt->look)
        changeDirLook();

}

void enemy3()
{
    if(currEnt->id>ID_ENEMY_3)
        checkDir();
    if(((counter+currEnt->timer)&63)==0)
    {
        enemy_fire_anim();
    }
    assign_anim(enemy0_seek,2);
}


void enemy_idle()
{
    switch(currEnt->id)
    {
        case ID_ENEMY_0:
        case ID_ENEMY_0_1:
        case ID_ENEMY_0_2:
            if(collisionBoxes(*(currEnt->x)-4, *(currEnt->y), 12, 32))
            {
                hiyo_changeState(ENEMY_SEEK);
            }

            if(assign_anim(enemy0_idle, 1))
            {
                changeDirLook();
            }
            break;

        case ID_ENEMY_1:
        case ID_ENEMY_1_1:
        case ID_ENEMY_1_2:
            if(!hiyo_onGround())
            {
                hiyo_changeState(ENEMY_FALL);
                //currEnt->y[0]++;
            }
            else
            {
                hiyo_changeState(ENEMY_WALK);
            }
            break;

        case ID_ENEMY_2:
        case ID_ENEMY_2_1:
        case ID_ENEMY_2_2:
        //case ID_ENEMY_2_2b:
            if(!hiyo_onGround())
            {
                hiyo_changeState(ENEMY_FALL);
                //currEnt->y[0]++;
            }
            else
            {
                //u8 next=
                hiyo_changeState((currEnt->id>ID_ENEMY_2)?ENEMY_CLIMB_LX:ENEMY_CLIMB_RX);
            }
            break;
        
        case ID_ENEMY_3:
            entityDrawnUpdate();
            currEnt->draw++;
            currEnt->look=LEFT;
            if(checkClimb(1, 0))
            {
                changeDirLook();
                restoreCurrEnt();
            }
        case ID_ENEMY_3_1:
        case ID_ENEMY_3_2:
            hiyo_changeState(ENEMY_3_STATE);
            enemy3();
            break;
    }
}

void enemy_stateUpdate(u8 i) __z88dk_fastcall
{
    currEnt=enemy+i;
    //currEnt->draw=2;
    if(currEnt->life)
    {
        checkHit();

    switch (currEnt->state&HIT_MASK)
    {
        case ENEMY_IDLE:
            enemy_idle();
            break;

        case ENEMY_WALK:
            enemy_move();
            break;

        case ENEMY_FALL:
            enemy_fall();
            break;

        case ENEMY_SEEK:
            enemy_seek();
            break;

        case ENEMY_FIRING:
            enemy_firing();
            break;

        case ENEMY_CLIMB_DY:
        case ENEMY_CLIMB_LX:
        case ENEMY_CLIMB_UY:
        case ENEMY_CLIMB_RX:
            enemy_climb();
            break;

        case ENEMY_3_STATE:
            enemy3();
            break;
    }
    }
}

u8 nextW(u8 i) __z88dk_fastcall
{
	u8 r=(i+1)%4;
	if(!r) r++;
	return r;
}

void calcDamage(TEntity* ene) __z88dk_fastcall
{
    u8 enType=getEneClass(ene->id)+1;
    u8 dmg=1;

    if(currentWeapon)
    {
        if(enType==currentWeapon)
        {
            dmg=3;
        }
        else if(nextW(enType)==currentWeapon)
        {
            dmg=2;
        }
    }

    if(ene->life>dmg)
        ene->life-=dmg;
    else
        ene->life=0;
    
}

void itemStuff()
{
    if(currEnt->id==ID_ITEMS)
    {
        if(hiyo.life<maxAmmo[0])
        {
            drawHeartHud(hiyo.life++, 1);
        }
    }
    else
    {
        u8 id=currEnt->id&0x0F;

        if(id<5)
        {
            if(ammo[id]+5<maxAmmo[id])
                ammo[id]+=5;
            else
                ammo[id]=maxAmmo[id];

            if(isWeaponUnlocked(id))
            {
                drawNumberHud(id);
            }
        }
        else
        {
            unlockWeapon();
        }
    }
	playSFX(7);
    copyHud();
}

void drawEntity() 
{
    u8 l=0;
    if(currEnt->id&ID_BULLET_STD) l=2;
    if (currEnt->draw > l)
    {
        if((currEnt->state&HIT_STATE) && counter&1)
        {
            //cpct_drawSpriteBlended(cpct_getScreenPtr(g_scrbuffers[1], *(currEnt->x), *(currEnt->y)), currEnt->height, currEnt->width, currEnt->sprite);
        }
        else
        {
        flipSpriteOrNot();
        cpct_drawSpriteMaskedAlignedTable(sprite[currEnt->sprite], cpct_getScreenPtr(g_scrbuffers[1], *(currEnt->x), *(currEnt->y)), currEnt->width, currEnt->height, g_tablatrans);
        }
        entityDrawnUpdate();
    }
}

void redrawBG()
{
    if (currEnt->draw)
    {
        repaintBackgroundOverSprite2x4();   
    }
}

void redrawBG_bullet()
{
    repaintBackgroundOverSprite2x4();   
    if (currEnt->draw < 3)
         entityDrawnUpdate();
}

void gamePlay()
{
    u8 bc = bulletCount;
    u8 benc=bEnCount;
    u8 ec=enemyCount;
    //u8 parts = 4;
    interrCounter=0;
    counter++;
    hiyo_stateUpdate();

    for (u8 i = 0; i < ec; i++)
    {
        enemy_stateUpdate(i);
        if(collisionEntities(&hiyo))
		//if(collisionHiyo())
        {
            if(currEnt->id&ID_ENEMIES) //si es item no es hit
            {
                if((hiyo.state&HIT_STATE)==0)
                {
                    currEnt->draw=4;
                    hiyo_hit();
                }
            }
            else if(currEnt->life)
            {
                currEnt->draw=4;
                currEnt->life=0;
                itemStuff();
            }
            //replaceHiyo();
        }
    }

    for (u8 i = 0; i < bc; i++)
    {
        currEnt=bullet+i;
        updateProj();

        for(u8 j=0; j<ec; j++)
        {
            TEntity* ene=enemy+j;
            if(collisionEntities(ene) && (ene->state&HIT_STATE)==0)
            {
                ene->draw=4;
                if(ene->id&ID_ENEMIES)
                {
                    ene->state|=HIT_STATE;
                    ene->timer=counter+15;
                    calcDamage(ene);
                    currEnt->draw=2;
					playSFX(6);
                }
            }
        }
    }

    for (u8 i = 0; i < benc; i++)
    {
        currEnt=bulEnemy+i;
        updateProj();
        if(collisionEntities(&hiyo)  && (hiyo.state&HIT_STATE)==0)
        {
            currEnt->draw=2;
            hiyo_hit();
        }
        
    }

    for (u8 i = 0; i < bc; i++)
    {
        currEnt=bullet + i;
        if(currEnt->draw)
        {
            redrawBG_bullet();
        }
        else 
        {
            if (i < --bulletCount)
                cpct_memcpy(currEnt, bullet + bulletCount, sizeof(TEntity));
        }
    }

    for (u8 i = 0; i < benc; i++)
    {
        currEnt=bulEnemy + i;
        if(currEnt->draw)
        {
            redrawBG_bullet();
        }
        else 
        {           
            if (i < --bEnCount)
                cpct_memcpy(currEnt, bulEnemy + bEnCount, sizeof(TEntity));
        }
    }

    for (u8 i = 0; i < ec; i++)
    {
        currEnt=enemy+i;
        redrawBG();
        if (currEnt->life==0 && currEnt->draw==0)
        {
            if(dropsItem())
            {
                spawnItem();
            }
            else
            {
                if (i < --enemyCount)
                    cpct_memcpy(currEnt, enemy + enemyCount, sizeof(TEntity));
            }
        }
    }

        currEnt=particle;
        if(currEnt->life)
        {
            redrawBG_bullet();
            currEnt->life--;
        }

        currEnt=&hiyo;
        redrawBG();
        drawEntity();


    for (u8 i = 0; i < bc; i++)
    {
        currEnt=bullet+i;
        drawEntity();
    }

    for (u8 i = 0; i < benc; i++)
    {
        currEnt=bulEnemy+i;
        drawEntity();
    }

    for (u8 i = 0; i < ec; i++)
    {
        currEnt=enemy+i;
        if(currEnt->life)
            drawEntity();
        else
            entityDrawnUpdate();
    }

 
        currEnt=particle;
        if(currEnt->life>2)
        {
            flame_anim();
            drawEntity();
        }

        while(interrCounter<12); //fps stabilizer
}

void menuStuff();

void game()
{
    // MAIN LOOP
    while (1)
    {
        if (gameState == PLAY)
        {
            gamePlay();
        }
        else if (gameState == SCROLL)
        {
            if (scrollCount--)
            {
                scrollMemory();

                if (scrollDir & 1)
                {
                    scrollX();
                }
                else
                {
                    scrollY();
                }
            }
            else
            {
                gameState = PLAY;
                enemiesAlive=enemyCount;
                scrollDir+=5;
                scrollMemory();
				changeMusic();
                if(currentScreen==83)
                {
                    gameState=END;
                }
            }
        }
        else if (gameState == PRESCROLL)
        {

            gameState = SCROLL;
            resetRoom();
            cpct_memset(cMap2, 0, 176);
            switch (scrollDir)
            {
            case DY:
                hiyo.y[0] = 0;
                scrollCount = 11;
                break;
            case LX:
                hiyo.x[0] = 60;
                scrollCount = 16;
                break;
            case UY:
                hiyo.y[0] = 159;
                scrollCount = 11;
                break;
            case RX:
                hiyo.x[0] = 0;
                scrollCount = 16;
                break;
            }

            hiyo.x[1]=hiyo.x[0];
            hiyo.y[1]=hiyo.y[0];
        }
        else if(gameState==WARP)
        {
            gameState=PLAY;
            doWarp();
        }
        else if(gameState==GAMEOVER)
        {
            gameState=TOMENU;
            interrCounter=0;
            drawTextSteps("GAME OVER  ?", 12, 18, 80, 50);
            deathCount++;
            resetRoom();			
        }
        else if(gameState==PAUSE)
        {
            checkKeysNew();
            if(!isKeyPressed(Key_P))
            {
                gameState=PAUSE2;
                scrollDir=5;
                scrollMemory();
            }
        }
        else if(gameState==PAUSE2)
        {
            checkKeysNew();
            if(isKeyDown(K_PAUSE))
                gameState=PLAY;
        }
        else if(gameState==END)
        {
			ending();
			gameState=END2;
		}
		else if(gameState==END2)
		{
			u16 prc=0;
            u16 totalItems=maxAmmo[0]-1;

            //for(u8 i=1; i<4; i++)
			u8 i=4;
			while(--i)
            {
                totalItems+=getNUpgrades(i);
            }

            prc=(totalItems*100)/29;

            drawNumber(getNUpgrades(1), 8, 18);
            drawNumber(getNUpgrades(2), 56, 18);
            drawNumber(getNUpgrades(3), 8, 82);
            drawNumber(maxAmmo[0]-1, 56, 82);

			drawTextSteps("TIME", 4, 12, 50, 50);
			drawNumber(minutes, 22, 50);
			drawTextSteps("MIN", 3, 30, 50, 50);
			drawNumber(seconds, 38, 50);
			drawTextSteps("SEC", 3, 44, 50, 50);

			drawTextSteps("HIYOS", 5, 22, 80, 50);
			drawNumber(deathCount, 34, 80);

			drawTextSteps("PRC", 3, 22, 96, 50);
			drawNumber((u8)prc, 34, 96);

			drawTextSteps("THANKS FOR PLAYING", 18, 14, 114, 50);

			do{
				cpct_scanKeyboard();
			}
			while(!cpct_isAnyKeyPressed());

			gameState=TOMENU;
        }
		else if(gameState==TOMENU)
		{
			menuStuff();
		}

        cpct_waitVSYNC();

        swapBuffers(g_scrbuffers);
    }
}

void startGame(u8 newGame) __z88dk_fastcall
{
    iniGame(); 
    swapPalette();
    if(newGame)
    {
        deathCount=0;
        minutes=0;
        seconds=0;
        timeCounter=0;
        //cpct_memset(expansion, 0xF0, 5);
		cpct_memset(expansion, 0, EXPANSION_COUNT/8+1);

        {
            u8 i=4;
            ammo[0]=0;
            while(--i)
            {
                ammo[i]=maxAmmo[i]=10;
            }
        }
    }

    drawScreen();
    game();

}

//Function created by Ronaldo to redefine keys. (modified)
cpct_keyID waitAKey(cpct_keyID prev) __z88dk_fastcall
{
    // Backwards loop to get it finish in 0 (so the compiler will optimize it)
    u8 i = 10, *keys = cpct_keyboardStatusBuffer + 9;
    u16 keypressed;
    
    do
    {
        cpct_scanKeyboard_f();
    }
    while (cpct_isKeyPressed(prev));
    do{
        cpct_scanKeyboard_f();
    // Wait until a key is pressed.
    }while ( ! cpct_isAnyKeyPressed() );
    
    // Key detection
    do {
        // if in this 8 keys group there is any key pressed, some of their bits will be 0.
        // else, all values will be 1, and a XOR with 0xFF returns 0 (FALSE).
        keypressed = *keys ^ 0xFF;
        if (keypressed)            
            return (keypressed << 8) + (i - 1);  // Format cpct_keyID: 8 first bits = key maks, the next 8 are the row in keyboard (0-9)
        keys--;
    } while(--i);
    
}

void redefKeys()
{
    cpct_keyID* newKey=keys;
    cpct_keyID prev=deathCount?Key_3:Key_2;

    for(u8 i=0; i<5; i++)
    {
        for(u8 j=41; j<43; j++)
        {
            for(u8 i2=8; i2<20; i2++)
            {
                cpct_drawTileAligned2x4_f(tSet_tSet16v0_399, cpct_getScreenPtr(g_scrbuffers[0], i2*2, j*4));
            }
        }
        
        for(u8 j=0; j<keyLabsLength[i]; j++)//sizeof(text[i]); j++)
        {   
            drawChar(keyLabels[i][j], 22+(j*2), 164);
        }
        *(newKey)=waitAKey(prev);
        prev=*(newKey++);
    }
}

void menuStuff()
{
    u8 doSomething=0;
    
    gameState=TOMENU;
    drawIniMenu();

    while(doSomething==0)
    {
        doSomething=checkKeysMenu();
    }

    if(deathCount>0)
    {
        doSomething--;
    }

    switch(doSomething)
    {
        case 0:

        case 1: //new game
            startGame(doSomething);
            break;

        case 2: //redefine keys
            redefKeys();
            swapPalette();
            break;

    }
}


void moving_data()
{   
	cpct_memcpy((void*)0xA6E4, (void*)0x9AE4, 283);
    cpct_memcpy((void*)0xAE00, (void*)0x8000, 512);
    cpct_memcpy((void*)0xB600, (void*)0x8200, 512);
    cpct_memcpy((void*)0xBE00, (void*)0x8800, 512);
    cpct_memcpy((void*)0xC600, (void*)0x8400, 512);

    cpct_memcpy((void*)0xCE00, (void*)0x8A00, 512);
    cpct_memcpy((void*)0xD600, (void*)0x8C00, 512);
    cpct_memcpy((void*)0xDE00, (void*)0x9000, 512);
    cpct_memcpy((void*)0xE600, (void*)0x9200, 512);
    cpct_memcpy((void*)0xEE00, (void*)0x9400, 512);
    cpct_memcpy((void*)0xF600, (void*)0x9800, 512);
}

void main(void)
{
    cpct_setStackLocation((void *)0x8000);
    moving_data();
    initialize();
	drawTitleScreen();
    game();
}